/*
* Copyright (c) 2000, 2007 IBM Corporation and others.
* All rights reserved. This program and the accompanying materials 
* are made available under the terms of the Eclipse Public License 2.0
* which is available at
* https://www.eclipse.org/legal/epl-2.0/
*/

package org.eclipse.datatools.sqltools.parsers.sql.xml.query;

public class SQLXMLQueryParserprs implements lpg.lpgjavaruntime.ParseTable, SQLXMLQueryParsersym {

    public interface IsKeyword {
        public final static byte isKeyword[] = {0,
            0,0,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,0,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,0,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,0,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,
            1,1,1,1,1,1,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0
        };
    };
    public final static byte isKeyword[] = IsKeyword.isKeyword;
    public final boolean isKeyword(int index) { return isKeyword[index] != 0; }

    public interface BaseCheck {
        public final static short baseCheck[] = {0,
            1,3,2,1,1,1,1,1,1,4,
            4,4,6,6,2,1,3,1,3,1,
            3,4,1,1,1,2,3,4,4,5,
            4,1,2,4,1,2,6,1,1,1,
            1,1,1,1,3,1,4,1,1,2,
            2,1,1,1,1,1,1,1,1,1,
            1,2,5,2,1,1,1,1,1,1,
            1,1,1,1,1,1,1,1,4,1,
            1,2,1,1,1,4,4,4,6,6,
            6,1,1,1,1,1,5,3,7,1,
            1,4,4,5,5,4,1,5,3,7,
            3,7,1,4,4,1,5,1,1,1,
            0,1,1,1,1,1,1,1,1,5,
            1,3,1,1,1,1,1,1,1,1,
            4,3,3,1,1,3,0,3,3,1,
            1,1,1,1,1,1,1,2,2,1,
            1,3,3,3,3,2,1,1,1,3,
            5,6,1,1,1,5,1,3,3,1,
            1,1,3,1,1,1,3,1,1,1,
            6,5,4,3,8,7,3,1,1,3,
            6,5,6,5,1,1,5,4,4,3,
            1,0,1,1,1,0,1,0,2,0,
            1,1,0,2,0,3,0,2,0,2,
            0,1,0,3,5,5,0,2,0,1,
            2,2,2,0,1,0,2,2,0,3,
            0,2,0,1,0,3,0,2,0,3,
            1,3,1,1,2,2,1,3,5,3,
            1,2,1,2,1,2,1,1,2,8,
            2,1,1,3,2,1,1,1,1,1,
            1,1,1,3,3,1,1,3,1,3,
            1,1,1,1,1,1,1,1,1,1,
            1,4,1,4,1,4,1,1,1,2,
            1,1,1,1,1,3,4,4,2,1,
            1,3,3,1,1,3,1,2,6,4,
            2,1,1,3,9,4,5,1,3,1,
            3,1,3,1,1,1,3,7,7,1,
            3,6,3,3,1,1,3,2,0,1,
            3,6,1,1,1,1,1,1,1,1,
            2,7,1,1,1,1,1,1,1,1,
            1,0,2,0,1,0,2,0,2,2,
            0,2,0,3,0,2,0,2,0,2,
            0,2,0,2,0,1,0,2,0,2,
            0,2,0,2,0,1,0,1,0,1,
            0,2,0,1,0,1,0,1,2,2,
            4,1,3,3,1,10,1,1,1,1,
            1,1,1,1,1,1,1,6,5,5,
            0,3,3,3,3,4,5,9,5,1,
            3,1,4,1,3,3,2,2,1,1,
            7,1,3,2,6,2,7,1,1,1,
            1,3,2,1,3,3,7,2,4,8,
            1,1,3,1,1,3,5,5,1,5,
            2,4,1,1,3,3,1,2,1,2,
            1,2,2,1,1,6,1,3,1,1,
            1,2,2,0,-154,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,-56,0,0,-163,0,
            0,-530,0,-2,0,0,0,0,0,0,
            0,0,0,-3,0,0,0,-5,-15,0,
            0,-404,-8,0,-139,0,0,-205,-69,0,
            0,-12,0,0,0,-13,0,-212,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,-70,0,
            0,-26,-19,0,-243,0,0,0,0,0,
            0,-21,0,0,0,0,-86,0,0,0,
            -18,-23,0,0,0,0,0,-134,0,0,
            0,0,-71,0,0,0,0,0,0,0,
            -92,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,-9,0,0,0,0,0,0,-64,0,
            0,0,0,0,-450,0,0,0,0,0,
            0,0,0,-479,0,0,0,0,-488,0,
            0,0,0,0,0,-159,-117,0,0,0,
            0,0,0,0,-115,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,-181,0,0,
            -68,0,0,0,0,0,0,0,0,0,
            0,0,0,-151,0,0,0,-521,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,-387,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,-197,
            -60,-140,0,0,0,-329,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,-59,-28,0,0,-98,0,0,-129,0,
            0,0,0,0,0,-31,0,0,0,0,
            0,0,-442,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,-336,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,-100,0,0,0,
            -223,0,-32,0,0,0,0,0,0,-128,
            0,-6,-131,-485,0,0,-227,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,-91,-192,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,-168,
            0,0,0,-114,-88,0,-228,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,-93,-207,-177,
            0,0,-20,0,0,0,0,0,0,0,
            -486,0,0,0,0,-169,0,0,0,-11,
            -22,0,0,-150,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,-83,-94,-84,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,-388,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,-319,0,-17,
            0,-33,-251,0,0,0,0,0,-99,0,
            -188,-24,0,-25,0,-164,-171,-344,0,-187,
            0,0,-34,-172,0,0,0,0,0,0,
            0,0,0,-390,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,-51,0,0,0,0,-35,0,0,-273,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,-162,0,0,
            0,-36,-433,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,-510,0,0,0,0,0,
            -101,0,-520,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,-133,0,0,0,-29,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,-371,0,0,0,-37,
            -214,0,0,0,-385,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,-196,0,0,0,0,
            0,0,0,0,0,-52,0,0,0,0,
            0,0,-199,0,-30,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,-507,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,-77,-236,-226,0,-102,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,-262,0,-451,0,0,-183,-201,-330,-215,
            -272,-203,0,-311,-250,-254,0,-202,-257,0,
            -141,-232,-335,0,-261,0,-441,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,-4,0,0,0,0,-10,0,0,-14,
            0,0,0,0,0,-38,0,0,0,0,
            -331,0,0,0,-306,-312,-39,0,0,-260,
            0,-270,0,-453,-301,-332,0,0,0,-40,
            0,-185,-334,-392,0,-471,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,-275,0,-244,0,-66,0,0,0,0,
            0,0,0,-394,-41,0,0,0,-42,0,
            0,0,0,0,0,0,-302,0,0,0,
            0,-505,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,-343,0,-116,
            -155,0,-249,0,-252,-182,0,0,-246,0,
            -247,-219,-248,-258,-174,-350,0,-313,0,0,
            0,-213,0,0,0,0,0,0,-525,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,-103,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,-337,-379,0,0,0,-333,
            -384,0,0,0,0,0,0,0,0,-327,
            0,0,0,0,0,-314,0,-316,0,0,
            -89,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,-326,-389,0,-430,0,-370,0,0,
            -180,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,-200,0,0,0,-265,0,-204,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,-409,-417,
            0,-421,0,0,-423,-424,-466,0,0,0,
            0,-431,0,-496,0,0,-499,-465,-527,0,
            -513,0,-44,0,-444,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,-429,-469,-497,0,-498,
            -45,0,0,0,0,-46,0,-47,0,-515,
            0,-529,0,0,0,0,0,-514,0,-393,
            0,-472,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,-447,-491,0,0,-48,-49,0,0,
            0,-492,0,-50,-53,-54,-55,-57,0,-61,
            0,0,0,0,-62,-63,-65,-72,-74,0,
            -524,-75,0,-473,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,-279,
            0,-403,0,-76,-523,0,-82,-85,-96,-97,
            -108,-109,-110,-111,0,0,-112,-113,-118,-120,
            0,-122,-125,-127,0,-528,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,-119,0,0,
            -126,0,-255,0,0,-382,0,-130,0,-132,
            -136,0,-137,0,-143,-144,-145,-146,-147,-149,
            0,-152,-153,0,-156,-157,-158,0,0,0,
            0,0,-165,0,0,0,0,0,0,0,
            -166,0,-167,0,-175,-178,-179,-184,-186,-189,
            -190,-191,-194,-195,-198,-206,0,-27,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,-58,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            -210,0,0,-216,-217,0,-90,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,-135,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,-218,-220,
            -224,-229,-230,-231,-234,-235,-237,0,-308,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,-238,
            0,0,-239,-241,0,-242,-245,-256,-263,-264,
            0,-266,-267,-268,-269,-274,0,-276,0,-277,
            -278,-280,-281,0,-282,-283,-284,-285,-286,0,
            -349,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,-287,-288,-289,-290,-291,-292,-293,-294,-295,
            -296,-297,-298,-299,-303,-305,-307,-315,-317,-320,
            -321,-322,-323,-324,-328,0,-381,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,-338,0,0,
            -339,-340,0,-341,-342,-345,-346,-347,-348,-351,
            -352,-353,-354,-355,-356,-357,0,0,0,-358,
            -359,-360,-361,-362,-363,-364,-365,-366,0,-475,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            -367,-368,-369,0,-372,-373,-374,-375,-376,-378,
            -380,-383,-386,-391,-396,-397,-398,-399,-400,-401,
            -402,-405,-406,-407,-408,-410,-411,-412,-413,-414,
            0,-16,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,-43,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,-67,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,-73,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,-415,0,0,-416,
            -418,-419,-420,-422,-425,-426,-428,-432,-434,-435,
            -436,-437,-438,-439,-440,0,-443,-446,-449,-452,
            -454,0,-80,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,-455,-456,-457,0,-458,-459,-460,
            -461,-462,-463,-464,-467,-468,-470,0,-474,-476,
            -477,-478,-480,0,-481,-483,-484,-487,-489,-490,
            -493,-494,-495,-500,-501,-502,-504,-506,0,-509,
            -511,-516,-517,-518,-519,-522,-526,-531,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,-121,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,-123,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,-233,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,-259,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,-300,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,-395,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            -445,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,-448,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,-503,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            -508,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,-78,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,-79,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,-81,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,-87,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,-95,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,-138,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,-142,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,-161,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            -173,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,-193,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,-240,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,-271,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            -482,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,-512,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,-148,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,-160,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,-170,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,-176,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,-211,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            -221,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,-222,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,-225,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,-304,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,-309,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,-310,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,-318,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,-325,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,-377,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,-427,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            -106,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            -107,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            -104,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,-105,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,-208,0,
            0,0,0,0,0,0,0,0,-7,0,
            0,0,0,0,0,0,0,0,0,-209,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,-1,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,-253,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            -124,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0
        };
    };
    public final static short baseCheck[] = BaseCheck.baseCheck;
    public final int baseCheck(int index) { return baseCheck[index]; }
    public final static short rhs[] = baseCheck;
    public final int rhs(int index) { return rhs[index]; };

    public interface BaseAction {
        public final static char baseAction[] = {
            162,162,162,162,110,111,111,111,111,163,
            41,41,41,41,41,54,62,62,59,59,
            55,55,55,116,116,56,56,56,56,8,
            8,118,164,164,119,165,165,9,120,120,
            121,121,4,124,166,166,6,6,73,7,
            7,7,7,7,7,7,7,74,74,74,
            77,77,78,78,79,75,75,75,75,75,
            75,85,84,84,80,80,86,86,87,87,
            87,87,87,88,88,88,88,88,88,88,
            88,88,89,89,89,89,83,83,83,83,
            81,81,81,81,81,81,81,81,81,81,
            81,81,81,82,82,82,82,82,63,63,
            63,63,76,169,169,169,169,169,169,169,
            115,235,235,123,100,100,100,100,100,100,
            100,43,30,30,30,36,36,72,72,10,
            10,10,10,10,10,10,10,10,10,10,
            10,10,29,29,29,29,29,29,90,236,
            236,13,13,64,64,34,130,170,170,131,
            131,91,171,171,132,132,172,172,1,1,
            122,45,45,45,45,45,45,134,134,173,
            173,113,113,46,46,167,167,47,47,48,
            48,133,128,128,128,35,35,175,175,125,
            125,176,176,176,117,117,136,136,177,177,
            135,135,129,129,178,178,178,178,179,179,
            92,92,92,92,92,102,102,180,180,180,
            137,137,5,5,138,138,174,174,99,99,
            139,181,181,12,12,182,140,140,140,140,
            49,57,57,57,57,57,57,44,44,32,
            38,112,37,37,37,39,97,97,97,97,
            97,97,168,168,50,51,2,127,127,183,
            183,42,42,42,42,42,42,42,42,11,
            11,11,11,11,11,11,11,11,11,11,
            11,11,11,11,11,11,3,65,65,65,
            61,142,142,93,93,101,101,31,60,68,
            69,69,69,69,69,69,70,70,184,184,
            126,126,98,98,186,141,187,143,143,143,
            188,188,114,40,144,144,185,185,33,33,
            189,189,145,9,75,94,43,10,66,13,
            13,69,14,190,191,192,192,146,146,193,
            193,193,193,194,194,195,195,196,196,197,
            197,197,198,198,200,200,202,202,148,148,
            205,205,149,149,150,150,58,58,206,206,
            208,208,209,209,210,210,207,207,211,211,
            213,213,154,154,215,215,95,95,237,67,
            67,199,217,217,155,16,18,203,15,15,
            15,15,15,15,15,15,15,15,17,20,
            19,204,204,204,204,204,204,21,22,52,
            201,201,96,103,219,219,157,157,157,105,
            220,23,221,221,158,24,104,25,223,106,
            106,152,152,107,151,224,224,26,53,108,
            71,225,226,226,159,159,160,161,27,109,
            212,228,228,227,227,229,229,216,216,232,
            153,233,231,231,214,230,28,218,218,238,
            147,156,222,222,222,11187,2134,2128,150,46,
            1242,152,153,156,157,167,151,154,155,373,
            377,379,380,445,448,449,450,451,452,453,
            454,455,456,457,566,1792,11136,2201,972,5191,
            42,2375,11273,47,11108,804,308,25,307,123,
            306,303,305,304,11435,302,301,376,11112,11579,
            18,2275,11519,11123,2277,5191,488,2439,11753,11119,
            2134,2128,1612,46,2248,2209,117,2374,11294,2134,
            2128,150,46,1242,152,153,156,157,167,151,
            154,155,373,377,379,380,445,448,449,450,
            451,452,453,454,455,456,457,566,1792,11602,
            2201,972,11725,11739,2375,2235,606,2300,804,308,
            25,307,11740,306,303,305,304,2285,302,301,
            376,11162,11191,18,2275,486,166,2277,5191,530,
            2554,202,972,11166,2134,2128,1191,46,2248,350,
            2374,11199,2134,2128,150,46,1242,152,153,156,
            157,167,151,154,155,373,377,379,380,445,
            448,449,450,451,452,453,454,455,456,457,
            566,1781,11170,342,1933,343,1672,2308,861,5191,
            337,804,308,25,307,11236,306,303,305,304,
            281,302,301,376,5191,42,18,2275,1325,12162,
            2277,228,360,2276,593,972,11609,11166,2134,2128,
            1073,46,2248,350,2270,11199,2134,2128,150,46,
            1242,152,153,156,157,167,151,154,155,373,
            377,379,380,445,448,449,450,451,452,453,
            454,455,456,457,566,1781,1780,2210,11166,2134,
            2128,3715,46,2248,351,804,308,25,307,2212,
            306,303,305,304,2976,302,301,376,10364,42,
            18,2275,1325,862,2277,1456,639,2276,1588,725,
            514,513,2,4,5,6,7,8,258,11199,
            2134,2128,150,46,1242,152,153,156,157,167,
            151,154,155,373,377,379,380,445,448,449,
            450,451,452,453,454,455,456,457,566,1781,
            11617,11231,11288,2442,371,36,4452,606,2300,804,
            308,25,307,2295,306,303,305,304,517,302,
            301,376,11422,11749,18,2275,5191,265,2277,3714,
            130,2276,430,502,504,505,11751,1191,270,282,
            283,1802,238,11221,2134,2128,150,46,1242,152,
            153,156,157,167,151,154,155,373,377,379,
            380,445,448,449,450,451,452,453,454,455,
            456,457,566,1781,342,1934,343,1672,12019,861,
            510,434,416,804,308,25,307,2302,306,303,
            305,304,518,302,301,376,739,11247,18,2275,
            2910,11870,2277,11768,194,2276,494,503,504,505,
            5191,9,11231,11607,5191,519,339,11199,2134,2128,
            150,46,1242,152,153,156,157,167,151,154,
            155,373,377,379,380,445,448,449,450,451,
            452,453,454,455,456,457,566,1781,1660,278,
            282,283,1582,1978,11560,11346,661,804,308,25,
            307,277,306,303,305,304,416,302,301,376,
            11215,2303,18,2275,11415,11475,2559,11199,2134,2128,
            150,46,1242,152,153,156,157,167,151,154,
            155,373,377,379,380,445,448,449,450,451,
            452,453,454,455,456,457,566,1781,11506,11863,
            11150,2134,2128,11641,46,2248,2209,804,308,25,
            307,8197,306,303,305,304,11251,302,301,376,
            11131,11152,19,2275,11209,2134,2128,150,46,1242,
            152,153,156,157,167,151,154,155,373,377,
            379,380,445,448,449,450,451,452,453,454,
            455,456,457,566,1781,1192,1192,6671,11603,11597,
            166,2269,33,15,804,308,26,307,1724,306,
            303,305,304,2291,302,301,376,11234,2134,2128,
            150,46,1242,152,153,156,157,167,151,154,
            155,373,377,379,380,445,448,449,450,451,
            452,453,454,455,456,457,566,2832,8886,122,
            11231,2835,11778,11103,296,2128,166,35,1651,11216,
            521,11243,5191,337,5191,337,11120,11231,5191,480,
            2974,606,2300,11784,5191,43,520,498,334,2147,
            1795,184,174,361,12073,662,791,278,282,283,
            278,282,283,219,882,353,970,1666,3713,277,
            2261,1191,277,746,278,282,283,278,282,283,
            335,1537,5191,2200,1586,1585,277,11787,2834,277,
            11970,254,1881,57,58,59,60,61,65,66,
            67,68,69,70,74,75,76,77,342,1785,
            343,1672,374,2199,395,3682,2408,185,11123,186,
            2500,428,11790,11419,2134,2128,150,46,1242,152,
            153,156,157,167,151,154,155,373,377,379,
            380,445,448,449,450,451,452,453,454,455,
            456,457,566,2213,523,2201,972,426,2035,2829,
            278,282,283,3780,3000,9625,122,882,45,341,
            2283,11216,277,11338,2134,2128,150,46,1242,152,
            153,156,157,167,151,154,155,373,377,379,
            380,445,448,449,450,451,452,453,454,455,
            456,457,566,2892,3714,2201,972,173,5930,2134,
            2128,150,46,1242,152,153,156,157,159,151,
            154,155,373,377,379,380,445,448,449,450,
            451,452,453,454,455,456,457,181,174,2195,
            57,58,59,60,61,65,66,67,68,69,
            70,74,75,76,77,1592,7524,416,476,374,
            11798,11231,2304,2837,182,11492,2134,2128,150,46,
            1242,152,153,156,157,167,151,154,155,373,
            377,379,380,445,448,449,450,451,452,453,
            454,455,456,457,566,2563,11905,418,278,282,
            283,2828,278,282,283,1665,6669,296,2128,2022,
            277,886,2293,11908,277,5930,2134,2128,150,46,
            1242,152,153,156,157,158,151,154,155,373,
            377,379,380,445,448,449,450,451,452,453,
            454,455,456,457,2917,11536,2134,2128,150,46,
            1242,152,153,156,157,167,151,154,155,373,
            377,379,380,445,448,449,450,451,452,453,
            454,455,456,457,566,2832,11104,11433,11237,173,
            5930,2134,2128,150,46,1242,152,153,156,157,
            165,151,154,155,373,377,379,380,445,448,
            449,450,451,452,453,454,455,456,457,181,
            174,970,5191,530,5191,2900,2899,11298,11621,5241,
            2285,11523,4453,2824,12009,11641,11444,193,11912,11952,
            217,3714,3714,11243,861,11363,180,11469,2134,2128,
            150,46,1242,152,153,156,157,167,151,154,
            155,373,377,379,380,445,448,449,450,451,
            452,453,454,455,456,457,566,2892,970,2201,
            972,330,5191,606,602,1250,177,5191,606,602,
            5191,606,602,861,416,416,11801,1585,320,2306,
            2560,5191,2674,254,21,11530,12010,11802,331,12,
            3714,1589,3714,352,8197,11446,11477,484,352,2487,
            11803,352,11861,11861,11861,2915,11402,2134,2128,150,
            46,1242,152,153,156,157,167,151,154,155,
            373,377,379,380,445,448,449,450,451,452,
            453,454,455,456,457,566,2832,970,970,970,
            173,266,11471,416,11939,416,5191,43,2598,393,
            2606,338,861,861,3714,11804,1585,1585,1585,11805,
            1090,340,381,346,347,1091,1737,11288,642,2891,
            184,174,11503,2134,2128,150,46,1242,152,153,
            156,157,167,151,154,155,373,377,379,380,
            445,448,449,450,451,452,453,454,455,456,
            457,566,2892,525,2201,972,330,416,11127,436,
            3715,11142,2838,10366,1662,11111,11401,938,1581,11738,
            208,11738,11113,11738,11909,11563,5191,2192,12010,408,
            2493,11,11868,331,1214,2607,185,493,187,11570,
            2134,2128,150,46,1242,152,153,156,157,167,
            151,154,155,373,377,379,380,445,448,449,
            450,451,452,453,454,455,456,457,566,2832,
            44,494,294,173,5930,2134,2128,150,46,1242,
            152,153,156,157,164,151,154,155,373,377,
            379,380,445,448,449,450,451,452,453,454,
            455,456,457,181,174,12018,11530,2487,4293,362,
            11479,11158,2207,2492,2891,1714,2261,2666,1978,4293,
            12016,243,1890,242,2132,241,12010,410,11688,10,
            180,11528,2134,2128,150,46,1242,152,153,156,
            157,167,151,154,155,373,377,379,380,445,
            448,449,450,451,452,453,454,455,456,457,
            566,2267,1579,11362,11385,475,6719,861,5191,298,
            178,11394,2134,2128,150,46,1242,152,153,156,
            157,167,151,154,155,373,377,379,380,445,
            448,449,450,451,452,453,454,455,456,457,
            566,2203,11127,2201,972,260,5192,2486,2975,2134,
            2128,150,46,1242,152,153,156,157,167,151,
            154,155,373,377,379,380,445,448,449,450,
            451,452,453,454,455,456,457,566,1712,11524,
            11524,207,11524,2484,22,12010,12010,12010,14,13,
            196,383,11485,39,11524,2487,2487,12010,9675,12189,
            195,5191,444,11806,190,2975,2134,2128,150,46,
            1242,152,153,156,157,167,151,154,155,373,
            377,379,380,445,448,449,450,451,452,453,
            454,455,456,457,566,1712,12120,11710,11524,280,
            11524,11807,2876,2882,402,2884,1,2492,776,861,
            8197,477,12196,2066,491,489,490,2912,5191,512,
            11411,2265,12153,2134,2128,150,46,1242,152,153,
            156,157,167,151,154,155,373,377,379,380,
            445,448,449,450,451,452,453,454,455,456,
            457,566,2832,11706,12171,970,330,807,1498,474,
            2496,2913,12171,2914,2237,11808,11810,11812,11380,406,
            11145,491,489,490,1585,11628,11750,740,11580,4454,
            346,12204,5193,334,12153,2134,2128,150,46,1242,
            152,153,156,157,167,151,154,155,373,377,
            379,380,445,448,449,450,451,452,453,454,
            455,456,457,566,2832,335,970,2893,330,524,
            11983,2489,11983,2907,5932,11574,63,11461,11561,7410,
            11814,11110,11300,11295,11816,1585,2082,11613,11769,11287,
            11773,345,11614,11480,7409,334,11571,2134,2128,150,
            46,1242,152,153,156,157,167,151,154,155,
            373,377,379,380,445,448,449,450,451,452,
            453,454,455,456,457,566,2832,335,5191,337,
            173,7408,337,5191,337,2908,8887,436,11575,436,
            11634,11781,436,11818,2904,11782,11822,11637,11853,11713,
            11815,404,11820,11837,2067,11786,11865,11780,516,2199,
            181,174,2301,11355,1593,2611,515,499,2201,972,
            2029,11859,507,11916,432,11623,11797,11660,11857,11862,
            8888,9627,11938,11940,11941,11668,11942,183,757,2149,
            2152,150,46,1242,152,153,156,157,167,151,
            154,155,373,377,379,380,445,448,449,450,
            451,452,453,454,455,456,457,566,1536,2194,
            11334,2134,2128,150,46,1242,152,153,156,157,
            167,151,154,155,373,377,379,380,445,448,
            449,450,451,452,453,454,455,456,457,566,
            2203,11674,2201,972,11944,11943,2202,11771,2134,2128,
            150,46,1242,152,153,156,157,167,151,154,
            155,373,377,379,380,445,448,449,450,451,
            452,453,454,455,456,457,566,2267,2975,2134,
            2128,150,46,1242,152,153,156,157,167,151,
            154,155,373,377,379,380,445,448,449,450,
            451,452,453,454,455,456,457,566,2305,11429,
            753,11421,11888,11511,11945,11946,11677,11116,299,11334,
            2134,2128,150,46,1242,152,153,156,157,167,
            151,154,155,373,377,379,380,445,448,449,
            450,451,452,453,454,455,456,457,566,2563,
            11370,2201,972,11680,11947,2670,11950,11954,11378,11646,
            11964,2148,11968,11956,11910,11969,11979,2268,11627,39,
            11980,11972,11981,11982,1473,11985,11987,11992,11996,11997,
            190,2975,2134,2128,150,46,1242,152,153,156,
            157,167,151,154,155,373,377,379,380,445,
            448,449,450,451,452,453,454,455,456,457,
            566,1712,11500,11515,12001,12003,12005,11995,12006,11432,
            11220,11645,12007,11683,11689,11440,12008,11549,11690,12011,
            12012,12013,7427,11693,12015,12017,482,11334,2134,2128,
            150,46,1242,152,153,156,157,167,151,154,
            155,373,377,379,380,445,448,449,450,451,
            452,453,454,455,456,457,566,2563,12020,2201,
            972,12025,12027,2827,12030,12034,12035,12037,12036,12042,
            8148,12038,11651,11774,11791,12041,12043,492,489,490,
            12044,12046,12045,12047,12048,12049,12050,12051,12059,860,
            12157,2134,2128,150,46,1242,152,153,156,157,
            167,151,154,155,373,377,379,380,445,448,
            449,450,451,452,453,454,455,456,457,566,
            2832,12060,12061,12063,330,12065,12067,11272,11543,5307,
            12071,11555,11700,11564,12074,12075,11697,12072,12076,12077,
            12079,12081,12087,11698,11704,11705,12088,12085,12089,12091,
            12092,334,11320,2134,2128,150,46,1242,152,153,
            156,157,167,151,154,155,373,377,379,380,
            445,448,449,450,451,452,453,454,455,456,
            457,566,2138,336,11229,2134,2128,150,46,1242,
            152,153,156,157,167,151,154,155,373,377,
            379,380,445,448,449,450,451,452,453,454,
            455,456,457,566,1068,2975,2134,2128,150,46,
            1242,152,153,156,157,167,151,154,155,373,
            377,379,380,445,448,449,450,451,452,453,
            454,455,456,457,566,1034,11334,2134,2128,150,
            46,1242,152,153,156,157,167,151,154,155,
            373,377,379,380,445,448,449,450,451,452,
            453,454,455,456,457,566,2213,12093,2201,972,
            12095,12096,12097,12094,12099,11649,11718,12105,12109,12100,
            12123,12132,11729,12133,11709,11716,366,12134,12135,12136,
            12137,12138,32,2975,2134,2128,150,46,1242,152,
            153,156,157,167,151,154,155,373,377,379,
            380,445,448,449,450,451,452,453,454,455,
            456,457,566,2260,12139,12140,12141,883,12143,12145,
            12146,12147,12148,12149,12151,12152,11735,9002,1014,12155,
            11712,11722,11567,12159,261,12158,11733,749,12163,12168,
            12169,12173,12174,12176,12178,12172,12175,11742,11743,527,
            11744,12179,12180,12183,12184,11745,12186,11746,9626,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,2208,11817,2134,2128,
            150,46,1242,152,153,156,157,167,151,154,
            155,373,377,379,380,445,448,449,450,451,
            452,453,454,455,456,457,566,2297,1496,2149,
            2152,150,46,1242,152,153,156,157,167,151,
            154,155,373,377,379,380,445,448,449,450,
            451,452,453,454,455,456,457,566,1536,2194,
            4471,2134,2128,150,46,1242,152,153,156,157,
            167,151,154,155,373,377,379,380,445,448,
            449,450,451,452,453,454,455,456,457,566,
            2563,5556,5556,5556,5556,5556,2562,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,973,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,199,2975,2134,2128,150,46,1242,152,153,
            156,157,167,151,154,155,373,377,379,380,
            445,448,449,450,451,452,453,454,455,456,
            457,566,2305,5556,5556,5556,5556,5556,300,5556,
            2296,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,2561,
            6670,2134,2128,150,46,1242,152,153,156,157,
            167,151,154,155,373,377,379,380,445,448,
            449,450,451,452,453,454,455,456,457,566,
            2563,5556,5556,5556,5556,5556,2486,5556,1473,2975,
            2134,2128,150,46,1242,152,153,156,157,167,
            151,154,155,373,377,379,380,445,448,449,
            450,451,452,453,454,455,456,457,566,2305,
            5556,5556,2665,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            483,4471,2134,2128,150,46,1242,152,153,156,
            157,167,151,154,155,373,377,379,380,445,
            448,449,450,451,452,453,454,455,456,457,
            566,2563,5556,5556,5556,470,5556,2562,2975,2134,
            2128,150,46,1242,152,153,156,157,167,151,
            154,155,373,377,379,380,445,448,449,450,
            451,452,453,454,455,456,457,566,2897,11502,
            2134,2128,150,46,1242,152,153,156,157,167,
            151,154,155,373,377,379,380,445,448,449,
            450,451,452,453,454,455,456,457,566,2213,
            5556,2201,972,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            2895,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            2123,2975,2134,2128,150,46,1242,152,153,156,
            157,167,151,154,155,373,377,379,380,445,
            448,449,450,451,452,453,454,455,456,457,
            566,2832,5556,5556,5556,330,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,442,5556,5556,5556,5556,5556,5556,
            5556,5556,332,11813,2134,2128,150,46,1242,152,
            153,156,157,167,151,154,155,373,377,379,
            380,445,448,449,450,451,452,453,454,455,
            456,457,566,2138,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,2896,2975,2134,2128,150,
            46,1242,152,153,156,157,167,151,154,155,
            373,377,379,380,445,448,449,450,451,452,
            453,454,455,456,457,566,2258,2975,2134,2128,
            150,46,1242,152,153,156,157,167,151,154,
            155,373,377,379,380,445,448,449,450,451,
            452,453,454,455,456,457,566,2260,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,889,367,5556,5556,
            5556,5556,5556,1364,2975,2134,2128,150,46,1242,
            152,153,156,157,167,151,154,155,373,377,
            379,380,445,448,449,450,451,452,453,454,
            455,456,457,566,2258,2975,2134,2128,150,46,
            1242,152,153,156,157,167,151,154,155,373,
            377,379,380,445,448,449,450,451,452,453,
            454,455,456,457,566,2260,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,1591,5556,5556,5556,5556,5556,
            5556,1278,2975,2134,2128,150,46,1242,152,153,
            156,157,167,151,154,155,373,377,379,380,
            445,448,449,450,451,452,453,454,455,456,
            457,566,2258,2975,2134,2128,150,46,1242,152,
            153,156,157,167,151,154,155,373,377,379,
            380,445,448,449,450,451,452,453,454,455,
            456,457,566,2260,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,1578,5556,5556,5556,5556,5556,5556,1069,
            2975,2134,2128,150,46,1242,152,153,156,157,
            167,151,154,155,373,377,379,380,445,448,
            449,450,451,452,453,454,455,456,457,566,
            2260,2975,2134,2128,150,46,1242,152,153,156,
            157,167,151,154,155,373,377,379,380,445,
            448,449,450,451,452,453,454,455,456,457,
            566,1034,5556,5556,5556,5556,2444,2975,2134,2128,
            150,46,1242,152,153,156,157,167,151,154,
            155,373,377,379,380,445,448,449,450,451,
            452,453,454,455,456,457,566,2260,11872,2134,
            2128,150,46,1242,152,153,156,157,167,151,
            154,155,373,377,379,380,445,448,449,450,
            451,452,453,454,455,456,457,566,2297,5556,
            5556,5556,5556,528,2975,2134,2128,150,46,1242,
            152,153,156,157,167,151,154,155,373,377,
            379,380,445,448,449,450,451,452,453,454,
            455,456,457,566,2258,5556,5556,5556,5556,5556,
            262,2975,2134,2128,150,46,1242,152,153,156,
            157,167,151,154,155,373,377,379,380,445,
            448,449,450,451,452,453,454,455,456,457,
            566,2305,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,397,5556,5556,5556,5556,5556,
            5556,5556,200,10414,2134,2128,150,46,1242,152,
            153,156,157,167,151,154,155,373,377,379,
            380,445,448,449,450,451,452,453,454,455,
            456,457,566,2897,5556,5556,5556,471,2975,2134,
            2128,150,46,1242,152,153,156,157,167,151,
            154,155,373,377,379,380,445,448,449,450,
            451,452,453,454,455,456,457,566,2371,2975,
            2134,2128,150,46,1242,152,153,156,157,167,
            151,154,155,373,377,379,380,445,448,449,
            450,451,452,453,454,455,456,457,566,2443,
            2975,2134,2128,150,46,1242,152,153,156,157,
            167,151,154,155,373,377,379,380,445,448,
            449,450,451,452,453,454,455,456,457,566,
            2446,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,443,2975,
            2134,2128,150,46,1242,152,153,156,157,167,
            151,154,155,373,377,379,380,445,448,449,
            450,451,452,453,454,455,456,457,566,2483,
            2975,2134,2128,150,46,1242,152,153,156,157,
            167,151,154,155,373,377,379,380,445,448,
            449,450,451,452,453,454,455,456,457,566,
            2553,2975,2134,2128,150,46,1242,152,153,156,
            157,167,151,154,155,373,377,379,380,445,
            448,449,450,451,452,453,454,455,456,457,
            566,1655,2975,2134,2128,150,46,1242,152,153,
            156,157,167,151,154,155,373,377,379,380,
            445,448,449,450,451,452,453,454,455,456,
            457,566,2557,11316,2134,2128,150,46,1242,152,
            153,156,157,167,151,154,155,373,377,379,
            380,445,448,449,450,451,452,453,454,455,
            456,457,566,2558,2975,2134,2128,150,46,1242,
            152,153,156,157,167,151,154,155,373,377,
            379,380,445,448,449,450,451,452,453,454,
            455,456,457,566,2668,2975,2134,2128,150,46,
            1242,152,153,156,157,167,151,154,155,373,
            377,379,380,445,448,449,450,451,452,453,
            454,455,456,457,566,1876,2975,2134,2128,150,
            46,1242,152,153,156,157,167,151,154,155,
            373,377,379,380,445,448,449,450,451,452,
            453,454,455,456,457,566,2671,2975,2134,2128,
            150,46,1242,152,153,156,157,167,151,154,
            155,373,377,379,380,445,448,449,450,451,
            452,453,454,455,456,457,566,2672,2975,2134,
            2128,150,46,1242,152,153,156,157,167,151,
            154,155,373,377,379,380,445,448,449,450,
            451,452,453,454,455,456,457,566,2673,2975,
            2134,2128,150,46,1242,152,153,156,157,167,
            151,154,155,373,377,379,380,445,448,449,
            450,451,452,453,454,455,456,457,566,2826,
            2975,2134,2128,150,46,1242,152,153,156,157,
            167,151,154,155,373,377,379,380,445,448,
            449,450,451,452,453,454,455,456,457,566,
            2886,5930,2134,2128,150,46,1242,152,153,156,
            157,167,151,154,155,373,377,379,380,445,
            448,449,450,451,452,453,454,455,456,457,
            1030,5930,2134,2128,150,46,1242,152,153,156,
            157,167,151,154,155,373,377,379,380,445,
            448,449,450,451,452,453,454,455,456,457,
            1086,5930,2134,2128,150,46,1242,152,153,156,
            157,163,151,154,155,373,377,379,380,445,
            448,449,450,451,452,453,454,455,456,457,
            5930,2134,2128,150,46,1242,152,153,156,157,
            162,151,154,155,373,377,379,380,445,448,
            449,450,451,452,453,454,455,456,457,8147,
            2550,2549,5556,5556,5556,5556,5556,5556,5556,5191,
            337,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            8147,2550,2549,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,11306,5556,
            1073,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            593,972,5556,2551,57,58,59,60,61,65,
            66,67,68,69,70,74,75,76,77,5556,
            3713,606,2300,374,2551,57,58,59,60,61,
            65,66,67,68,69,70,74,75,76,77,
            5556,2235,606,2300,374,5556,5556,5556,5556,5556,
            384,1191,41,5556,5556,5556,133,278,282,283,
            5556,5556,5556,5556,1880,5556,5556,5556,5556,277,
            5556,2552,1191,41,5556,5556,5556,133,1,4,
            5,6,7,8,370,5556,5556,5556,342,1785,
            343,1672,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,342,
            1577,343,1672,5556,5556,5556,5556,5556,5556,5556,
            2190,5556,5556,5556,5556,5556,5556,5556,643,5556,
            574,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,1786,5556,0,5771,216,
            0,220,216,0,5770,212,0,5769,212,0,
            5745,253,0,5744,253,0,5717,5744,253,0,
            5716,5744,253,0,896,5744,253,0,963,5744,
            253,0,1182,5744,253,0,1203,5744,253,0,
            1247,5744,253,0,1282,5744,253,0,1420,5744,
            253,0,1646,5744,253,0,1657,5744,253,0,
            1670,5744,253,0,1725,5744,253,0,1729,5744,
            253,0,2724,5744,253,0,2033,5744,253,0,
            2071,5744,253,0,2078,5744,253,0,2127,5744,
            253,0,5881,5744,253,0,5880,5744,253,0,
            5879,5744,253,0,5878,5744,253,0,5877,5744,
            253,0,1466,5744,253,0,5875,5744,253,0,
            5874,5744,253,0,5873,5744,253,0,2135,5744,
            253,0,2136,5744,253,0,2137,5744,253,0,
            5866,5744,253,0,5865,5744,253,0,257,673,
            0,253,5745,0,253,5744,0,5717,253,5744,
            0,5716,253,5744,0,896,253,5744,0,963,
            253,5744,0,1182,253,5744,0,1203,253,5744,
            0,1247,253,5744,0,1282,253,5744,0,1420,
            253,5744,0,1646,253,5744,0,1657,253,5744,
            0,1670,253,5744,0,1725,253,5744,0,1729,
            253,5744,0,2724,253,5744,0,2033,253,5744,
            0,2071,253,5744,0,2078,253,5744,0,2127,
            253,5744,0,5881,253,5744,0,5880,253,5744,
            0,5879,253,5744,0,5878,253,5744,0,5877,
            253,5744,0,1466,253,5744,0,5875,253,5744,
            0,5874,253,5744,0,5873,253,5744,0,2135,
            253,5744,0,2136,253,5744,0,2137,253,5744,
            0,5866,253,5744,0,5865,253,5744,0,681,
            5744,253,0,53,54,0,1844,144,0,5696,
            144,0,5695,144,0,5694,144,0,5693,144,
            0,5692,144,0,5691,144,0,5690,144,0,
            2786,369,0,4669,5744,253,0,369,5744,253,
            0,2937,369,0,296,337,0,218,216,0,
            2263,413,0,5947,392,0,5946,392,0,5945,
            392,0,2266,5744,253,0,1094,5744,253,0,
            2272,5744,253,0,2273,5744,253,0,5944,396,
            0,5943,396,0,145,5705,0,2298,5744,0,
            2299,5744,0,252,5745,0,252,5744,0,161,
            211,0,535,369,0,1844,143,0,5696,143,
            0,5695,143,0,5694,143,0,5693,143,0,
            5692,143,0,5691,143,0,5690,143,0,1844,
            142,0,5696,142,0,5695,142,0,5694,142,
            0,5693,142,0,5692,142,0,5691,142,0,
            5690,142,0,589,5744,0,2692,5744,0,255,
            216,0,411,1794,0,2502,5744,0,5636,5744,
            0,2503,5744,0,2505,5744,0,2506,5744,0,
            2507,5744,0,5651,5744,0,5650,5744,0,5649,
            5744,0,5648,5744,0,2508,5744,0,2509,5744,
            0,2542,5744,0,2543,5744,0,2544,5744,0,
            2545,5744,0,2546,5744,0,2547,5744,0,2548,
            5744,0,5629,5744,0,5628,5744,0,5627,5744,
            0,5931,5744,0,1656,5744,253,0,1798,5744,
            253,0,1896,5744,253,0,589,5744,253,0,
            2692,5744,253,0,403,1875,0,122,297,0,
            2667,363,0,148,2825,0,2830,5744,253,0,
            2831,5744,253,0,2833,5744,253,0,284,216,
            0,1283,369,0,369,589,5744,253,0,369,
            2692,5744,253,0,330,173,0,175,5705,0,
            2916,5744,0,3299,369,0
        };
    };
    public final static char baseAction[] = BaseAction.baseAction;
    public final int baseAction(int index) { return baseAction[index]; }
    public final static char lhs[] = baseAction;
    public final int lhs(int index) { return lhs[index]; };

    public interface TermCheck0 {
        public final static char termCheck0[] = {0,
            0,1,2,3,4,5,6,7,8,9,
            10,11,12,13,14,15,16,17,18,19,
            20,21,22,23,24,25,26,27,28,29,
            30,31,32,33,34,35,36,37,38,39,
            40,41,42,43,44,45,46,47,48,49,
            50,51,52,53,54,55,56,57,58,59,
            60,61,62,63,64,65,66,67,68,69,
            70,71,72,73,74,75,76,77,78,79,
            80,81,82,83,84,85,86,87,88,89,
            90,91,92,93,94,95,96,97,98,99,
            100,101,102,103,104,105,106,107,108,109,
            110,111,112,113,114,115,0,117,118,119,
            120,121,122,123,124,125,126,127,128,129,
            130,131,132,133,134,135,136,137,138,139,
            140,141,142,143,144,145,146,147,148,149,
            150,151,152,153,154,155,156,157,158,159,
            160,161,162,163,164,165,166,167,168,169,
            170,171,172,173,174,175,176,177,178,179,
            180,181,182,183,184,185,186,187,188,189,
            190,191,192,193,194,195,196,197,198,199,
            200,201,202,203,204,205,206,207,208,209,
            210,211,212,213,214,215,216,217,218,219,
            220,221,222,223,224,225,226,227,228,229,
            230,231,232,233,234,235,236,237,238,239,
            240,241,242,243,244,245,246,247,248,249,
            250,251,252,253,254,255,256,257,258,259,
            260,261,262,263,264,265,266,267,268,269,
            270,271,272,273,274,275,276,277,278,279,
            280,281,282,283,284,285,286,287,288,289,
            290,291,292,293,294,295,296,297,298,299,
            300,301,302,303,304,305,306,307,308,309,
            310,311,312,313,314,315,316,317,318,319,
            320,321,322,323,324,325,326,327,328,329,
            330,331,332,333,334,335,336,337,338,339,
            340,341,342,343,344,345,346,347,348,349,
            350,351,352,353,354,355,356,357,358,359,
            360,361,362,363,364,365,366,367,368,369,
            370,371,372,373,374,375,376,377,378,379,
            380,381,382,383,384,385,386,387,388,389,
            390,391,392,393,394,395,396,397,398,399,
            400,401,402,403,404,405,406,407,408,409,
            410,411,412,413,414,415,416,417,418,419,
            420,421,422,423,424,425,426,427,428,429,
            430,431,432,433,434,435,436,437,438,439,
            440,441,442,443,444,445,446,447,448,449,
            450,451,452,453,454,455,456,457,458,459,
            460,461,462,463,464,465,466,467,468,469,
            470,471,472,473,474,475,476,477,478,479,
            480,481,482,483,484,485,486,487,488,489,
            490,491,492,493,494,495,496,497,498,499,
            500,501,502,503,504,505,506,507,508,509,
            510,511,512,513,514,515,516,517,518,519,
            520,521,522,523,524,525,526,527,528,529,
            530,531,532,533,534,535,536,537,538,539,
            540,541,542,543,544,545,546,547,548,549,
            550,551,552,553,554,555,556,557,558,559,
            560,561,562,563,564,565,566,567,568,569,
            570,571,572,573,574,575,576,577,578,579,
            580,581,582,583,584,585,586,587,588,589,
            590,591,592,593,594,595,596,597,598,599,
            600,601,602,603,604,605,606,607,608,609,
            610,611,612,613,614,615,616,617,618,619,
            620,621,622,623,624,625,626,627,628,629,
            630,631,632,633,634,635,636,637,638,639,
            640,641,642,643,644,645,646,647,648,649,
            650,651,652,653,654,655,656,657,658,659,
            660,661,662,663,664,665,666,667,668,669,
            670,671,672,673,674,675,676,677,678,679,
            680,681,682,683,684,685,686,687,688,689,
            690,691,692,693,694,695,696,697,698,699,
            700,701,702,703,704,705,706,707,708,709,
            710,711,712,713,714,715,716,717,718,719,
            720,721,722,723,724,725,726,727,728,729,
            730,731,732,733,734,735,736,737,738,0,
            740,741,3,743,744,745,746,747,0,1,
            2,3,0,753,754,755,0,5,6,3,
            4,5,6,7,8,9,10,11,12,13,
            14,15,16,17,18,0,20,21,22,23,
            24,25,26,27,28,29,30,31,32,33,
            34,35,36,37,38,39,40,41,42,43,
            44,45,46,47,48,49,0,51,52,53,
            54,55,56,57,58,59,60,61,62,63,
            64,65,66,67,68,69,70,71,72,73,
            74,75,76,77,78,79,80,81,82,83,
            84,85,86,87,88,89,90,91,92,93,
            94,95,96,97,98,99,100,101,102,103,
            104,105,106,107,108,109,110,111,112,113,
            114,115,756,117,118,119,120,121,122,123,
            124,125,126,127,128,129,130,131,132,133,
            134,135,136,137,138,139,140,141,142,143,
            144,145,146,147,148,149,150,151,152,153,
            154,155,156,157,158,159,160,161,162,163,
            164,165,166,167,168,169,170,171,172,173,
            174,175,176,177,178,179,180,181,182,183,
            184,185,186,187,188,189,190,191,192,193,
            194,195,196,197,198,199,200,201,202,203,
            204,205,206,207,208,209,210,211,212,213,
            214,215,216,217,218,219,220,221,222,223,
            224,225,226,227,228,229,230,231,232,233,
            234,235,236,237,238,239,240,241,242,243,
            244,245,246,247,248,249,250,251,252,253,
            254,255,256,257,258,259,260,261,262,263,
            264,265,266,267,268,269,270,271,272,273,
            274,275,276,277,278,279,280,281,282,283,
            284,285,286,287,288,289,290,291,292,293,
            294,295,296,297,298,299,300,301,302,303,
            304,305,306,307,308,309,310,311,312,313,
            314,315,316,317,318,319,320,321,322,323,
            324,325,326,327,328,329,330,331,332,333,
            334,335,336,337,338,339,340,341,342,343,
            344,345,346,347,348,349,350,351,352,353,
            354,355,356,357,358,359,360,361,362,363,
            364,365,366,367,368,369,370,371,372,373,
            374,375,376,377,378,379,380,381,382,383,
            384,385,386,387,388,389,390,391,392,393,
            394,395,396,397,398,399,400,401,402,403,
            404,405,406,407,408,409,410,411,412,413,
            414,415,416,417,418,419,420,421,422,423,
            424,425,426,427,428,429,430,431,432,433,
            434,435,436,437,438,439,440,441,442,443,
            444,445,446,447,448,449,450,451,452,453,
            454,455,456,457,458,459,460,461,462,463,
            464,465,466,467,468,469,470,471,472,473,
            474,475,476,477,478,479,480,481,482,483,
            484,485,486,487,488,489,490,491,492,493,
            494,495,496,497,498,499,500,501,502,503,
            504,505,506,507,508,509,510,511,512,513,
            514,515,516,517,518,519,520,521,522,523,
            524,525,526,527,528,529,530,531,532,533,
            534,535,536,537,538,539,540,541,542,543,
            544,545,546,547,548,549,550,551,552,553,
            554,555,556,557,558,559,560,561,562,563,
            564,565,566,567,568,569,570,571,572,573,
            574,575,576,577,578,579,580,581,582,583,
            584,585,586,587,588,589,590,591,592,593,
            594,595,596,597,598,599,600,601,602,603,
            604,605,606,607,608,609,610,611,612,613,
            614,615,616,617,618,619,620,621,622,623,
            624,625,626,627,628,629,630,631,632,633,
            634,635,636,637,638,639,640,641,642,643,
            644,645,646,647,648,649,650,651,652,653,
            654,655,656,657,658,659,660,661,662,663,
            664,665,666,667,668,669,670,671,672,673,
            674,675,676,677,678,679,680,681,682,683,
            684,685,686,687,688,689,690,691,692,693,
            694,695,696,697,698,699,700,701,702,703,
            704,705,706,707,708,709,710,711,712,713,
            714,715,716,717,718,719,720,721,722,723,
            724,725,726,727,728,729,730,731,732,733,
            734,735,736,737,738,0,740,0,3,4,
            5,6,7,8,9,10,11,12,13,14,
            15,16,17,18,739,20,21,22,23,24,
            25,26,27,28,29,30,31,32,33,34,
            35,36,37,38,39,40,41,42,43,44,
            45,46,47,48,49,739,51,52,53,54,
            55,56,57,58,59,60,61,62,63,64,
            65,66,67,68,69,70,71,72,73,74,
            75,76,77,78,79,80,81,82,83,84,
            85,86,87,88,89,90,91,92,93,94,
            95,96,97,98,99,100,101,102,103,104,
            105,106,107,108,109,110,111,112,113,114,
            115,0,117,118,119,120,121,122,123,124,
            125,126,127,128,129,130,131,132,133,134,
            135,136,137,138,139,140,141,142,143,144,
            145,146,147,148,149,150,151,152,153,154,
            155,156,157,158,159,160,161,162,163,164,
            165,166,167,168,169,170,171,172,173,174,
            175,176,177,178,179,180,181,182,183,184,
            185,186,187,188,189,190,191,192,193,194,
            195,196,197,198,199,200,201,202,203,204,
            205,206,207,208,209,210,211,212,213,214,
            215,216,217,218,219,220,221,222,223,224,
            225,226,227,228,229,230,231,232,233,234,
            235,236,237,238,239,240,241,242,243,244,
            245,246,247,248,249,250,251,252,253,254,
            255,256,257,258,259,260,261,262,263,264,
            265,266,267,268,269,270,271,272,273,274,
            275,276,277,278,279,280,281,282,283,284,
            285,286,287,288,289,290,291,292,293,294,
            295,296,297,298,299,300,301,302,303,304,
            305,306,307,308,309,310,311,312,313,314,
            315,316,317,318,319,320,321,322,323,324,
            325,326,327,328,329,330,331,332,333,334,
            335,336,337,338,339,340,341,342,343,344,
            345,346,347,348,349,350,351,352,353,354,
            355,356,357,358,359,360,361,362,363,364,
            365,366,367,368,369,370,371,372,373,374,
            375,376,377,378,379,380,381,382,383,384,
            385,386,387,388,389,390,391,392,393,394,
            395,396,397,398,399,400,401,402,403,404,
            405,406,407,408,409,410,411,412,413,414,
            415,416,417,418,419,420,421,422,423,424,
            425,426,427,428,429,430,431,432,433,434,
            435,436,437,438,439,440,441,442,443,444,
            445,446,447,448,449,450,451,452,453,454,
            455,456,457,458,459,460,461,462,463,464,
            465,466,467,468,469,470,471,472,473,474,
            475,476,477,478,479,480,481,482,483,484,
            485,486,487,488,489,490,491,492,493,494,
            495,496,497,498,499,500,501,502,503,504,
            505,506,507,508,509,510,511,512,513,514,
            515,516,517,518,519,520,521,522,523,524,
            525,526,527,528,529,530,531,532,533,534,
            535,536,537,538,539,540,541,542,543,544,
            545,546,547,548,549,550,551,552,553,554,
            555,556,557,558,559,560,561,562,563,564,
            565,566,567,568,569,570,571,572,573,574,
            575,576,577,578,579,580,581,582,583,584,
            585,586,587,588,589,590,591,592,593,594,
            595,596,597,598,599,600,601,602,603,604,
            605,606,607,608,609,610,611,612,613,614,
            615,616,617,618,619,620,621,622,623,624,
            625,626,627,628,629,630,631,632,633,634,
            635,636,637,638,639,640,641,642,643,644,
            645,646,647,648,649,650,651,652,653,654,
            655,656,657,658,659,660,661,662,663,664,
            665,666,667,668,669,670,671,672,673,674,
            675,676,677,678,679,680,681,682,683,684,
            685,686,687,688,689,690,691,692,693,694,
            695,696,697,698,699,700,701,702,703,704,
            705,706,707,708,709,710,711,712,713,714,
            715,716,717,718,719,720,721,722,723,724,
            725,726,727,728,729,730,731,732,733,734,
            735,736,737,738,0,740,0,3,4,5,
            6,7,8,9,10,11,12,13,14,15,
            16,17,18,756,20,21,22,23,24,25,
            26,27,28,29,30,31,32,33,34,35,
            36,37,38,39,40,41,42,43,44,45,
            46,47,48,49,0,51,52,53,54,55,
            56,57,58,59,60,61,62,63,64,65,
            66,67,68,69,70,71,72,73,74,75,
            76,77,78,79,80,81,82,83,84,85,
            86,87,88,89,90,91,92,93,94,95,
            96,97,98,99,100,101,102,103,104,105,
            106,107,108,109,110,111,112,113,114,115,
            116,117,118,119,120,121,122,123,124,125,
            126,127,128,129,130,131,132,133,134,135,
            136,137,138,139,140,141,142,143,144,145,
            146,147,148,149,150,151,152,153,154,155,
            156,157,158,159,160,161,162,163,164,165,
            166,167,168,169,170,171,172,173,174,175,
            176,177,178,179,180,181,182,183,184,185,
            186,187,188,189,190,191,192,193,194,195,
            196,197,198,199,200,201,202,203,204,205,
            206,207,208,209,210,211,212,213,214,215,
            216,217,218,219,220,221,222,223,224,225,
            226,227,228,229,230,231,232,233,234,235,
            236,237,238,239,240,241,242,243,244,245,
            246,247,248,249,250,251,252,253,254,255,
            256,257,258,259,260,261,262,263,264,265,
            266,267,268,269,270,271,272,273,274,275,
            276,277,278,279,280,281,282,283,284,285,
            286,287,288,289,290,291,292,293,294,295,
            296,297,298,299,300,301,302,303,304,305,
            306,307,308,309,310,311,312,313,314,315,
            316,317,318,319,320,321,322,323,324,325,
            326,327,328,329,330,331,332,333,334,335,
            336,337,338,339,340,341,342,343,344,345,
            346,347,348,349,350,351,352,353,354,355,
            356,357,358,359,360,361,362,363,364,365,
            366,367,368,369,370,371,372,373,374,375,
            376,377,378,379,380,381,382,383,384,385,
            386,387,388,389,390,391,392,393,394,395,
            396,397,398,399,400,401,402,403,404,405,
            406,407,408,409,410,411,412,413,414,415,
            416,417,418,419,420,421,422,423,424,425,
            426,427,428,429,430,431,432,433,434,435,
            436,437,438,439,440,441,442,443,444,445,
            446,447,448,449,450,451,452,453,454,455,
            456,457,458,459,460,461,462,463,464,465,
            466,467,468,469,470,471,472,473,474,475,
            476,477,478,479,480,481,482,483,484,485,
            486,487,488,489,490,491,492,493,494,495,
            496,497,498,499,500,501,502,503,504,505,
            506,507,508,509,510,511,512,513,514,515,
            516,517,518,519,520,521,522,523,524,525,
            526,527,528,529,530,531,532,533,534,535,
            536,537,538,539,540,541,542,543,544,545,
            546,547,548,549,550,551,552,553,554,555,
            556,557,558,559,560,561,562,563,564,565,
            566,567,568,569,570,571,572,573,574,575,
            576,577,578,579,580,581,582,583,584,585,
            586,587,588,589,590,591,592,593,594,595,
            596,597,598,599,600,601,602,603,604,605,
            606,607,608,609,610,611,612,613,614,615,
            616,617,618,619,620,621,622,623,624,625,
            626,627,628,629,630,631,632,633,634,635,
            636,637,638,639,640,641,642,643,644,645,
            646,647,648,649,650,651,652,653,654,655,
            656,657,658,659,660,661,662,663,664,665,
            666,667,668,669,670,671,672,673,674,675,
            676,677,678,679,680,681,682,683,684,685,
            686,687,688,689,690,691,692,693,694,695,
            696,697,698,699,700,701,702,703,704,705,
            706,707,708,709,710,711,712,713,714,715,
            716,717,718,719,720,721,722,723,724,725,
            726,727,728,729,730,731,732,733,734,735,
            736,737,738,0,0,0,3,4,5,6,
            7,8,9,10,11,12,13,14,15,16,
            17,18,756,20,21,22,23,24,25,26,
            27,28,29,30,31,32,33,34,35,36,
            37,38,39,40,41,42,43,44,45,46,
            47,48,49,739,51,52,53,54,55,56,
            57,58,59,60,61,62,63,64,65,66,
            67,68,69,70,71,72,73,74,75,76,
            77,78,79,80,81,82,83,84,85,86,
            87,88,89,90,91,92,93,94,95,96,
            97,98,99,100,101,102,103,104,105,106,
            107,108,109,110,111,112,113,114,115,116,
            117,118,119,120,121,122,123,124,125,126,
            127,128,129,130,131,132,133,134,135,136,
            137,138,139,140,141,142,143,144,145,146,
            147,148,149,150,151,152,153,154,155,156,
            157,158,159,160,161,162,163,164,165,166,
            167,168,169,170,171,172,173,174,175,176,
            177,178,179,180,181,182,183,184,185,186,
            187,188,189,190,191,192,193,194,195,196,
            197,198,199,200,201,202,203,204,205,206,
            207,208,209,210,211,212,213,214,215,216,
            217,218,219,220,221,222,223,224,225,226,
            227,228,229,230,231,232,233,234,235,236,
            237,238,239,240,241,242,243,244,245,246,
            247,248,249,250,251,252,253,254,255,256,
            257,258,259,260,261,262,263,264,265,266,
            267,268,269,270,271,272,273,274,275,276,
            277,278,279,280,281,282,283,284,285,286,
            287,288,289,290,291,292,293,294,295,296,
            297,298,299,300,301,302,303,304,305,306,
            307,308,309,310,311,312,313,314,315,316,
            317,318,319,320,321,322,323,324,325,326,
            327,328,329,330,331,332,333,334,335,336,
            337,338,339,340,341,342,343,344,345,346,
            347,348,349,350,351,352,353,354,355,356,
            357,358,359,360,361,362,363,364,365,366,
            367,368,369,370,371,372,373,374,375,376,
            377,378,379,380,381,382,383,384,385,386,
            387,388,389,390,391,392,393,394,395,396,
            397,398,399,400,401,402,403,404,405,406,
            407,408,409,410,411,412,413,414,415,416,
            417,418,419,420,421,422,423,424,425,426,
            427,428,429,430,431,432,433,434,435,436,
            437,438,439,440,441,442,443,444,445,446,
            447,448,449,450,451,452,453,454,455,456,
            457,458,459,460,461,462,463,464,465,466,
            467,468,469,470,471,472,473,474,475,476,
            477,478,479,480,481,482,483,484,485,486,
            487,488,489,490,491,492,493,494,495,496,
            497,498,499,500,501,502,503,504,505,506,
            507,508,509,510,511,512,513,514,515,516,
            517,518,519,520,521,522,523,524,525,526,
            527,528,529,530,531,532,533,534,535,536,
            537,538,539,540,541,542,543,544,545,546,
            547,548,549,550,551,552,553,554,555,556,
            557,558,559,560,561,562,563,564,565,566,
            567,568,569,570,571,572,573,574,575,576,
            577,578,579,580,581,582,583,584,585,586,
            587,588,589,590,591,592,593,594,595,596,
            597,598,599,600,601,602,603,604,605,606,
            607,608,609,610,611,612,613,614,615,616,
            617,618,619,620,621,622,623,624,625,626,
            627,628,629,630,631,632,633,634,635,636,
            637,638,639,640,641,642,643,644,645,646,
            647,648,649,650,651,652,653,654,655,656,
            657,658,659,660,661,662,663,664,665,666,
            667,668,669,670,671,672,673,674,675,676,
            677,678,679,680,681,682,683,684,685,686,
            687,688,689,690,691,692,693,694,695,696,
            697,698,699,700,701,702,703,704,705,706,
            707,708,709,710,711,712,713,714,715,716,
            717,718,719,720,721,722,723,724,725,726,
            727,728,729,730,731,732,733,734,735,736,
            737,738,0,0,0,3,4,5,6,7,
            8,9,10,11,12,13,14,15,16,17,
            18,17,20,21,22,23,24,25,26,27,
            28,29,30,31,32,33,34,35,36,37,
            38,39,40,41,42,43,44,45,46,47,
            48,49,49,51,52,53,54,55,56,57,
            58,59,60,61,62,63,64,65,66,67,
            68,69,70,71,72,73,74,75,76,77,
            78,79,80,81,82,83,84,85,86,87,
            88,89,90,91,92,93,94,95,96,97,
            98,99,100,101,102,103,104,105,106,107,
            108,109,110,111,112,113,114,115,116,117,
            118,119,120,121,122,123,124,125,126,127,
            128,129,130,131,132,133,134,135,136,137,
            138,139,140,141,142,143,144,145,146,147,
            148,149,150,151,152,153,154,155,156,157,
            158,159,160,161,162,163,164,165,166,167,
            168,169,170,171,172,173,174,175,176,177,
            178,179,180,181,182,183,184,185,186,187,
            188,189,190,191,192,193,194,195,196,197,
            198,199,200,201,202,203,204,205,206,207,
            208,209,210,211,212,213,214,215,216,217,
            218,219,220,221,222,223,224,225,226,227,
            228,229,230,231,232,233,234,235,236,237,
            238,239,240,241,242,243,244,245,246,247,
            248,249,250,251,252,253,254,255,256,257,
            258,259,260,261,262,263,264,265,266,267,
            268,269,270,271,272,273,274,275,276,277,
            278,279,280,281,282,283,284,285,286,287,
            288,289,290,291,292,293,294,295,296,297,
            298,299,300,301,302,303,304,305,306,307,
            308,309,310,311,312,313,314,315,316,317,
            318,319,320,321,322,323,324,325,326,327,
            328,329,330,331,332,333,334,335,336,337,
            338,339,340,341,342,343,344,345,346,347,
            348,349,350,351,352,353,354,355,356,357,
            358,359,360,361,362,363,364,365,366,367,
            368,369,370,371,372,373,374,375,376,377,
            378,379,380,381,382,383,384,385,386,387,
            388,389,390,391,392,393,394,395,396,397,
            398,399,400,401,402,403,404,405,406,407,
            408,409,410,411,412,413,414,415,416,417,
            418,419,420,421,422,423,424,425,426,427,
            428,429,430,431,432,433,434,435,436,437,
            438,439,440,441,442,443,444,445,446,447,
            448,449,450,451,452,453,454,455,456,457,
            458,459,460,461,462,463,464,465,466,467,
            468,469,470,471,472,473,474,475,476,477,
            478,479,480,481,482,483,484,485,486,487,
            488,489,490,491,492,493,494,495,496,497,
            498,499,500,501,502,503,504,505,506,507,
            508,509,510,511,512,513,514,515,516,517,
            518,519,520,521,522,523,524,525,526,527,
            528,529,530,531,532,533,534,535,536,537,
            538,539,540,541,542,543,544,545,546,547,
            548,549,550,551,552,553,554,555,556,557,
            558,559,560,561,562,563,564,565,566,567,
            568,569,570,571,572,573,574,575,576,577,
            578,579,580,581,582,583,584,585,586,587,
            588,589,590,591,592,593,594,595,596,597,
            598,599,600,601,602,603,604,605,606,607,
            608,609,610,611,612,613,614,615,616,617,
            618,619,620,621,622,623,624,625,626,627,
            628,629,630,631,632,633,634,635,636,637,
            638,639,640,641,642,643,644,645,646,647,
            648,649,650,651,652,653,654,655,656,657,
            658,659,660,661,662,663,664,665,666,667,
            668,669,670,671,672,673,674,675,676,677,
            678,679,680,681,682,683,684,685,686,687,
            688,689,690,691,692,693,694,695,696,697,
            698,699,700,701,702,703,704,705,706,707,
            708,709,710,711,712,713,714,715,716,717,
            718,719,720,721,722,723,724,725,726,727,
            728,729,730,731,732,733,734,735,736,737,
            738,0,0,0,3,4,5,6,7,8,
            9,10,11,12,13,14,15,16,17,18,
            0,20,21,22,23,24,25,26,27,28,
            29,30,31,32,33,34,35,36,37,38,
            39,40,41,42,43,44,45,46,47,48,
            49,49,51,52,53,54,55,56,57,58,
            59,60,61,62,63,64,65,66,67,68,
            69,70,71,72,73,74,75,76,77,78,
            79,80,81,82,83,84,85,86,87,88,
            89,90,91,92,93,94,95,96,97,98,
            99,100,101,102,103,104,105,106,107,108,
            109,110,111,112,113,114,115,116,117,118,
            119,120,121,122,123,124,125,126,127,128,
            129,130,131,132,133,134,135,136,137,138,
            139,140,141,142,143,144,145,146,147,148,
            149,150,151,152,153,154,155,156,157,158,
            159,160,161,162,163,164,165,166,167,168,
            169,170,171,172,173,174,175,176,177,178,
            179,180,181,182,183,184,185,186,187,188,
            189,190,191,192,193,194,195,196,197,198,
            199,200,201,202,203,204,205,206,207,208,
            209,210,211,212,213,214,215,216,217,218,
            219,220,221,222,223,224,225,226,227,228,
            229,230,231,232,233,234,235,236,237,238,
            239,240,241,242,243,244,245,246,247,248,
            249,250,251,252,253,254,255,256,257,258,
            259,260,261,262,263,264,265,266,267,268,
            269,270,271,272,273,274,275,276,277,278,
            279,280,281,282,283,284,285,286,287,288,
            289,290,291,292,293,294,295,296,297,298,
            299,300,301,302,303,304,305,306,307,308,
            309,310,311,312,313,314,315,316,317,318,
            319,320,321,322,323,324,325,326,327,328,
            329,330,331,332,333,334,335,336,337,338,
            339,340,341,342,343,344,345,346,347,348,
            349,350,351,352,353,354,355,356,357,358,
            359,360,361,362,363,364,365,366,367,368,
            369,370,371,372,373,374,375,376,377,378,
            379,380,381,382,383,384,385,386,387,388,
            389,390,391,392,393,394,395,396,397,398,
            399,400,401,402,403,404,405,406,407,408,
            409,410,411,412,413,414,415,416,417,418,
            419,420,421,422,423,424,425,426,427,428,
            429,430,431,432,433,434,435,436,437,438,
            439,440,441,442,443,444,445,446,447,448,
            449,450,451,452,453,454,455,456,457,458,
            459,460,461,462,463,464,465,466,467,468,
            469,470,471,472,473,474,475,476,477,478,
            479,480,481,482,483,484,485,486,487,488,
            489,490,491,492,493,494,495,496,497,498,
            499,500,501,502,503,504,505,506,507,508,
            509,510,511,512,513,514,515,516,517,518,
            519,520,521,522,523,524,525,526,527,528,
            529,530,531,532,533,534,535,536,537,538,
            539,540,541,542,543,544,545,546,547,548,
            549,550,551,552,553,554,555,556,557,558,
            559,560,561,562,563,564,565,566,567,568,
            569,570,571,572,573,574,575,576,577,578,
            579,580,581,582,583,584,585,586,587,588,
            589,590,591,592,593,594,595,596,597,598,
            599,600,601,602,603,604,605,606,607,608,
            609,610,611,612,613,614,615,616,617,618,
            619,620,621,622,623,624,625,626,627,628,
            629,630,631,632,633,634,635,636,637,638,
            639,640,641,642,643,644,645,646,647,648,
            649,650,651,652,653,654,655,656,657,658,
            659,660,661,662,663,664,665,666,667,668,
            669,670,671,672,673,674,675,676,677,678,
            679,680,681,682,683,684,685,686,687,688,
            689,690,691,692,693,694,695,696,697,698,
            699,700,701,702,703,704,705,706,707,708,
            709,710,711,712,713,714,715,716,717,718,
            719,720,721,722,723,724,725,726,727,728,
            729,730,731,732,733,734,735,736,737,738,
            0,0,0,3,4,5,6,7,8,9,
            10,11,12,13,14,15,16,17,18,756,
            20,21,22,23,24,25,26,27,28,29,
            30,31,32,33,34,35,36,37,38,39,
            40,41,42,43,44,45,46,47,48,49,
            0,51,52,53,54,55,56,57,58,59,
            60,61,62,63,64,65,66,67,68,69,
            70,71,72,73,74,75,76,77,78,79,
            80,81,82,83,84,85,86,87,88,89,
            90,91,92,93,94,95,96,97,98,99,
            100,101,102,103,104,105,106,107,108,109,
            110,111,112,113,114,115,0,117,118,119,
            120,121,122,123,124,125,126,127,128,129,
            130,131,132,133,134,135,136,137,138,139,
            140,141,142,143,144,145,146,147,148,149,
            150,151,152,153,154,155,156,157,158,159,
            160,161,162,163,164,165,166,167,168,169,
            170,171,172,173,174,175,176,177,178,179,
            180,181,182,183,184,185,186,187,188,189,
            190,191,192,193,194,195,196,197,198,199,
            200,201,202,203,204,205,206,207,208,209,
            210,211,212,213,214,215,216,217,218,219,
            220,221,222,223,224,225,226,227,228,229,
            230,231,232,233,234,235,236,237,238,239,
            240,241,242,243,244,245,246,247,248,249,
            250,251,252,253,254,255,256,257,258,259,
            260,261,262,263,264,265,266,267,268,269,
            270,271,272,273,274,275,276,277,278,279,
            280,281,282,283,284,285,286,287,288,289,
            290,291,292,293,294,295,296,297,298,299,
            300,301,302,303,304,305,306,307,308,309,
            310,311,312,313,314,315,316,317,318,319,
            320,321,322,323,324,325,326,327,328,329,
            330,331,332,333,334,335,336,337,338,339,
            340,341,342,343,344,345,346,347,348,349,
            350,351,352,353,354,355,356,357,358,359,
            360,361,362,363,364,365,366,367,368,369,
            370,371,372,373,374,375,376,377,378,379,
            380,381,382,383,384,385,386,387,388,389,
            390,391,392,393,394,395,396,397,398,399,
            400,401,402,403,404,405,406,407,408,409,
            410,411,412,413,414,415,416,417,418,419,
            420,421,422,423,424,425,426,427,428,429,
            430,431,432,433,434,435,436,437,438,439,
            440,441,442,443,444,445,446,447,448,449,
            450,451,452,453,454,455,456,457,458,459,
            460,461,462,463,464,465,466,467,468,469,
            470,471,472,473,474,475,476,477,478,479,
            480,481,482,483,484,485,486,487,488,489,
            490,491,492,493,494,495,496,497,498,499,
            500,501,502,503,504,505,506,507,508,509,
            510,511,512,513,514,515,516,517,518,519,
            520,521,522,523,524,525,526,527,528,529,
            530,531,532,533,534,535,536,537,538,539,
            540,541,542,543,544,545,546,547,548,549,
            550,551,552,553,554,555,556,557,558,559,
            560,561,562,563,564,565,566,567,568,569,
            570,571,572,573,574,575,576,577,578,579,
            580,581,582,583,584,585,586,587,588,589,
            590,591,592,593,594,595,596,597,598,599,
            600,601,602,603,604,605,606,607,608,609,
            610,611,612,613,614,615,616,617,618,619,
            620,621,622,623,624,625,626,627,628,629,
            630,631,632,633,634,635,636,637,638,639,
            640,641,642,643,644,645,646,647,648,649,
            650,651,652,653,654,655,656,657,658,659,
            660,661,662,663,664,665,666,667,668,669,
            670,671,672,673,674,675,676,677,678,679,
            680,681,682,683,684,685,686,687,688,689,
            690,691,692,693,694,695,696,697,698,699,
            700,701,702,703,704,705,706,707,708,709,
            710,711,712,713,714,715,716,717,718,719,
            720,721,722,723,724,725,726,727,728,729,
            730,731,732,733,734,735,736,737,738,0,
            739,0,3,4,5,6,7,8,9,10,
            11,12,13,14,15,16,17,18,756,20,
            21,22,23,24,25,26,27,28,29,30,
            31,32,33,34,35,36,37,38,39,40,
            41,42,43,44,45,46,47,48,49,739,
            51,52,53,54,55,56,57,58,59,60,
            61,62,63,64,65,66,67,68,69,70,
            71,72,73,74,75,76,77,78,79,80,
            81,82,83,84,85,86,87,88,89,90,
            91,92,93,94,95,96,97,98,99,100,
            101,102,103,104,105,106,107,108,109,110,
            111,112,113,114,115,739,117,118,119,120,
            121,122,123,124,125,126,127,128,129,130,
            131,132,133,134,135,136,137,138,139,140,
            141,142,143,144,145,146,147,148,149,150,
            151,152,153,154,155,156,157,158,159,160,
            161,162,163,164,165,166,167,168,169,170,
            171,172,173,174,175,176,177,178,179,180,
            181,182,183,184,185,186,187,188,189,190,
            191,192,193,194,195,196,197,198,199,200,
            201,202,203,204,205,206,207,208,209,210,
            211,212,213,214,215,216,217,218,219,220,
            221,222,223,224,225,226,227,228,229,230,
            231,232,233,234,235,236,237,238,239,240,
            241,242,243,244,245,246,247,248,249,250,
            251,252,253,254,255,256,257,258,259,260,
            261,262,263,264,265,266,267,268,269,270,
            271,272,273,274,275,276,277,278,279,280,
            281,282,283,284,285,286,287,288,289,290,
            291,292,293,294,295,296,297,298,299,300,
            301,302,303,304,305,306,307,308,309,310,
            311,312,313,314,315,316,317,318,319,320,
            321,322,323,324,325,326,327,328,329,330,
            331,332,333,334,335,336,337,338,339,340,
            341,342,343,344,345,346,347,348,349,350,
            351,352,353,354,355,356,357,358,359,360,
            361,362,363,364,365,366,367,368,369,370,
            371,372,373,374,375,376,377,378,379,380,
            381,382,383,384,385,386,387,388,389,390,
            391,392,393,394,395,396,397,398,399,400,
            401,402,403,404,405,406,407,408,409,410,
            411,412,413,414,415,416,417,418,419,420,
            421,422,423,424,425,426,427,428,429,430,
            431,432,433,434,435,436,437,438,439,440,
            441,442,443,444,445,446,447,448,449,450,
            451,452,453,454,455,456,457,458,459,460,
            461,462,463,464,465,466,467,468,469,470,
            471,472,473,474,475,476,477,478,479,480,
            481,482,483,484,485,486,487,488,489,490,
            491,492,493,494,495,496,497,498,499,500,
            501,502,503,504,505,506,507,508,509,510,
            511,512,513,514,515,516,517,518,519,520,
            521,522,523,524,525,526,527,528,529,530,
            531,532,533,534,535,536,537,538,539,540,
            541,542,543,544,545,546,547,548,549,550,
            551,552,553,554,555,556,557,558,559,560,
            561,562,563,564,565,566,567,568,569,570,
            571,572,573,574,575,576,577,578,579,580,
            581,582,583,584,585,586,587,588,589,590,
            591,592,593,594,595,596,597,598,599,600,
            601,602,603,604,605,606,607,608,609,610,
            611,612,613,614,615,616,617,618,619,620,
            621,622,623,624,625,626,627,628,629,630,
            631,632,633,634,635,636,637,638,639,640,
            641,642,643,644,645,646,647,648,649,650,
            651,652,653,654,655,656,657,658,659,660,
            661,662,663,664,665,666,667,668,669,670,
            671,672,673,674,675,676,677,678,679,680,
            681,682,683,684,685,686,687,688,689,690,
            691,692,693,694,695,696,697,698,699,700,
            701,702,703,704,705,706,707,708,709,710,
            711,712,713,714,715,716,717,718,719,720,
            721,722,723,724,725,726,727,728,729,730,
            731,732,733,734,735,736,737,738,0,0,
            0,3,4,5,6,7,8,9,10,11,
            12,13,14,15,16,17,18,756,20,21,
            22,23,24,25,26,27,28,29,30,31,
            32,33,34,35,36,37,38,39,40,41,
            42,43,44,45,46,47,48,49,0,51,
            52,53,54,55,56,57,58,59,60,61,
            62,63,64,65,66,67,68,69,70,71,
            72,73,74,75,76,77,78,79,80,81,
            82,83,84,85,86,87,88,89,90,91,
            92,93,94,95,96,97,98,99,100,101,
            102,103,104,105,106,107,108,109,110,111,
            112,113,114,115,114,117,118,119,120,121,
            122,123,124,125,126,127,128,129,130,131,
            132,133,134,135,136,137,138,139,140,141,
            142,143,144,145,146,147,148,149,150,151,
            152,153,154,155,156,157,158,159,160,161,
            162,163,164,165,166,167,168,169,170,171,
            172,173,174,175,176,177,178,179,180,181,
            182,183,184,185,186,187,188,189,190,191,
            192,193,194,195,196,197,198,199,200,201,
            202,203,204,205,206,207,208,209,210,211,
            212,213,214,215,216,217,218,219,220,221,
            222,223,224,225,226,227,228,229,230,231,
            232,233,234,235,236,237,238,239,240,241,
            242,243,244,245,246,247,248,249,250,251,
            252,253,254,255,256,257,258,259,260,261,
            262,263,264,265,266,267,268,269,270,271,
            272,273,274,275,276,277,278,279,280,281,
            282,283,284,285,286,287,288,289,290,291,
            292,293,294,295,296,297,298,299,300,301,
            302,303,304,305,306,307,308,309,310,311,
            312,313,314,315,316,317,318,319,320,321,
            322,323,324,325,326,327,328,329,330,331,
            332,333,334,335,336,337,338,339,340,341,
            342,343,344,345,346,347,348,349,350,351,
            352,353,354,355,356,357,358,359,360,361,
            362,363,364,365,366,367,368,369,370,371,
            372,373,374,375,376,377,378,379,380,381,
            382,383,384,385,386,387,388,389,390,391,
            392,393,394,395,396,397,398,399,400,401,
            402,403,404,405,406,407,408,409,410,411,
            412,413,414,415,416,417,418,419,420,421,
            422,423,424,425,426,427,428,429,430,431,
            432,433,434,435,436,437,438,439,440,441,
            442,443,444,445,446,447,448,449,450,451,
            452,453,454,455,456,457,458,459,460,461,
            462,463,464,465,466,467,468,469,470,471,
            472,473,474,475,476,477,478,479,480,481,
            482,483,484,485,486,487,488,489,490,491,
            492,493,494,495,496,497,498,499,500,501,
            502,503,504,505,506,507,508,509,510,511,
            512,513,514,515,516,517,518,519,520,521,
            522,523,524,525,526,527,528,529,530,531,
            532,533,534,535,536,537,538,539,540,541,
            542,543,544,545,546,547,548,549,550,551,
            552,553,554,555,556,557,558,559,560,561,
            562,563,564,565,566,567,568,569,570,571,
            572,573,574,575,576,577,578,579,580,581,
            582,583,584,585,586,587,588,589,590,591,
            592,593,594,595,596,597,598,599,600,601,
            602,603,604,605,606,607,608,609,610,611,
            612,613,614,615,616,617,618,619,620,621,
            622,623,624,625,626,627,628,629,630,631,
            632,633,634,635,636,637,638,639,640,641,
            642,643,644,645,646,647,648,649,650,651,
            652,653,654,655,656,657,658,659,660,661,
            662,663,664,665,666,667,668,669,670,671,
            672,673,674,675,676,677,678,679,680,681,
            682,683,684,685,686,687,688,689,690,691,
            692,693,694,695,696,697,698,699,700,701,
            702,703,704,705,706,707,708,709,710,711,
            712,713,714,715,716,717,718,719,720,721,
            722,723,724,725,726,727,728,729,730,731,
            732,733,734,735,736,737,738,0,0,0,
            3,4,5,6,7,8,9,10,11,12,
            13,14,15,16,17,18,0,20,21,22,
            23,24,25,26,27,28,29,30,31,32,
            33,34,35,36,37,38,39,40,41,42,
            43,44,45,46,47,48,49,739,51,52,
            53,54,55,56,57,58,59,60,61,62,
            63,64,65,66,67,68,69,70,71,72,
            73,74,75,76,77,78,79,80,81,82,
            83,84,85,86,87,88,89,90,91,92,
            93,94,95,96,97,98,99,100,101,102,
            103,104,105,106,107,108,109,110,111,112,
            113,114,115,0,117,118,119,120,121,122,
            123,124,125,126,127,128,129,130,131,132,
            133,134,135,136,137,138,139,140,141,142,
            143,144,145,146,147,148,149,150,151,152,
            153,154,155,156,157,158,159,160,161,162,
            163,164,165,166,167,168,169,170,171,172,
            173,174,175,176,177,178,179,180,181,182,
            183,184,185,186,187,188,189,190,191,192,
            193,194,195,196,197,198,199,200,201,202,
            203,204,205,206,207,208,209,210,211,212,
            213,214,215,216,217,218,219,220,221,222,
            223,224,225,226,227,228,229,230,231,232,
            233,234,235,236,237,238,239,240,241,242,
            243,244,245,246,247,248,249,250,251,252,
            253,254,255,256,257,258,259,260,261,262,
            263,264,265,266,267,268,269,270,271,272,
            273,274,275,276,277,278,279,280,281,282,
            283,284,285,286,287,288,289,290,291,292,
            293,294,295,296,297,298,299,300,301,302,
            303,304,305,306,307,308,309,310,311,312,
            313,314,315,316,317,318,319,320,321,322,
            323,324,325,326,327,328,329,330,331,332,
            333,334,335,336,337,338,339,340,341,342,
            343,344,345,346,347,348,349,350,351,352,
            353,354,355,356,357,358,359,360,361,362,
            363,364,365,366,367,368,369,370,371,372,
            373,374,375,376,377,378,379,380,381,382,
            383,384,385,386,387,388,389,390,391,392,
            393,394,395,396,397,398,399,400,401,402,
            403,404,405,406,407,408,409,410,411,412,
            413,414,415,416,417,418,419,420,421,422,
            423,424,425,426,427,428,429,430,431,432,
            433,434,435,436,437,438,439,440,441,442,
            443,444,445,446,447,448,449,450,451,452,
            453,454,455,456,457,458,459,460,461,462,
            463,464,465,466,467,468,469,470,471,472,
            473,474,475,476,477,478,479,480,481,482,
            483,484,485,486,487,488,489,490,491,492,
            493,494,495,496,497,498,499,500,501,502,
            503,504,505,506,507,508,509,510,511,512,
            513,514,515,516,517,518,519,520,521,522,
            523,524,525,526,527,528,529,530,531,532,
            533,534,535,536,537,538,539,540,541,542,
            543,544,545,546,547,548,549,550,551,552,
            553,554,555,556,557,558,559,560,561,562,
            563,564,565,566,567,568,569,570,571,572,
            573,574,575,576,577,578,579,580,581,582,
            583,584,585,586,587,588,589,590,591,592,
            593,594,595,596,597,598,599,600,601,602,
            603,604,605,606,607,608,609,610,611,612,
            613,614,615,616,617,618,619,620,621,622,
            623,624,625,626,627,628,629,630,631,632,
            633,634,635,636,637,638,639,640,641,642,
            643,644,645,646,647,648,649,650,651,652,
            653,654,655,656,657,658,659,660,661,662,
            663,664,665,666,667,668,669,670,671,672,
            673,674,675,676,677,678,679,680,681,682,
            683,684,685,686,687,688,689,690,691,692,
            693,694,695,696,697,698,699,700,701,702,
            703,704,705,706,707,708,709,710,711,712,
            713,714,715,716,717,718,719,720,721,722,
            723,724,725,726,727,728,729,730,731,732,
            733,734,735,736,737,738,0,0,740,3,
            4,5,6,7,8,9,10,11,12,13,
            14,15,16,17,18,756,20,21,22,23,
            24,25,26,27,28,29,30,31,32,33,
            34,35,36,37,38,39,40,41,42,43,
            44
        };
    };

    public interface TermCheck1 {
        public final static char termCheck1[] = {
            45,46,47,48,49,0,51,52,53,54,
            55,56,57,58,59,60,61,62,63,64,
            65,66,67,68,69,70,71,72,73,74,
            75,76,77,78,79,80,81,82,83,84,
            85,86,87,88,89,90,91,92,93,94,
            95,96,97,98,99,100,101,102,103,104,
            105,106,107,108,109,110,111,112,113,114,
            115,115,117,118,119,120,121,122,123,124,
            125,126,127,128,129,130,131,132,133,134,
            135,136,137,138,139,140,141,142,143,144,
            145,146,147,148,149,150,151,152,153,154,
            155,156,157,158,159,160,161,162,163,164,
            165,166,167,168,169,170,171,172,173,174,
            175,176,177,178,179,180,181,182,183,184,
            185,186,187,188,189,190,191,192,193,194,
            195,196,197,198,199,200,201,202,203,204,
            205,206,207,208,209,210,211,212,213,214,
            215,216,217,218,219,220,221,222,223,224,
            225,226,227,228,229,230,231,232,233,234,
            235,236,237,238,239,240,241,242,243,244,
            245,246,247,248,249,250,251,252,253,254,
            255,256,257,258,259,260,261,262,263,264,
            265,266,267,268,269,270,271,272,273,274,
            275,276,277,278,279,280,281,282,283,284,
            285,286,287,288,289,290,291,292,293,294,
            295,296,297,298,299,300,301,302,303,304,
            305,306,307,308,309,310,311,312,313,314,
            315,316,317,318,319,320,321,322,323,324,
            325,326,327,328,329,330,331,332,333,334,
            335,336,337,338,339,340,341,342,343,344,
            345,346,347,348,349,350,351,352,353,354,
            355,356,357,358,359,360,361,362,363,364,
            365,366,367,368,369,370,371,372,373,374,
            375,376,377,378,379,380,381,382,383,384,
            385,386,387,388,389,390,391,392,393,394,
            395,396,397,398,399,400,401,402,403,404,
            405,406,407,408,409,410,411,412,413,414,
            415,416,417,418,419,420,421,422,423,424,
            425,426,427,428,429,430,431,432,433,434,
            435,436,437,438,439,440,441,442,443,444,
            445,446,447,448,449,450,451,452,453,454,
            455,456,457,458,459,460,461,462,463,464,
            465,466,467,468,469,470,471,472,473,474,
            475,476,477,478,479,480,481,482,483,484,
            485,486,487,488,489,490,491,492,493,494,
            495,496,497,498,499,500,501,502,503,504,
            505,506,507,508,509,510,511,512,513,514,
            515,516,517,518,519,520,521,522,523,524,
            525,526,527,528,529,530,531,532,533,534,
            535,536,537,538,539,540,541,542,543,544,
            545,546,547,548,549,550,551,552,553,554,
            555,556,557,558,559,560,561,562,563,564,
            565,566,567,568,569,570,571,572,573,574,
            575,576,577,578,579,580,581,582,583,584,
            585,586,587,588,589,590,591,592,593,594,
            595,596,597,598,599,600,601,602,603,604,
            605,606,607,608,609,610,611,612,613,614,
            615,616,617,618,619,620,621,622,623,624,
            625,626,627,628,629,630,631,632,633,634,
            635,636,637,638,639,640,641,642,643,644,
            645,646,647,648,649,650,651,652,653,654,
            655,656,657,658,659,660,661,662,663,664,
            665,666,667,668,669,670,671,672,673,674,
            675,676,677,678,679,680,681,682,683,684,
            685,686,687,688,689,690,691,692,693,694,
            695,696,697,698,699,700,701,702,703,704,
            705,706,707,708,709,710,711,712,713,714,
            715,716,717,718,719,720,721,722,723,724,
            725,726,727,728,729,730,731,732,733,734,
            735,736,737,738,0,0,0,3,4,5,
            6,7,8,9,10,11,12,13,14,15,
            16,17,18,18,20,21,22,23,24,25,
            26,27,28,29,30,31,32,33,34,35,
            36,37,38,39,40,41,42,43,44,45,
            46,47,48,49,739,51,52,53,54,55,
            56,57,58,59,60,61,62,63,64,65,
            66,67,68,69,70,71,72,73,74,75,
            76,77,78,79,80,81,82,83,84,85,
            86,87,88,89,90,91,92,93,94,95,
            96,97,98,99,100,101,102,103,104,105,
            106,107,108,109,110,111,112,113,114,115,
            0,117,118,119,120,121,122,123,124,125,
            126,127,128,129,130,131,132,133,134,135,
            136,137,138,139,140,141,142,143,144,145,
            146,147,148,149,150,151,152,153,154,155,
            156,157,158,159,160,161,162,163,164,165,
            166,167,168,169,170,171,172,173,174,175,
            176,177,178,179,180,181,182,183,184,185,
            186,187,188,189,190,191,192,193,194,195,
            196,197,198,199,200,201,202,203,204,205,
            206,207,208,209,210,211,212,213,214,215,
            216,217,218,219,220,221,222,223,224,225,
            226,227,228,229,230,231,232,233,234,235,
            236,237,238,239,240,241,242,243,244,245,
            246,247,248,249,250,251,252,253,254,255,
            256,257,258,259,260,261,262,263,264,265,
            266,267,268,269,270,271,272,273,274,275,
            276,277,278,279,280,281,282,283,284,285,
            286,287,288,289,290,291,292,293,294,295,
            296,297,298,299,300,301,302,303,304,305,
            306,307,308,309,310,311,312,313,314,315,
            316,317,318,319,320,321,322,323,324,325,
            326,327,328,329,330,331,332,333,334,335,
            336,337,338,339,340,341,342,343,344,345,
            346,347,348,349,350,351,352,353,354,355,
            356,357,358,359,360,361,362,363,364,365,
            366,367,368,369,370,371,372,373,374,375,
            376,377,378,379,380,381,382,383,384,385,
            386,387,388,389,390,391,392,393,394,395,
            396,397,398,399,400,401,402,403,404,405,
            406,407,408,409,410,411,412,413,414,415,
            416,417,418,419,420,421,422,423,424,425,
            426,427,428,429,430,431,432,433,434,435,
            436,437,438,439,440,441,442,443,444,445,
            446,447,448,449,450,451,452,453,454,455,
            456,457,458,459,460,461,462,463,464,465,
            466,467,468,469,470,471,472,473,474,475,
            476,477,478,479,480,481,482,483,484,485,
            486,487,488,489,490,491,492,493,494,495,
            496,497,498,499,500,501,502,503,504,505,
            506,507,508,509,510,511,512,513,514,515,
            516,517,518,519,520,521,522,523,524,525,
            526,527,528,529,530,531,532,533,534,535,
            536,537,538,539,540,541,542,543,544,545,
            546,547,548,549,550,551,552,553,554,555,
            556,557,558,559,560,561,562,563,564,565,
            566,567,568,569,570,571,572,573,574,575,
            576,577,578,579,580,581,582,583,584,585,
            586,587,588,589,590,591,592,593,594,595,
            596,597,598,599,600,601,602,603,604,605,
            606,607,608,609,610,611,612,613,614,615,
            616,617,618,619,620,621,622,623,624,625,
            626,627,628,629,630,631,632,633,634,635,
            636,637,638,639,640,641,642,643,644,645,
            646,647,648,649,650,651,652,653,654,655,
            656,657,658,659,660,661,662,663,664,665,
            666,667,668,669,670,671,672,673,674,675,
            676,677,678,679,680,681,682,683,684,685,
            686,687,688,689,690,691,692,693,694,695,
            696,697,698,699,700,701,702,703,704,705,
            706,707,708,709,710,711,712,713,714,715,
            716,717,718,719,720,721,722,723,724,725,
            726,727,728,729,730,731,732,733,734,735,
            736,737,738,0,0,0,3,4,5,6,
            7,8,9,10,11,12,13,14,15,16,
            17,18,756,20,21,22,23,24,25,26,
            27,28,29,30,31,32,33,34,35,36,
            37,38,39,40,41,42,43,44,45,46,
            47,48,49,0,51,52,53,54,55,56,
            57,58,59,60,61,62,63,64,65,66,
            67,68,69,70,71,72,73,74,75,76,
            77,78,79,80,81,82,83,84,85,86,
            87,88,89,90,91,92,93,94,95,96,
            97,98,99,100,101,102,103,104,105,106,
            107,108,109,110,111,112,113,114,115,739,
            117,118,119,120,121,122,123,124,125,126,
            127,128,129,130,131,132,133,134,135,136,
            137,138,139,140,141,142,143,144,145,146,
            147,148,149,150,151,152,153,154,155,156,
            157,158,159,160,161,162,163,164,165,166,
            167,168,169,170,171,172,173,174,175,176,
            177,178,179,180,181,182,183,184,185,186,
            187,188,189,190,191,192,193,194,195,196,
            197,198,199,200,201,202,203,204,205,206,
            207,208,209,210,211,212,213,214,215,216,
            217,218,219,220,221,222,223,224,225,226,
            227,228,229,230,231,232,233,234,235,236,
            237,238,239,240,241,242,243,244,245,246,
            247,248,249,250,251,252,253,254,255,256,
            257,258,259,260,261,262,263,264,265,266,
            267,268,269,270,271,272,273,274,275,276,
            277,278,279,280,281,282,283,284,285,286,
            287,288,289,290,291,292,293,294,295,296,
            297,298,299,300,301,302,303,304,305,306,
            307,308,309,310,311,312,313,314,315,316,
            317,318,319,320,321,322,323,324,325,326,
            327,328,329,330,331,332,333,334,335,336,
            337,338,339,340,341,342,343,344,345,346,
            347,348,349,350,351,352,353,354,355,356,
            357,358,359,360,361,362,363,364,365,366,
            367,368,369,370,371,372,373,374,375,376,
            377,378,379,380,381,382,383,384,385,386,
            387,388,389,390,391,392,393,394,395,396,
            397,398,399,400,401,402,403,404,405,406,
            407,408,409,410,411,412,413,414,415,416,
            417,418,419,420,421,422,423,424,425,426,
            427,428,429,430,431,432,433,434,435,436,
            437,438,439,440,441,442,443,444,445,446,
            447,448,449,450,451,452,453,454,455,456,
            457,458,459,460,461,462,463,464,465,466,
            467,468,469,470,471,472,473,474,475,476,
            477,478,479,480,481,482,483,484,485,486,
            487,488,489,490,491,492,493,494,495,496,
            497,498,499,500,501,502,503,504,505,506,
            507,508,509,510,511,512,513,514,515,516,
            517,518,519,520,521,522,523,524,525,526,
            527,528,529,530,531,532,533,534,535,536,
            537,538,539,540,541,542,543,544,545,546,
            547,548,549,550,551,552,553,554,555,556,
            557,558,559,560,561,562,563,564,565,566,
            567,568,569,570,571,572,573,574,575,576,
            577,578,579,580,581,582,583,584,585,586,
            587,588,589,590,591,592,593,594,595,596,
            597,598,599,600,601,602,603,604,605,606,
            607,608,609,610,611,612,613,614,615,616,
            617,618,619,620,621,622,623,624,625,626,
            627,628,629,630,631,632,633,634,635,636,
            637,638,639,640,641,642,643,644,645,646,
            647,648,649,650,651,652,653,654,655,656,
            657,658,659,660,661,662,663,664,665,666,
            667,668,669,670,671,672,673,674,675,676,
            677,678,679,680,681,682,683,684,685,686,
            687,688,689,690,691,692,693,694,695,696,
            697,698,699,700,701,702,703,704,705,706,
            707,708,709,710,711,712,713,714,715,716,
            717,718,719,720,721,722,723,724,725,726,
            727,728,729,730,731,732,733,734,735,736,
            737,738,0,739,0,3,4,5,6,7,
            8,9,10,11,12,13,14,15,16,17,
            18,756,20,21,22,23,24,25,26,27,
            28,29,30,31,32,33,34,35,36,37,
            38,39,40,41,42,43,44,45,46,47,
            48,49,0,51,52,53,54,55,56,57,
            58,59,60,61,62,63,64,65,66,67,
            68,69,70,71,72,73,74,75,76,77,
            78,79,80,81,82,83,84,85,86,87,
            88,89,90,91,92,93,94,95,96,97,
            98,99,100,101,102,103,104,105,106,107,
            108,109,110,111,112,113,114,115,114,117,
            118,119,120,121,122,123,124,125,126,127,
            128,129,130,131,132,133,134,135,136,137,
            138,139,140,141,142,143,144,145,146,147,
            148,149,150,151,152,153,154,155,156,157,
            158,159,160,161,162,163,164,165,166,167,
            168,169,170,171,172,173,174,175,176,177,
            178,179,180,181,182,183,184,185,186,187,
            188,189,190,191,192,193,194,195,196,197,
            198,199,200,201,202,203,204,205,206,207,
            208,209,210,211,212,213,214,215,216,217,
            218,219,220,221,222,223,224,225,226,227,
            228,229,230,231,232,233,234,235,236,237,
            238,239,240,241,242,243,244,245,246,247,
            248,249,250,251,252,253,254,255,256,257,
            258,259,260,261,262,263,264,265,266,267,
            268,269,270,271,272,273,274,275,276,277,
            278,279,280,281,282,283,284,285,286,287,
            288,289,290,291,292,293,294,295,296,297,
            298,299,300,301,302,303,304,305,306,307,
            308,309,310,311,312,313,314,315,316,317,
            318,319,320,321,322,323,324,325,326,327,
            328,329,330,331,332,333,334,335,336,337,
            338,339,340,341,342,343,344,345,346,347,
            348,349,350,351,352,353,354,355,356,357,
            358,359,360,361,362,363,364,365,366,367,
            368,369,370,371,372,373,374,375,376,377,
            378,379,380,381,382,383,384,385,386,387,
            388,389,390,391,392,393,394,395,396,397,
            398,399,400,401,402,403,404,405,406,407,
            408,409,410,411,412,413,414,415,416,417,
            418,419,420,421,422,423,424,425,426,427,
            428,429,430,431,432,433,434,435,436,437,
            438,439,440,441,442,443,444,445,446,447,
            448,449,450,451,452,453,454,455,456,457,
            458,459,460,461,462,463,464,465,466,467,
            468,469,470,471,472,473,474,475,476,477,
            478,479,480,481,482,483,484,485,486,487,
            488,489,490,491,492,493,494,495,496,497,
            498,499,500,501,502,503,504,505,506,507,
            508,509,510,511,512,513,514,515,516,517,
            518,519,520,521,522,523,524,525,526,527,
            528,529,530,531,532,533,534,535,536,537,
            538,539,540,541,542,543,544,545,546,547,
            548,549,550,551,552,553,554,555,556,557,
            558,559,560,561,562,563,564,565,566,567,
            568,569,570,571,572,573,574,575,576,577,
            578,579,580,581,582,583,584,585,586,587,
            588,589,590,591,592,593,594,595,596,597,
            598,599,600,601,602,603,604,605,606,607,
            608,609,610,611,612,613,614,615,616,617,
            618,619,620,621,622,623,624,625,626,627,
            628,629,630,631,632,633,634,635,636,637,
            638,639,640,641,642,643,644,645,646,647,
            648,649,650,651,652,653,654,655,656,657,
            658,659,660,661,662,663,664,665,666,667,
            668,669,670,671,672,673,674,675,676,677,
            678,679,680,681,682,683,684,685,686,687,
            688,689,690,691,692,693,694,695,696,697,
            698,699,700,701,702,703,704,705,706,707,
            708,709,710,711,712,713,714,715,716,717,
            718,719,720,721,722,723,724,725,726,727,
            728,729,730,731,732,733,734,735,736,737,
            738,0,0,1,2,3,0,6,0,0,
            0,0,1,2,0,4,5,0,0,10,
            11,0,13,6,15,0,24,19,19,0,
            19,30,3,22,0,34,25,26,20,14,
            0,1,2,0,4,5,45,30,0,31,
            0,34,50,3,6,30,0,56,57,58,
            0,40,22,20,0,25,26,17,0,9,
            6,42,12,56,57,58,16,21,30,78,
            66,71,34,27,0,0,18,73,54,0,
            5,90,91,59,30,78,95,0,34,98,
            99,67,5,18,56,57,58,0,91,75,
            76,77,95,0,0,98,99,116,0,0,
            56,57,58,89,5,7,78,0,60,0,
            45,42,0,116,0,0,102,19,70,91,
            5,0,78,95,3,0,98,99,14,0,
            9,10,11,12,13,91,15,16,17,95,
            19,105,98,99,116,97,32,54,33,28,
            0,0,59,46,45,90,35,36,37,44,
            67,40,48,182,183,0,0,55,75,76,
            77,50,0,0,1,2,0,5,0,182,
            183,116,89,54,0,34,10,11,59,13,
            18,15,19,116,0,102,67,19,0,90,
            88,51,18,116,75,76,77,56,57,58,
            182,183,0,37,20,116,0,45,89,238,
            239,240,241,242,0,116,182,183,116,78,
            18,102,8,0,18,238,239,240,241,242,
            0,0,91,93,60,51,95,6,0,98,
            10,11,19,13,70,15,0,45,0,1,
            2,45,90,0,23,41,238,239,240,241,
            242,55,0,10,11,109,13,37,15,0,
            0,97,238,239,240,241,242,93,116,0,
            18,28,3,0,1,2,17,0,9,0,
            0,12,90,4,88,16,90,0,19,9,
            0,0,12,0,116,18,16,45,0,19,
            9,22,0,12,0,26,19,16,116,50,
            19,9,116,9,12,55,12,24,16,0,
            16,19,45,19,103,52,39,0,107,0,
            1,2,3,0,61,0,7,0,0,1,
            2,8,90,0,9,18,9,12,88,12,
            0,16,9,16,19,12,19,19,0,16,
            0,0,19,318,0,1,2,90,116,0,
            1,2,45,0,41,318,116,0,18,18,
            47,0,0,422,423,318,0,6,0,1,
            2,14,6,116,0,45,38,318,79,422,
            423,0,1,2,23,45,45,0,1,2,
            46,38,43,0,1,2,34,90,0,0,
            19,0,0,1,2,0,1,2,0,0,
            422,423,0,0,1,2,29,0,0,7,
            90,19,29,116,19,68,422,423,356,55,
            90,90,64,21,72,0,74,20,100,27,
            0,0,24,8,46,0,116,0,31,8,
            318,0,0,100,116,0,116,116,18,0,
            62,0,88,55,55,0,0,110,50,116,
            19,19,0,1,2,0,1,2,79,0,
            19,80,47,0,0,45,20,0,47,0,
            116,4,5,46,49,50,88,88,0,1,
            2,50,50,19,21,50,0,1,2,62,
            27,50,0,1,2,0,1,2,0,1,
            2,0,1,2,116,116,0,0,0,1,
            2,0,1,2,50,0,0,82,0,1,
            2,6,0,0,0,86,19,0,0,14,
            0,0,87,94,0,19,0,1,2,33,
            0,19,19,0,99,18,39,0,1,2,
            44,0,18,0,1,2,0,0,0,19,
            0,0,0,0,0,7,50,0,0,0,
            19,0,50,50,50,116,356,50,7,19,
            19,19,19,19,50,55,0,0,20,0,
            50,0,0,65,63,6,0,69,0,0,
            0,50,0,3,0,0,82,50,0,0,
            50,50,50,50,50,0,0,50,88,0,
            0,0,0,0,0,0,0,29,0,25,
            0,0,0,0,0,0,0,50,0,83,
            0,50,721,3,723,724,725,726,727,50,
            729,730,731,732,733,0,735,736,721,116,
            723,724,725,726,727,50,729,730,731,732,
            733,0,735,736,3,0,43,0,740,0,
            0,0,3,0,739,116,0,761,0,721,
            0,723,724,725,726,727,19,729,730,731,
            732,733,116,735,736,721,0,723,724,725,
            726,727,116,729,730,731,732,733,116,735,
            736,116,39,0,116,755,0,0,0,3,
            0,761,116,728,0,116,116,116,116,116,
            116,116,116,755,116,728,116,116,116,761,
            116,116,116,19,116,728,0,0,0,0,
            0,0,0,0,0,0,3,728,0,63,
            0,116,0,50,0,19,742,19,19,19,
            50,19,0,19,19,104,0,0,0,3,
            0,116,35,19,756,7,116,0,0,0,
            0,0,116,0,116,0,116,742,7,37,
            0,50,30,0,0,0,755,19,50,0,
            50,0,761,0,0,0,0,0,0,0,
            0,0,6,0,0,0,0,0,0,111,
            728,114,7,0,19,0,741,50,0,19,
            19,38,0,0,0,0,0,19,29,0,
            0,0,0,0,0,0,0,0,0,0,
            36,28,19,28,19,19,28,0,0,0,
            28,0,28,0,85,0,96,50,28,0,
            0,0,0,0,0,0,6,0,111,0,
            6,6,19,0,19,0,0,0,19,0,
            0,0,0,0,0,0,116,0,0,116,
            23,116,23,0,19,19,116,0,19,741,
            116,116,19,19,19,116,740,116,0,116,
            116,0,19,116,116,81,19,81,112,116,
            0,0,0,0,0,0,0,0,0,0,
            81,0,8,0,0,0,0,0,50,0,
            0,0,19,0,4,0,0,0,19,116,
            0,0,19,116,19,19,0,0,19,0,
            0,0,0,0,0,19,0,0,0,741,
            109,0,0,48,0,53,756,0,116,116,
            19,19,32,19,0,19,19,19,0,116,
            19,19,0,0,0,3,116,50,116,48,
            0,0,0,0,0,0,0,30,0,101,
            0,0,0,92,0,0,0,0,0,0,
            0,0,0,0,0,0,0,116,0,0,
            0,0,0,0,0,0,116,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,116,0,116,
            0,116,0,0,0,106,0,0,84,0,
            0,0,0,113,0,0,113,0,0,0,
            0,0,108,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,742,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,742,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,742,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,742,0,742,742,0,0,742,0,0,
            742,742,0,0,0,0,0,0,0,742,
            742,0,0,742,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,742,
            0,0,0,742,0,0,0,0,0,742,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,742,742,
            742,0,0,742,0,0,742,0,0,742,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,756,756,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0
        };
    };

    public final static char termCheck[] = new char[TermCheck0.termCheck0.length + TermCheck1.termCheck1.length];
    {
        int index = 0;
        System.arraycopy(TermCheck0.termCheck0, 0, termCheck, index, TermCheck0.termCheck0.length);
        index += TermCheck0.termCheck0.length;
        System.arraycopy(TermCheck1.termCheck1, 0, termCheck, index, TermCheck1.termCheck1.length);
    };
    public final int termCheck(int index) { return termCheck[index]; }

    public interface TermAction0 {
        public final static char termAction0[] = {0,
            39,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,11,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,5253,
            5253,5253,5253,5253,5253,5253,5253,5253,5253,55,
            5253,5253,2204,5253,5253,5253,5253,5253,377,4571,
            4541,2031,166,5253,5253,5253,21,2556,5766,5114,
            5114,5114,5117,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,40,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5121,5114,5114,5114,
            5189,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,41,5114,5114,5114,
            5114,5114,5221,5217,5209,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5185,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5205,5114,5114,
            5114,5201,5114,5114,5197,5193,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,296,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5173,5169,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5245,5225,5241,5237,5213,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5233,5229,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5181,5114,5165,
            5125,5129,5133,5137,5114,5141,5145,5149,5153,5177,
            5114,5157,5161,5114,5111,94,5823,42,5114,5114,
            5114,5117,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5607,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5121,5114,5114,5114,5189,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5606,5114,5114,5114,5114,
            5114,5221,5217,5209,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5185,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5205,5114,5114,5114,
            5201,5114,5114,5197,5193,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,10,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5173,5169,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5245,5225,5241,5237,5213,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5233,5229,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5181,5114,5165,5125,
            5129,5133,5137,5114,5141,5145,5149,5153,5177,5114,
            5157,5161,5114,5111,95,5823,43,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5808,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,71,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            1200,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5340,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5337,5744,
            5744,5744,5745,139,56,113,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,296,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5406,5744,
            5744,5744,5744,6087,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5403,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,4750,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5340,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5337,5744,5744,
            5744,5745,190,99,57,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,755,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5406,5744,5744,
            5744,5744,1015,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5403,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,4750,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5340,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5337,5744,5744,5744,
            5745,251,154,62,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            174,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,1015,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,1200,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5340,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5337,5744,5744,5744,5745,
            4,198,63,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5294,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            252,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,290,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5745,23,
            6035,64,5114,5114,5114,5117,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,2251,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5121,
            5114,5114,5114,5189,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,6057,
            5114,5114,5114,5114,5114,5221,5217,5209,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5185,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5205,5114,5114,5114,5201,5114,5114,5197,5193,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5786,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5173,5169,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5245,5225,5241,
            5237,5213,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5233,5229,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5181,5114,5165,5125,5129,5133,5137,5114,5141,5145,
            5149,5153,5177,5114,5157,5161,5114,5111,44,231,
            68,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,2214,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,331,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5300,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5114,5114,5114,5114,
            5114,5114,5114,5114,5114,5114,5111,97,98,79,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,245,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,6003,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,285,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5346,5346,5346,5346,5346,
            5346,5346,5346,5346,5346,5343,158,266,5824,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,569,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744
        };
    };

    public interface TermAction1 {
        public final static char termAction1[] = {
            5744,5744,5744,5744,5744,350,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,592,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5433,5466,5744,5744,5744,5469,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5451,5454,5744,5744,5744,5445,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5478,5744,5744,5744,5457,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5424,5427,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5415,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5421,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5463,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5439,5442,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5430,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5418,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5436,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5475,5744,5472,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5448,5460,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5481,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5745,242,293,141,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,4669,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,6065,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            366,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5433,5466,5744,5744,5744,5469,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5451,5454,5744,5744,5744,5445,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5478,5744,5744,5744,5457,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5424,5427,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5415,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5421,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5463,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5439,5442,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5430,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5418,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5436,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5475,5744,5472,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5448,5460,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5481,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5745,395,413,142,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,2253,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,362,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5976,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5433,
            5466,5744,5744,5744,5469,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5451,5454,5744,5744,5744,5445,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5478,5744,5744,5744,5457,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5424,5427,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5415,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5421,5744,
            5744,5550,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5463,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5439,5442,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5430,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5418,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5436,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5475,5744,5472,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5448,5460,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5481,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5745,403,5980,187,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,2488,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,397,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,2263,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5744,5744,5744,5744,5744,5744,5744,5744,5744,5744,
            5745,188,65,4571,4541,4958,2,4973,83,189,
            5,165,4571,4541,178,961,2441,58,122,1789,
            5796,7,1793,4973,1791,151,5297,5882,5900,9,
            5705,4973,4958,4262,48,4973,2440,4231,4967,2490,
            117,4571,4541,52,961,2441,5500,4973,130,4964,
            18,4973,218,4958,4973,1976,295,4973,4973,4973,
            14,652,4262,5832,60,2440,4231,4961,8,2140,
            4973,4961,2145,4973,4973,4973,2146,1416,4973,4973,
            5803,1640,4973,5620,5556,116,4669,5804,5256,19,
            5316,5496,4973,5277,4973,4973,4973,76,4973,4973,
            4973,5274,5316,5283,4973,4973,4973,112,4973,5271,
            5268,5265,4973,126,81,4973,4973,1180,226,343,
            4973,4973,4973,5262,5316,5507,4973,36,584,6,
            5287,599,298,747,348,170,5259,5507,588,4973,
            1898,140,4973,4973,4958,82,4973,4973,2898,127,
            5409,5409,5409,5409,5409,4973,5409,5409,5409,4973,
            255,1936,4973,4973,747,1632,974,5355,5580,5409,
            288,412,5376,5249,2692,5287,5409,5409,5409,5579,
            5373,5409,1081,4973,4973,90,105,5520,5370,5367,
            5364,255,160,85,4571,4541,135,5316,84,4973,
            4973,5352,5361,5379,1,2127,1789,5796,5400,1793,
            5283,1791,5334,535,169,5358,5397,5920,13,589,
            5516,2016,4669,608,5394,5391,5388,5685,5682,5681,
            4973,4973,50,244,5484,535,402,5287,5385,4973,
            4973,4973,4973,4973,144,1180,4973,4973,1597,2078,
            5283,5382,5941,123,5283,4973,4973,4973,4973,4973,
            248,195,5683,2015,584,5492,5684,2602,179,5680,
            1789,5796,5872,1793,588,1791,192,5287,49,4571,
            4541,5287,5287,299,2604,5942,4973,4973,4973,4973,
            4973,5520,133,1789,5796,598,1793,244,1791,134,
            367,1632,4973,4973,4973,4973,4973,5488,5352,302,
            5283,903,4958,89,4571,4541,755,334,5528,168,
            51,5528,5287,1584,5516,5528,5287,164,284,2140,
            225,177,2145,3,2340,5283,2146,5287,233,5840,
            2140,4386,191,2145,232,4355,5583,2146,5280,645,
            5928,2140,5553,2140,2145,5520,2145,1637,2146,67,
            2146,1673,5539,5697,2605,5777,977,342,2601,206,
            4571,4541,1796,72,5778,253,2498,254,96,4571,
            4541,5306,5287,332,2140,5283,2140,2145,5516,2145,
            296,2146,2140,2146,1674,2145,2090,5705,218,2146,
            389,391,5914,5320,77,4571,4541,5534,5280,172,
            4571,4541,5287,219,5303,5320,3299,310,5283,5283,
            5309,203,315,4973,4973,5320,73,2609,235,4571,
            4541,2840,5312,5531,393,5500,2621,5320,668,4973,
            4973,289,4571,4541,2608,5287,5287,236,4571,4541,
            4079,2624,4417,292,4571,4541,5676,5287,75,70,
            5513,128,297,4571,4541,373,4571,4541,407,410,
            4973,4973,405,100,4571,4541,4479,12,61,2498,
            5496,148,4510,5280,5547,1574,4973,4973,5524,5520,
            5287,5287,2669,1416,5674,69,5675,4967,2622,5620,
            59,78,4771,5944,681,101,1283,121,4964,5328,
            5320,87,93,2625,2623,148,5280,5280,4669,152,
            4048,129,5516,5520,5520,207,53,1664,2968,2626,
            5782,5812,102,4571,4541,108,4571,4541,595,16,
            2480,2447,5943,227,196,5291,5830,327,5331,268,
            1333,2017,2885,4079,1015,3847,5516,5516,132,4571,
            4541,1204,788,6029,1416,3072,149,4571,4541,4048,
            5620,788,159,4571,4541,176,4571,4541,180,4571,
            4541,229,4571,4541,1333,3299,240,230,239,4571,
            4541,246,4571,4541,1778,304,312,1595,294,4571,
            4541,6021,313,314,346,2495,5584,340,365,2839,
            371,110,5996,2494,341,5644,328,4571,4541,5580,
            372,5643,5642,20,5995,2890,977,338,4571,4541,
            5579,376,330,364,4571,4541,186,15,17,5889,
            390,392,394,401,408,2755,2841,22,54,24,
            5997,155,2874,2875,3951,1716,5524,2630,2498,5884,
            5883,6056,5732,5735,5544,5791,25,88,5828,74,
            3371,91,269,2905,5585,5312,26,2906,120,103,
            106,4013,27,4659,118,28,1595,719,29,270,
            2630,2630,808,1809,2216,131,30,3433,5792,31,
            32,33,34,35,37,38,45,1037,46,1538,
            47,66,80,111,86,92,104,3811,114,5801,
            107,1070,4973,5349,4973,4973,4973,4973,4973,5968,
            4973,4973,4973,4973,4973,115,4973,4973,4973,5108,
            4973,4973,4973,4973,4973,3878,4973,4973,4973,4973,
            4973,109,4973,4973,4680,136,4200,124,2445,137,
            138,157,4958,119,6035,3486,161,4957,167,4973,
            181,4973,4973,4973,4973,4973,5870,4973,4973,4973,
            4973,4973,2843,4973,4973,4973,171,4973,4973,4973,
            4973,4973,3517,4973,4973,4973,4973,4973,2197,4973,
            4973,1127,977,147,1129,220,150,194,201,1572,
            153,220,2198,5324,125,657,3584,1035,1901,2377,
            1128,3615,1189,3,957,5324,1331,2340,1196,3,
            1197,1941,1972,5868,1421,5324,143,184,145,146,
            156,163,162,173,175,182,1178,5324,183,5586,
            193,1580,185,5412,200,6016,5911,6015,6023,6064,
            3914,2555,197,5727,5753,2501,199,202,204,1198,
            209,1783,2565,6041,296,2498,1183,205,208,211,
            212,210,3130,213,2449,214,1941,5910,2498,866,
            215,4324,6034,223,216,217,255,6082,4448,220,
            5504,221,255,222,224,228,234,237,238,241,
            243,244,5765,247,249,250,256,255,257,6089,
            5324,2263,1147,258,5593,259,4169,2511,260,6014,
            5728,2662,261,262,264,263,267,6037,1037,271,
            265,272,273,275,274,276,277,278,279,280,
            829,2676,6043,2677,6053,5938,2678,281,282,283,
            2679,284,2680,286,5638,287,2610,3169,2681,291,
            305,300,301,303,306,307,6020,308,6088,309,
            6019,6018,5919,317,6025,311,316,318,5748,319,
            320,321,325,322,323,324,2612,326,335,2613,
            6052,2614,6051,329,5635,5662,2615,333,5659,2564,
            2616,2620,5658,5671,5670,2627,5825,2628,330,2661,
            2663,336,5747,2567,2256,2687,5915,2690,2675,1425,
            337,339,344,345,347,349,351,352,353,354,
            2823,355,6022,356,357,358,359,360,1676,361,
            363,368,6024,369,2027,370,375,374,5664,2688,
            379,378,5661,2817,5660,5673,380,381,5653,382,
            387,383,384,388,385,2911,386,396,398,5510,
            598,399,400,2124,404,734,1938,409,3231,3268,
            5647,5646,974,5645,411,6002,2151,5668,5556,2878,
            5666,5655,406,5556,5556,4958,2880,2511,2883,6078,
            5556,5556,5556,5556,5556,5556,5556,572,5556,2887,
            5556,5556,5556,2889,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,2092,5556,5556,
            5556,5556,5556,5556,5556,5556,2154,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,1742,5556,1505,
            5556,1742,5556,5556,5556,2080,5556,5556,2918,5556,
            5556,5556,5556,5956,5556,5556,5955,5556,5556,5556,
            5556,5556,6062,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,2682,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,2683,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,2684,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,2685,5556,2009,2686,5556,5556,2689,5556,5556,
            2820,2010,5556,5556,5556,5556,5556,5556,5556,2821,
            2822,5556,5556,2012,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,2879,
            5556,5556,5556,2881,5556,5556,5556,5556,5556,2028,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,2901,2902,
            2903,5556,5556,2024,5556,5556,2068,5556,5556,2070,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,2088,296
        };
    };

    public final static char termAction[] = new char[TermAction0.termAction0.length + TermAction1.termAction1.length];
    {
        int index = 0;
        System.arraycopy(TermAction0.termAction0, 0, termAction, index, TermAction0.termAction0.length);
        index += TermAction0.termAction0.length;
        System.arraycopy(TermAction1.termAction1, 0, termAction, index, TermAction1.termAction1.length);
    };
    public final int termAction(int index) { return termAction[index]; }

    public interface DefaultReduce {
        public final static char defaultReduce[] = {0,
            369,5556,5556,5556,5556,5556,251,369,216,5556,
            337,212,5556,279,368,227,5556,216,5556,257,
            5556,285,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,42,5556,315,313,311,144,365,5556,
            5556,275,273,271,5556,5556,259,5556,369,5556,
            5556,42,5556,5556,216,5556,5556,413,5556,5556,
            5556,392,5556,5556,225,5556,5556,396,5556,337,
            5556,5556,5556,5556,145,5556,5556,250,223,5556,
            356,5556,5556,5556,5556,5556,5556,5556,417,168,
            417,378,5556,5556,415,5556,161,38,5556,5556,
            5556,5556,5556,5556,5556,147,5556,20,48,16,
            225,212,5556,5556,5556,143,142,249,5556,5556,
            201,198,147,259,348,5556,216,5556,5556,216,
            5556,5556,5556,5556,5556,5556,411,409,472,394,
            5556,534,398,419,5556,5556,429,5556,224,147,
            5556,5556,5556,5556,145,5556,5556,5556,5556,5556,
            5556,5556,5556,233,5556,146,5556,5556,5556,357,
            5556,5556,5556,237,5556,246,413,5556,244,5556,
            5556,5556,403,5556,461,5556,5556,5556,5556,5556,
            5556,5556,5556,427,414,437,5556,5556,5556,437,
            81,78,85,84,83,107,5556,101,100,116,
            5556,113,5556,96,5556,122,40,5556,31,5556,
            147,5556,363,5556,231,5556,5556,5556,295,5556,
            17,5556,5556,5556,232,145,5556,349,239,5556,
            5556,5556,5556,5556,405,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,62,5556,5556,5556,146,5556,
            5556,5556,369,34,407,5556,146,5556,244,423,
            5556,216,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,121,5556,111,5556,5556,109,
            5556,5556,5556,5556,98,5556,5556,204,5556,421,
            5556,5556,5556,5556,234,5556,5556,175,5556,5556,
            173,5556,5556,5556,5556,409,5556,435,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,203,401,5556,5556,5556,5556,5556,
            5556,5556,175,422,5556,5556,5556,5556,431,5556,
            511,433,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,437,216,5556,5556,229,5556,
            425,5556,5556
        };
    };
    public final static char defaultReduce[] = DefaultReduce.defaultReduce;
    public final int defaultReduce(int index) { return defaultReduce[index]; }

    public interface ShiftState {
        public final static char shiftState[] = {0,
            4505,750,4608,3762,4696,4551,4591,4505,4502,2257,
            1,4527,2270,4569,4699,4580,744,4566,4700,4580,
            764,4699,2270,4580,4580,4580,4580,4580,4580,4580,
            4580,4580,4580,4580,4580,2270,4580,4580,2,3025,
            3025,2257,1,3762,4580,4580,4580,4544,3013,2270,
            4606,4508,4508,4508,741,2270,4709,3023,4637,3762,
            4644,2257,2257,2257,759,2270,4711,4586,4519,4711,
            3025,4507,2270,2270,4533,2270,4612,4519,2257,4580,
            4712,4712,4715,4645,4558,4580,4645,4699,4548,3812,
            4699,2270,4645,764,3023,4558,3762,3763,4717,3013,
            4670,3013,4699,4580,4713,741,741,3013,741,4718,
            4725,2270,4547,4580,4580,2270,4530,3017,4724,4723,
            4533,4607,4715,4715,4715,4544,4544,4727,4645,3023,
            4699,3013,2270,4671,4613,4580,741,4580,3023,4501,
            2257,2257,4715,4553,4715,4715,4699,4672,3013,741,
            4543,4589,4699,4717,744,4715,4728,3762,3013,2270,
            4580,4715,4699,4640,4520,2258,4580,4631,2270,4629,
            4718,4647,741,2270,4715,3013,4606,4571,3812,3013,
            2270,4715,4699,4729,4733,4730,4586,3023,4557,3023,
            4606,3763,4699,4586,4503,4645,4731,3025,741,4715,
            4735,4735,4678,744,4699,751,4617,4715,4738,744,
            4736,4580,4580,4580,4580,4580,4580,4561,4561,4580,
            4580,4580,4739,4580,2257,4691,4676,4715,3013,4640,
            2270,4606,3812,1511,4650,2260,4580,4580,3013,4632,
            4723,3762,4715,4715,4699,3013,4580,4613,4743,744,
            3023,3025,4606,4606,4699,4741,4715,4744,4744,4744,
            4744,4715,4715,4744,4744,4745,4715,4712,4712,4712,
            4712,4712,4712,4746,4580,4712,4746,4580,4712,4712,
            4712,4712,4746,4712,4528,4715,4715,4681,4558,3025,
            4645,2260,4751,3013,4642,2270,3013,2270,4577,4713,
            4580,4627,4580,3010,1511,1511,1511,4748,4748,4579,
            4715,4645,4645,4645,4582,4715,4580,4712,4715,4580,
            4712,4715,4715,4715,4580,4712,4702,3013,4645,4750,
            3025,4606,4645,2270,4699,4580,4580,3013,4753,4687,
            4699,1517,2270,4755,4715,4672,4757,4660,4756,3025,
            4712,4712,4712,4715,4712,4715,4712,4715,4715,4712,
            4715,4574,4776,3013,4693,3025,2270,2270,4580,2270,
            4685,4645,4558,4699,4715,4645,1507,4756,4759,2257,
            1,4760,4715,4715,4715,4715,4775,4775,1517,4645,
            2270,4645,2270,4645,3762,4715,2270,4715,4715,4715,
            4645,1517,3762,4778,4659,741,2270,4645,4731,2270,
            4783,4506,3025
        };
    };
    public final static char shiftState[] = ShiftState.shiftState;
    public final int shiftState(int index) { return shiftState[index]; }

    public interface ShiftCheck {
        public final static char shiftCheck[] = {0,
            0,0,1,2,3,4,5,6,7,8,
            9,10,11,12,13,14,15,16,17,18,
            19,20,21,22,23,24,25,26,27,28,
            29,30,31,32,33,34,35,36,37,38,
            39,40,41,42,43,44,45,46,47,48,
            49,50,51,52,53,54,55,56,57,58,
            59,60,61,62,63,64,65,66,67,68,
            69,70,71,72,73,74,75,76,77,78,
            79,80,81,82,83,84,85,86,87,88,
            89,90,91,92,93,94,95,96,97,98,
            99,100,101,102,103,104,105,106,107,108,
            109,110,111,112,113,114,115,0,117,118,
            119,120,121,122,123,124,125,126,127,128,
            129,130,131,132,133,134,135,136,137,138,
            139,140,141,142,143,144,145,146,147,148,
            149,150,151,152,153,154,155,156,157,158,
            159,160,161,162,163,164,165,166,167,168,
            169,170,171,172,173,174,175,176,177,178,
            179,180,181,182,183,184,185,186,187,188,
            189,190,191,192,193,194,195,196,197,198,
            199,200,201,202,203,204,205,206,207,208,
            209,210,211,212,213,214,215,216,217,218,
            219,220,221,222,223,224,225,226,227,228,
            229,230,231,232,233,234,235,236,237,238,
            239,240,241,242,243,244,245,246,247,248,
            249,250,251,252,253,254,255,256,257,258,
            259,260,261,262,263,264,265,266,267,268,
            269,270,271,272,273,274,275,276,277,278,
            279,280,281,282,283,284,285,286,287,288,
            289,290,291,292,293,294,295,296,297,298,
            299,300,301,302,303,304,305,306,307,308,
            309,310,311,312,313,314,315,316,317,318,
            319,320,321,322,323,324,325,326,327,328,
            329,330,331,332,333,334,335,336,337,338,
            339,340,341,342,343,344,345,346,347,348,
            349,350,351,352,353,354,355,356,357,358,
            359,360,361,362,363,364,365,366,367,368,
            369,370,371,372,373,374,375,376,377,378,
            379,380,381,382,383,384,385,386,387,388,
            389,390,391,392,393,394,395,396,397,398,
            399,400,401,402,403,404,405,406,407,408,
            409,410,411,412,413,414,415,416,417,418,
            419,420,421,422,423,424,425,426,427,428,
            429,430,431,432,433,434,435,436,437,438,
            439,440,441,442,443,444,445,446,447,448,
            449,450,451,452,453,454,455,456,457,458,
            459,460,461,462,463,464,465,466,467,468,
            469,470,471,472,473,474,475,476,477,478,
            479,480,481,482,483,484,485,486,487,488,
            489,490,491,492,493,494,495,496,497,498,
            499,500,501,502,503,504,505,506,507,508,
            509,510,511,512,513,514,515,516,517,518,
            519,520,521,522,523,524,525,526,527,528,
            529,530,531,532,533,534,535,536,537,538,
            539,540,541,542,543,544,545,546,547,548,
            549,550,551,552,553,554,555,556,557,558,
            559,560,561,562,563,564,565,566,567,568,
            569,570,571,572,573,574,575,576,577,578,
            579,580,581,582,583,584,585,586,587,588,
            589,590,591,592,593,594,595,596,597,598,
            599,600,601,602,603,604,605,606,607,608,
            609,610,611,612,613,614,615,616,617,618,
            619,620,621,622,623,624,625,626,627,628,
            629,630,631,632,633,634,635,636,637,638,
            639,640,641,642,643,644,645,646,647,648,
            649,650,651,652,653,654,655,656,657,658,
            659,660,661,662,663,664,665,666,667,668,
            669,670,671,672,673,674,675,676,677,678,
            679,680,681,682,683,684,685,686,687,688,
            689,690,691,692,693,694,695,696,697,698,
            699,700,701,702,703,704,705,706,707,708,
            709,710,711,712,713,714,715,716,717,718,
            719,720,721,722,723,724,725,726,727,728,
            729,730,731,732,733,734,735,736,737,738,
            0,740,741,3,743,744,745,746,747,0,
            7,1,2,3,753,754,755,7,0,1,
            2,3,761,0,1,2,3,4,5,6,
            7,8,9,10,11,12,13,14,15,16,
            17,18,24,20,21,22,23,24,25,26,
            27,28,29,30,31,32,33,34,35,36,
            37,38,39,40,41,42,43,44,45,46,
            47,48,49,0,51,52,53,54,55,56,
            57,58,59,60,61,62,63,64,65,66,
            67,68,69,70,71,72,73,74,75,76,
            77,78,79,80,81,82,83,84,85,86,
            87,88,89,90,91,92,93,94,95,96,
            97,98,99,100,101,102,103,104,105,106,
            107,108,109,110,111,112,113,114,115,116,
            117,118,119,120,121,122,123,124,125,126,
            127,128,129,130,131,132,133,134,135,136,
            137,138,139,140,141,142,143,144,145,146,
            147,148,149,150,151,152,153,154,155,156,
            157,158,159,160,161,162,163,164,165,166,
            167,168,169,170,171,172,173,174,175,176,
            177,178,179,180,181,182,183,184,185,186,
            187,188,189,190,191,192,193,194,195,196,
            197,198,199,200,201,202,203,204,205,206,
            207,208,209,210,211,212,213,214,215,216,
            217,218,219,220,221,222,223,224,225,226,
            227,228,229,230,231,232,233,234,235,236,
            237,238,239,240,241,242,243,244,245,246,
            247,248,249,250,251,252,253,254,255,256,
            257,258,259,260,261,262,263,264,265,266,
            267,268,269,270,271,272,273,274,275,276,
            277,278,279,280,281,282,283,284,285,286,
            287,288,289,290,291,292,293,294,295,296,
            297,298,299,300,301,302,303,304,305,306,
            307,308,309,310,311,312,313,314,315,316,
            317,318,319,320,321,322,323,324,325,326,
            327,328,329,330,331,332,333,334,335,336,
            337,338,339,340,341,342,343,344,345,346,
            347,348,349,350,351,352,353,354,355,356,
            357,358,359,360,361,362,363,364,365,366,
            367,368,369,370,371,372,373,374,375,376,
            377,378,379,380,381,382,383,384,385,386,
            387,388,389,390,391,392,393,394,395,396,
            397,398,399,400,401,402,403,404,405,406,
            407,408,409,410,411,412,413,414,415,416,
            417,418,419,420,421,422,423,424,425,426,
            427,428,429,430,431,432,433,434,435,436,
            437,438,439,440,441,442,443,444,445,446,
            447,448,449,450,451,452,453,454,455,456,
            457,458,459,460,461,462,463,464,465,466,
            467,468,469,470,471,472,473,474,475,476,
            477,478,479,480,481,482,483,484,485,486,
            487,488,489,490,491,492,493,494,495,496,
            497,498,499,500,501,502,503,504,505,506,
            507,508,509,510,511,512,513,514,515,516,
            517,518,519,520,521,522,523,524,525,526,
            527,528,529,530,531,532,533,534,535,536,
            537,538,539,540,541,542,543,544,545,546,
            547,548,549,550,551,552,553,554,555,556,
            557,558,559,560,561,562,563,564,565,566,
            567,568,569,570,571,572,573,574,575,576,
            577,578,579,580,581,582,583,584,585,586,
            587,588,589,590,591,592,593,594,595,596,
            597,598,599,600,601,602,603,604,605,606,
            607,608,609,610,611,612,613,614,615,616,
            617,618,619,620,621,622,623,624,625,626,
            627,628,629,630,631,632,633,634,635,636,
            637,638,639,640,641,642,643,644,645,646,
            647,648,649,650,651,652,653,654,655,656,
            657,658,659,660,661,662,663,664,665,666,
            667,668,669,670,671,672,673,674,675,676,
            677,678,679,680,681,682,683,684,685,686,
            687,688,689,690,691,692,693,694,695,696,
            697,698,699,700,701,702,703,704,705,706,
            707,708,709,710,711,712,713,714,715,716,
            717,718,719,720,721,722,723,724,725,726,
            727,728,729,730,731,732,733,734,735,736,
            737,738,739,740,755,742,0,1,2,3,
            0,748,749,750,751,752,6,1,2,3,
            4,5,6,7,8,9,10,11,12,13,
            14,15,16,17,18,19,20,21,22,23,
            24,25,26,27,28,29,30,31,32,33,
            34,35,36,37,38,39,40,41,42,43,
            44,45,46,47,48,49,0,51,52,53,
            54,55,56,57,58,59,60,61,62,63,
            64,65,66,67,68,69,70,71,72,73,
            74,75,76,77,78,79,80,81,82,83,
            84,85,86,87,88,89,90,91,92,93,
            94,95,96,97,98,99,100,101,102,103,
            104,105,106,107,108,109,110,111,112,113,
            114,115,116,117,118,119,120,121,122,123,
            124,125,126,127,128,129,130,131,132,133,
            134,135,136,137,138,139,140,141,142,143,
            144,145,146,147,148,149,150,151,152,153,
            154,155,156,157,158,159,160,161,162,163,
            164,165,166,167,168,169,170,171,172,173,
            174,175,176,177,178,179,180,181,182,183,
            184,185,186,187,188,189,190,191,192,193,
            194,195,196,197,198,199,200,201,202,203,
            204,205,206,207,208,209,210,211,212,213,
            214,215,216,217,218,219,220,221,222,223,
            224,225,226,227,228,229,230,231,232,233,
            234,235,236,237,238,239,240,241,242,243,
            244,245,246,247,248,249,250,251,252,253,
            254,255,256,257,258,259,260,261,262,263,
            264,265,266,267,268,269,270,271,272,273,
            274,275,276,277,278,279,280,281,282,283,
            284,285,286,287,288,289,290,291,292,293,
            294,295,296,297,298,299,300,301,302,303,
            304,305,306,307,308,309,310,311,312,313,
            314,315,316,317,318,319,320,321,322,323,
            324,325,326,327,328,329,330,331,332,333,
            334,335,336,337,338,339,340,341,342,343,
            344,345,346,347,348,349,350,351,352,353,
            354,355,356,357,358,359,360,361,362,363,
            364,365,366,367,368,369,370,371,372,373,
            374,375,376,377,378,379,380,381,382,383,
            384,385,386,387,388,389,390,391,392,393,
            394,395,396,397,398,399,400,401,402,403,
            404,405,406,407,408,409,410,411,412,413,
            414,415,416,417,418,419,420,421,422,423,
            424,425,426,427,428,429,430,431,432,433,
            434,435,436,437,438,439,440,441,442,443,
            444,445,446,447,448,449,450,451,452,453,
            454,455,456,457,458,459,460,461,462,463,
            464,465,466,467,468,469,470,471,472,473,
            474,475,476,477,478,479,480,481,482,483,
            484,485,486,487,488,489,490,491,492,493,
            494,495,496,497,498,499,500,501,502,503,
            504,505,506,507,508,509,510,511,512,513,
            514,515,516,517,518,519,520,521,522,523,
            524,525,526,527,528,529,530,531,532,533,
            534,535,536,537,538,539,540,541,542,543,
            544,545,546,547,548,549,550,551,552,553,
            554,555,556,557,558,559,560,561,562,563,
            564,565,566,567,568,569,570,571,572,573,
            574,575,576,577,578,579,580,581,582,583,
            584,585,586,587,588,589,590,591,592,593,
            594,595,596,597,598,599,600,601,602,603,
            604,605,606,607,608,609,610,611,612,613,
            614,615,616,617,618,619,620,621,622,623,
            624,625,626,627,628,629,630,631,632,633,
            634,635,636,637,638,639,640,641,642,643,
            644,645,646,647,648,649,650,651,652,653,
            654,655,656,657,658,659,660,661,662,663,
            664,665,666,667,668,669,670,671,672,673,
            674,675,676,677,678,679,680,681,682,683,
            684,685,686,687,688,689,690,691,692,693,
            694,695,696,697,698,699,700,701,702,703,
            704,705,706,707,708,709,710,711,712,713,
            714,715,716,717,718,719,720,721,722,723,
            724,725,726,727,728,729,730,731,732,733,
            734,735,736,737,738,739,0,0,742,0,
            1,2,5,6,748,749,750,751,752,0,
            1,2,3,4,5,6,7,8,9,10,
            11,12,13,14,15,16,17,18,29,20,
            21,22,23,24,25,26,27,28,29,30,
            31,32,33,34,35,36,37,38,39,40,
            41,42,43,44,45,46,47,48,49,0,
            51,52,53,54,55,56,57,58,59,60,
            61,62,63,64,65,66,67,68,69,70,
            71,72,73,74,75,76,77,78,79,80,
            81,82,83,84,85,86,87,88,89,90,
            91,92,93,94,95,96,97,98,99,100,
            101,102,103,104,105,106,107,108,109,110,
            111,112,113,114,115,116,117,118,119,120,
            121,122,123,124,125,126,127,128,129,130,
            131,132,133,134,135,136,137,138,139,140,
            141,142,143,144,145,146,147,148,149,150,
            151,152,153,154,155,156,157,158,159,160,
            161,162,163,164,165,166,167,168,169,170,
            171,172,173,174,175,176,177,178,179,180,
            181,182,183,184,185,186,187,188,189,190,
            191,192,193,194,195,196,197,198,199,200,
            201,202,203,204,205,206,207,208,209,210,
            211,212,213,214,215,216,217,218,219,220,
            221,222,223,224,225,226,227,228,229,230,
            231,232,233,234,235,236,237,238,239,240,
            241,242,243,244,245,246,247,248,249,250,
            251,252,253,254,255,256,257,258,259,260,
            261,262,263,264,265,266,267,268,269,270,
            271,272,273,274,275,276,277,278,279,280,
            281,282,283,284,285,286,287,288,289,290,
            291,292,293,294,295,296,297,298,299,300,
            301,302,303,304,305,306,307,308,309,310,
            311,312,313,314,315,316,317,318,319,320,
            321,322,323,324,325,326,327,328,329,330,
            331,332,333,334,335,336,337,338,339,340,
            341,342,343,344,345,346,347,348,349,350,
            351,352,353,354,355,356,357,358,359,360,
            361,362,363,364,365,366,367,368,369,370,
            371,372,373,374,375,376,377,378,379,380,
            381,382,383,384,385,386,387,388,389,390,
            391,392,393,394,395,396,397,398,399,400,
            401,402,403,404,405,406,407,408,409,410,
            411,412,413,414,415,416,417,418,419,420,
            421,422,423,424,425,426,427,428,429,430,
            431,432,433,434,435,436,437,438,439,440,
            441,442,443,444,445,446,447,448,449,450,
            451,452,453,454,455,456,457,458,459,460,
            461,462,463,464,465,466,467,468,469,470,
            471,472,473,474,475,476,477,478,479,480,
            481,482,483,484,485,486,487,488,489,490,
            491,492,493,494,495,496,497,498,499,500,
            501,502,503,504,505,506,507,508,509,510,
            511,512,513,514,515,516,517,518,519,520,
            521,522,523,524,525,526,527,528,529,530,
            531,532,533,534,535,536,537,538,539,540,
            541,542,543,544,545,546,547,548,549,550,
            551,552,553,554,555,556,557,558,559,560,
            561,562,563,564,565,566,567,568,569,570,
            571,572,573,574,575,576,577,578,579,580,
            581,582,583,584,585,586,587,588,589,590,
            591,592,593,594,595,596,597,598,599,600,
            601,602,603,604,605,606,607,608,609,610,
            611,612,613,614,615,616,617,618,619,620,
            621,622,623,624,625,626,627,628,629,630,
            631,632,633,634,635,636,637,638,639,640,
            641,642,643,644,645,646,647,648,649,650,
            651,652,653,654,655,656,657,658,659,660,
            661,662,663,664,665,666,667,668,669,670,
            671,672,673,674,675,676,677,678,679,680,
            681,682,683,684,685,686,687,688,689,690,
            691,692,693,694,695,696,697,698,699,700,
            701,702,703,704,705,706,707,708,709,710,
            711,712,713,714,715,716,717,718,719,720,
            721,722,723,724,725,726,727,728,729,730,
            731,732,733,734,735,736,737,738,739,0,
            0,742,756,1,2,6,0,748,749,750,
            751,752,0,14,0,3,4,5,6,7,
            8,9,10,11,12,13,14,15,16,17,
            18,25,20,21,22,23,24,25,26,27,
            28,29,30,31,32,33,34,35,36,37,
            38,39,40,41,42,43,44,45,46,47,
            48,49,0,51,52,53,54,55,56,57,
            58,59,60,61,62,63,64,65,66,67,
            68,69,70,71,72,73,74,75,76,77,
            78,79,80,81,82,83,84,85,86,87,
            88,89,90,91,92,93,94,95,96,97,
            98,99,100,101,102,103,104,105,106,107,
            108,109,110,111,112,113,114,115,116,117,
            118,119,120,121,122,123,124,125,126,127,
            128,129,130,131,132,133,134,135,136,137,
            138,139,140,141,142,143,144,145,146,147,
            148,149,150,151,152,153,154,155,156,157,
            158,159,160,161,162,163,164,165,166,167,
            168,169,170,171,172,173,174,175,176,177,
            178,179,180,181,182,183,184,185,186,187,
            188,189,190,191,192,193,194,195,196,197,
            198,199,200,201,202,203,204,205,206,207,
            208,209,210,211,212,213,214,215,216,217,
            218,219,220,221,222,223,224,225,226,227,
            228,229,230,231,232,233,234,235,236,237,
            238,239,240,241,242,243,244,245,246,247,
            248,249,250,251,252,253,254,255,256,257,
            258,259,260,261,262,263,264,265,266,267,
            268,269,270,271,272,273,274,275,276,277,
            278,279,280,281,282,283,284,285,286,287,
            288,289,290,291,292,293,294,295,296,297,
            298,299,300,301,302,303,304,305,306,307,
            308,309,310,311,312,313,314,315,316,317,
            318,319,320,321,322,323,324,325,326,327,
            328,329,330,331,332,333,334,335,336,337,
            338,339,340,341,342,343,344,345,346,347,
            348,349,350,351,352,353,354,355,356,357,
            358,359,360,361,362,363,364,365,366,367,
            368,369,370,371,372,373,374,375,376,377,
            378,379,380,381,382,383,384,385,386,387,
            388,389,390,391,392,393,394,395,396,397,
            398,399,400,401,402,403,404,405,406,407,
            408,409,410,411,412,413,414,415,416,417,
            418,419,420,421,422,423,424,425,426,427,
            428,429,430,431,432,433,434,435,436,437,
            438,439,440,441,442,443,444,445,446,447,
            448,449,450,451,452,453,454,455,456,457,
            458,459,460,461,462,463,464,465,466,467,
            468,469,470,471,472,473,474,475,476,477,
            478,479,480,481,482,483,484,485,486,487,
            488,489,490,491,492,493,494,495,496,497,
            498,499,500,501,502,503,504,505,506,507,
            508,509,510,511,512,513,514,515,516,517,
            518,519,520,521,522,523,524,525,526,527,
            528,529,530,531,532,533,534,535,536,537,
            538,539,540,541,542,543,544,545,546,547,
            548,549,550,551,552,553,554,555,556,557,
            558,559,560,561,562,563,564,565,566,567,
            568,569,570,571,572,573,574,575,576,577,
            578,579,580,581,582,583,584,585,586,587,
            588,589,590,591,592,593,594,595,596,597,
            598,599,600,601,602,603,604,605,606,607,
            608,609,610,611,612,613,614,615,616,617,
            618,619,620,621,622,623,624,625,626,627,
            628,629,630,631,632,633,634,635,636,637,
            638,639,640,641,642,643,644,645,646,647,
            648,649,650,651,652,653,654,655,656,657,
            658,659,660,661,662,663,664,665,666,667,
            668,669,670,671,672,673,674,675,676,677,
            678,679,680,681,682,683,684,685,686,687,
            688,689,690,691,692,693,694,695,696,697,
            698,699,700,701,702,703,704,705,706,707,
            708,709,710,711,712,713,714,715,716,717,
            718,719,720,721,722,723,724,725,726,727,
            728,729,730,731,732,733,734,735,736,737,
            738,0,0,739,3,4,5,6,7,8,
            9,10,11,12,13,14,15,16,17,18,
            0,20,21,22,23,24,25,26,27,28,
            29,30,31,32,33,34,35,36,37,38,
            39,40,41,42,43,44,45,46,47,48,
            49,0,51,52,53,54,55,56,57,58,
            59,60,61,62,63,64,65,66,67,68,
            69,70,71,72,73,74,75,76,77,78,
            79,80,81,82,83,84,85,86,87,88,
            89,90,91,92,93,94,95,96,97,98,
            99,100,101,102,103,104,105,106,107,108,
            109,110,111,112,113,114,115,0,117,118,
            119,120,121,122,123,124,125,126,127,128,
            129,130,131,132,133,134,135,136,137,138,
            139,140,141,142,143,144,145,146,147,148,
            149,150,151,152,153,154,155,156,157,158,
            159,160,161,162,163,164,165,166,167,168,
            169,170,171,172,173,174,175,176,177,178,
            179,180,181,182,183,184,185,186,187,188,
            189,190,191,192,193,194,195,196,197,198,
            199,200,201,202,203,204,205,206,207,208,
            209,210,211,212,213,214,215,216,217,218,
            219,220,221,222,223,224,225,226,227,228,
            229,230,231,232,233,234,235,236,237,238,
            239,240,241,242,243,244,245,246,247,248,
            249,250,251,252,253,254,255,256,257,258,
            259,260,261,262,263,264,265,266,267,268,
            269,270,271,272,273,274,275,276,277,278,
            279,280,281,282,283,284,285,286,287,288,
            289,290,291,292,293,294,295,296,297,298,
            299,300,301,302,303,304,305,306,307,308,
            309,310,311,312,313,314,315,316,317,318,
            319,320,321,322,323,324,325,326,327,328,
            329,330,331,332,333,334,335,336,337,338,
            339,340,341,342,343,344,345,346,347,348,
            349,350,351,352,353,354,355,356,357,358,
            359,360,361,362,363,364,365,366,367,368,
            369,370,371,372,373,374,375,376,377,378,
            379,380,381,382,383,384,385,386,387,388,
            389,390,391,392,393,394,395,396,397,398,
            399,400,401,402,403,404,405,406,407,408,
            409,410,411,412,413,414,415,416,417,418,
            419,420,421,422,423,424,425,426,427,428,
            429,430,431,432,433,434,435,436,437,438,
            439,440,441,442,443,444,445,446,447,448,
            449,450,451,452,453,454,455,456,457,458,
            459,460,461,462,463,464,465,466,467,468,
            469,470,471,472,473,474,475,476,477,478,
            479,480,481,482,483,484,485,486,487,488,
            489,490,491,492,493,494,495,496,497,498,
            499,500,501,502,503,504,505,506,507,508,
            509,510,511,512,513,514,515,516,517,518,
            519,520,521,522,523,524,525,526,527,528,
            529,530,531,532,533,534,535,536,537,538,
            539,540,541,542,543,544,545,546,547,548,
            549,550,551,552,553,554,555,556,557,558,
            559,560,561,562,563,564,565,566,567,568,
            569,570,571,572,573,574,575,576,577,578,
            579,580,581,582,583,584,585,586,587,588,
            589,590,591,592,593,594,595,596,597,598,
            599,600,601,602,603,604,605,606,607,608,
            609,610,611,612,613,614,615,616,617,618,
            619,620,621,622,623,624,625,626,627,628,
            629,630,631,632,633,634,635,636,637,638,
            639,640,641,642,643,644,645,646,647,648,
            649,650,651,652,653,654,655,656,657,658,
            659,660,661,662,663,664,665,666,667,668,
            669,670,671,672,673,674,675,676,677,678,
            679,680,681,682,683,684,685,686,687,688,
            689,690,691,692,693,694,695,696,697,698,
            699,700,701,702,703,704,705,706,707,708,
            709,710,711,712,713,714,715,716,717,718,
            719,720,721,722,723,724,725,726,727,728,
            729,730,731,732,733,734,735,736,737,738,
            0,0,740,3,3,0,0,0,6,9,
            10,11,12,13,8,15,16,17,0,0,
            1,2,18,4,5,23,8,20,28,0,
            1,2,0,4,5,35,36,37,19,34,
            40,22,0,42,25,26,20,41,1,2,
            0,22,741,47,25,26,14,31,1,2,
            8,56,57,58,60,47,10,11,3,13,
            0,15,30,0,70,19,19,9,46,0,
            12,0,17,78,16,0,10,11,0,13,
            0,15,14,41,62,45,91,54,38,52,
            95,97,59,98,28,103,0,0,61,107,
            67,0,1,2,9,34,0,12,75,76,
            77,16,10,11,19,13,20,15,0,3,
            40,24,89,5,4,9,66,31,12,0,
            90,0,16,73,0,102,68,1,2,0,
            1,2,22,72,18,74,26,46,19,0,
            100,33,21,19,33,7,116,24,27,0,
            0,0,44,14,86,44,116,0,39,21,
            0,45,94,6,0,27,0,17,110,43,
            0,32,0,50,50,116,21,7,0,114,
            23,0,27,87,18,4,5,48,0,19,
            0,0,0,64,0,99,0,0,49,50,
            50,50,0,0,0,17,0,0,0,0,
            0,51,0,19,0,0,50,0,0,55,
            0,42,0,0,0,0,105,0,50,0,
            0,29,0,82,0,0,0,65,0,0,
            30,69,39,35,8,49,71,43,18,37,
            23,28,88,93,0,0,38,0,36,4,
            63,0,0,0,0,0,0,0,0,79,
            32,0,0,0,0,0,0,0,0,0,
            0,0,0,48,0,0,80,53,0,0,
            0,0,83,0,0,0,0,0,0,0,
            85,109,0,0,0,0,81,0,0,0,
            0,104,0,96,0,0,0,0,0,0,
            0,0,0,0,92,111,0,0,0,0,
            101,0,112,0,0,0,0,0,0,115,
            0,0,0,0,0,106,84,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,108,0,113,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,739,0,0,742,0,0,
            0,0,0,748,749,750,0,0,0,0,
            741,0,743,744,745,746,747,0,0,0,
            741,0,743,744,745,746,747,0,0,0,
            0,739,0,740,757,0,759,741,0,743,
            744,745,746,747,0,0,753,754,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,758,0,760,0,0,0,0,0,0,
            0,0,0,0,0,0,740,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,742,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0
        };
    };
    public final static char shiftCheck[] = ShiftCheck.shiftCheck;
    public final int shiftCheck(int index) { return shiftCheck[index]; }

    public interface DefaultShift {
        public final static char defaultShift[] = {0,
            1475,1368,4973,4973,4973,4976,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,5885,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4980,
            4973,4973,4973,5048,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4110,
            4973,4973,4973,4973,4973,5080,5076,5068,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,5044,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            5064,4973,4973,4973,5060,4973,4973,5056,5052,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,2786,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,5032,5028,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,5104,5084,5100,
            5096,5072,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,5092,5088,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            4973,4973,4973,4973,4973,4973,4973,4973,4973,4973,
            5040,4973,5024,4984,4988,4992,4996,4973,5000,5004,
            5008,5012,5036,4973,5016,5020,4973,4970,5605,4630,
            5842,2076,5843,5846,5845,5847,5844,5611,5612,5608,
            5819,5820,4601,1540,712,1194,5761,5848,5762,5849,
            5253,5556,5556,5556,5556,5556,5556,5556,5556,5556,
            5556,5556,5556,5556,5556,5556,5556,5556,5556
        };
    };
    public final static char defaultShift[] = DefaultShift.defaultShift;
    public final int defaultShift(int index) { return defaultShift[index]; }

    public interface Asb {
        public final static char asb[] = {0,
            2283,2336,3951,3200,1,2287,3200,2335,1499,3200,
            3200,4064,752,3200,3,1547,2287,2363,1492,1539,
            2314,3198,1497,3200,3200,2286,3,4087,1547,1547,
            2289,2289,2289,2289,2289,2289,2289,2289,2289,2289,
            2289,2289,1547,2289,2289,3185,2418,2418,4064,2434,
            3200,3200,3184,3184,3184,3185,3934,1547,2366,2287,
            3945,3945,3945,3200,3989,3200,1547,4019,1556,2286,
            3200,3950,1547,2443,4064,4064,2447,1547,1547,1547,
            1547,3953,1547,1542,3953,2418,1547,1547,1547,1547,
            1514,1547,1532,1547,1547,4064,3955,3200,746,746,
            746,1547,1547,1547,1547,1547,1547,1490,4055,3971,
            2289,4055,1526,1521,1547,4019,3200,2412,3200,4018,
            1547,4055,3,1556,3972,3200,3958,3200,1529,3960,
            1528,3967,1529,3200,1547,4056,2289,1547,3200,1509,
            1529,1547,3989,3976,3987,3989,3182,1547,4011,1547,
            2407,2289,2289,1546,2400,2349,2351,2350,1514,1547,
            1547,2298,3200,1545,1490,1490,1490,3185,3185,1547,
            2287,3200,1547,1525,4055,1547,1556,4092,3939,1546,
            3200,2359,2354,2289,3200,2289,1556,3196,4064,4064,
            1490,1518,1547,1490,1490,1528,3994,3991,3993,2416,
            3963,1528,2378,1547,2314,1490,1536,3200,3200,3180,
            1547,1546,2289,2287,2418,1490,4056,3999,2398,4002,
            1547,1547,2289,4005,1547,2316,1547,1547,3182,4009,
            3989,1529,1546,1490,3971,2366,4013,2412,4016,1547,
            1490,4056,1556,2329,2393,2395,2395,2395,2385,2320,
            1556,2388,1556,2366,3200,3958,1528,2386,1547,1529,
            2339,3200,4055,4041,2418,3989,1490,4023,4023,1529,
            1547,2379,2294,2376,2371,4025,1490,4028,2313,4030,
            4045,4045,4045,4045,4045,2289,4043,4043,4045,2289,
            4045,4058,4045,4064,4060,2311,1490,3178,3999,1546,
            2366,2382,2407,1547,2344,2346,4066,1547,1547,1547,
            2289,2289,2289,2289,2347,2317,2350,1547,3200,1490,
            1490,4055,3971,2289,1547,2354,2362,2314,1556,2418,
            3200,2366,2366,3200,3196,1528,2414,1490,3932,3932,
            3932,3932,2416,3200,1490,1490,3932,3932,1547,3200,
            4070,1490,746,746,746,746,746,746,4072,2289,
            746,4072,2289,746,746,746,746,4072,746,3200,
            2302,1490,1490,4074,3971,2418,1547,4055,2346,4066,
            1547,2286,3178,1484,1547,3971,1547,1547,3927,2291,
            2289,3200,757,1529,1547,2289,4077,2344,2344,2344,
            2380,2380,2374,748,1490,4055,4055,4055,2420,1490,
            4045,746,1490,4045,746,1490,2420,1490,1490,4045,
            2420,746,2289,2289,4080,2347,1547,4055,1487,2418,
            2366,4055,1547,2361,2289,2289,4083,4096,4098,4085,
            1546,1547,4105,1547,1546,1490,3994,1547,1519,2429,
            3200,4111,2418,746,746,746,1490,746,1490,746,
            1490,1490,746,1490,2425,2289,4007,2347,1488,2418,
            1547,1547,1547,2289,1547,4101,4055,3971,3200,4104,
            1490,1547,4055,3987,3200,2418,4111,2431,4064,4107,
            2428,2428,1490,1490,1490,2420,2420,2420,2289,1490,
            4113,4113,1546,4055,1547,4055,1547,1547,4055,3200,
            1490,1547,3200,3200,2418,1490,1490,1490,4055,1546,
            3200,4115,4050,3200,1547,4055,4053,1547,4054,734,
            2418
        };
    };
    public final static char asb[] = Asb.asb;
    public final int asb(int index) { return asb[index]; }

    public interface Asr {
        public final static char asr[] = {0,
            71,0,734,115,114,728,113,722,112,720,
            111,110,49,719,109,108,107,48,106,718,
            105,47,717,104,103,716,102,715,714,713,
            712,711,710,709,708,18,707,17,46,706,
            705,704,101,703,100,702,701,700,45,699,
            698,697,696,695,694,693,97,692,691,690,
            16,689,688,687,686,685,684,683,682,681,
            680,44,679,678,677,676,675,674,673,672,
            671,96,670,669,668,667,666,665,43,664,
            663,662,661,660,659,658,657,656,655,654,
            653,652,651,650,649,648,647,94,646,645,
            644,643,642,641,640,639,638,637,636,635,
            634,633,632,631,630,629,628,627,626,625,
            624,623,622,621,620,619,93,618,617,616,
            615,614,613,612,611,92,42,610,609,608,
            41,607,606,605,604,603,90,602,601,89,
            600,599,598,597,596,595,594,593,592,591,
            590,589,588,587,586,585,584,583,88,582,
            15,581,580,579,578,577,576,575,574,573,
            572,571,570,569,568,567,566,565,564,563,
            562,561,560,559,558,557,556,555,554,553,
            552,551,550,87,549,548,547,546,545,544,
            543,542,541,540,539,538,537,536,535,534,
            533,532,531,530,529,528,527,526,525,524,
            523,522,86,521,520,519,85,518,517,516,
            515,514,513,512,511,510,509,508,507,506,
            84,505,504,503,502,501,500,499,498,497,
            496,495,494,83,493,492,40,39,491,82,
            490,489,488,487,486,485,28,484,483,482,
            481,480,479,81,478,477,476,475,474,80,
            5,473,472,471,470,469,468,467,466,465,
            464,14,463,462,461,460,459,79,27,458,
            77,457,456,455,454,453,452,76,451,450,
            75,449,448,447,446,445,444,443,442,441,
            440,439,438,437,436,435,74,434,433,432,
            431,430,429,428,427,426,425,424,421,420,
            419,418,417,416,26,415,414,413,412,411,
            13,410,409,408,407,73,38,406,405,404,
            403,402,72,37,401,400,399,398,397,25,
            396,395,394,71,12,393,392,391,390,389,
            388,387,70,386,385,384,11,383,382,381,
            380,379,378,377,376,375,374,373,372,69,
            371,370,4,369,368,367,366,365,68,364,
            67,363,362,361,360,359,36,358,357,356,
            35,355,354,353,352,351,350,349,348,347,
            346,10,345,24,344,343,342,341,340,339,
            338,337,336,335,66,334,333,332,331,330,
            329,328,33,327,326,325,324,323,322,321,
            320,319,318,317,316,315,65,314,313,312,
            9,311,310,309,308,307,64,306,305,304,
            63,303,302,23,301,62,32,300,299,298,
            297,296,295,294,293,292,291,290,289,288,
            287,286,285,284,283,282,281,280,279,61,
            60,278,277,276,275,274,273,272,271,270,
            269,268,267,266,265,264,263,262,261,260,
            259,258,257,256,255,254,253,252,59,251,
            250,249,248,247,246,245,244,243,237,55,
            236,235,234,233,232,231,230,229,228,227,
            226,225,224,223,8,222,221,220,219,218,
            217,216,215,214,213,212,211,210,54,209,
            208,207,206,205,204,203,202,201,53,200,
            199,198,197,196,195,194,193,192,191,190,
            189,188,187,186,185,184,181,180,179,178,
            177,176,175,174,173,172,171,170,7,169,
            168,167,166,165,164,163,162,161,160,159,
            158,157,156,22,155,154,153,152,151,150,
            149,148,147,146,145,144,143,142,141,140,
            139,138,137,136,52,3,21,135,134,133,
            132,51,29,131,130,129,128,127,126,125,
            124,123,122,121,120,119,118,117,182,183,
            238,239,240,241,242,30,422,423,6,99,
            721,723,724,725,726,727,729,730,731,732,
            733,735,736,116,740,1,2,737,738,751,
            752,20,31,739,34,78,750,748,749,98,
            58,57,91,95,56,742,0,110,14,68,
            0,116,50,755,761,756,733,115,732,731,
            730,114,729,728,727,726,113,725,724,723,
            722,112,721,720,111,110,49,719,109,108,
            107,48,106,718,47,717,104,103,716,102,
            715,714,713,712,711,710,709,708,18,707,
            17,46,706,705,704,703,100,702,701,700,
            45,99,699,698,98,697,696,695,694,693,
            97,692,691,690,689,688,687,686,685,684,
            683,682,681,680,44,679,678,677,676,675,
            674,673,672,671,96,670,669,668,667,666,
            665,43,664,663,662,661,660,659,658,657,
            656,95,655,654,653,652,651,650,649,648,
            647,94,646,645,644,643,642,641,640,639,
            638,637,636,635,634,633,632,631,630,629,
            628,627,626,625,624,623,622,621,620,619,
            93,618,617,616,615,614,613,612,611,92,
            42,91,610,609,608,41,607,606,605,604,
            603,90,602,601,89,600,599,598,597,596,
            595,594,593,592,591,590,589,588,587,586,
            585,584,583,88,582,15,581,580,579,578,
            577,576,575,574,573,572,571,570,569,568,
            567,566,565,564,563,562,561,560,559,558,
            557,556,555,554,553,552,551,550,87,549,
            548,547,546,545,544,543,542,541,540,539,
            538,537,536,535,534,533,532,531,530,529,
            528,527,526,525,524,523,522,86,521,520,
            519,85,518,517,516,515,514,513,512,511,
            510,509,508,507,506,84,505,504,503,502,
            501,500,499,498,497,496,495,494,83,493,
            492,40,39,491,82,490,489,488,487,486,
            485,28,484,483,482,481,480,479,81,478,
            477,476,475,474,80,6,5,473,472,471,
            470,469,468,467,466,465,464,14,463,462,
            461,460,459,79,78,458,77,457,456,455,
            454,453,452,76,451,450,75,449,448,447,
            446,445,444,443,442,441,440,439,438,437,
            436,435,74,434,433,432,431,430,429,428,
            427,426,425,424,423,422,421,420,419,418,
            417,416,26,415,414,413,412,411,13,410,
            409,408,407,73,38,406,405,404,403,402,
            72,37,401,400,399,398,397,25,396,395,
            394,71,393,392,391,390,389,388,387,70,
            386,385,384,11,383,382,381,380,379,378,
            377,376,375,374,373,372,371,370,4,369,
            368,367,366,365,68,364,67,363,362,361,
            360,359,36,358,357,356,35,355,354,353,
            352,351,350,349,348,347,34,346,10,345,
            24,344,343,342,341,340,339,338,337,336,
            335,66,334,333,332,331,330,329,328,33,
            327,326,325,324,323,322,321,320,319,318,
            317,316,315,314,313,312,311,310,309,308,
            307,64,306,305,304,63,303,302,23,301,
            62,32,300,299,298,297,296,295,294,293,
            292,291,31,290,289,288,287,286,285,284,
            283,282,281,280,279,61,60,278,277,276,
            275,274,273,30,272,271,270,269,268,267,
            266,265,264,263,262,261,260,259,258,257,
            256,255,254,253,252,59,251,250,249,248,
            247,246,245,244,243,58,242,241,240,57,
            56,239,238,237,55,236,235,234,233,232,
            231,230,229,228,227,226,225,224,223,8,
            222,221,220,219,218,217,216,215,214,213,
            212,211,210,54,209,208,207,206,205,204,
            203,202,201,53,200,199,198,197,196,195,
            194,193,192,191,190,189,188,187,186,185,
            184,183,182,181,180,179,178,177,176,175,
            174,173,172,171,170,7,169,168,167,166,
            165,164,163,162,161,160,159,158,157,156,
            22,155,154,153,152,151,150,149,148,147,
            146,145,144,143,142,141,140,139,138,137,
            136,52,135,134,133,132,51,29,131,130,
            129,128,127,20,126,125,124,123,122,121,
            120,119,118,117,734,735,736,737,738,9,
            12,16,3,105,21,27,101,69,65,19,
            0,90,45,116,50,0,42,0,755,761,
            90,45,116,18,70,97,60,0,23,6,
            49,109,0,63,46,62,0,41,8,0,
            52,61,1,2,80,755,761,50,19,49,
            0,46,1,2,0,19,104,0,3,116,
            0,47,8,0,740,19,739,750,742,748,
            749,751,752,1,2,736,735,734,733,115,
            732,731,730,114,729,728,727,726,113,725,
            724,723,722,112,721,720,111,110,49,719,
            109,108,107,48,106,718,105,47,717,104,
            103,716,102,715,714,713,712,711,710,709,
            708,707,17,46,706,705,704,101,703,100,
            702,701,700,99,699,698,98,697,696,695,
            694,693,692,691,690,16,689,688,687,686,
            685,684,683,682,681,680,44,679,678,677,
            676,675,674,673,672,671,96,670,669,668,
            667,666,665,43,664,663,662,661,660,659,
            658,657,656,95,655,654,653,652,651,650,
            649,648,647,94,646,645,644,643,642,641,
            640,639,638,637,636,635,634,633,632,631,
            630,629,628,627,626,625,624,623,622,621,
            620,619,93,618,617,616,615,614,613,612,
            611,92,42,91,610,609,608,41,607,606,
            605,604,603,602,601,89,600,599,598,597,
            596,595,594,593,592,591,590,589,588,587,
            586,585,584,583,88,582,15,581,580,579,
            578,577,576,575,574,573,572,571,570,569,
            568,567,566,565,564,563,562,561,560,559,
            558,557,556,555,554,553,552,551,550,87,
            549,548,547,546,545,544,543,542,541,540,
            539,538,537,536,535,534,533,532,531,530,
            529,528,527,526,525,524,523,522,86,521,
            520,519,85,518,517,516,515,514,513,512,
            511,510,509,508,507,506,84,505,504,503,
            502,501,500,499,498,497,496,495,494,83,
            493,492,40,39,491,82,490,489,488,487,
            486,485,28,484,483,482,481,480,479,81,
            478,477,476,475,474,80,6,5,473,472,
            471,470,469,468,467,466,465,464,14,463,
            462,461,460,459,79,78,27,458,77,457,
            456,455,454,453,452,76,451,450,75,449,
            448,447,446,445,444,443,442,441,440,439,
            438,437,436,435,74,434,433,432,431,430,
            429,428,427,426,425,424,423,422,421,420,
            419,418,417,416,26,415,414,413,412,411,
            13,410,409,408,407,73,38,406,405,404,
            403,402,72,37,401,400,399,398,397,25,
            396,395,394,71,12,393,392,391,390,389,
            388,387,386,385,384,11,383,382,381,380,
            379,378,377,376,375,374,373,372,69,371,
            370,4,369,368,367,366,365,68,364,67,
            363,362,361,360,359,36,358,357,356,35,
            355,354,353,352,351,350,349,348,347,34,
            346,10,345,24,344,343,342,341,340,339,
            338,337,336,335,66,334,333,332,331,330,
            329,328,33,327,326,325,324,323,322,321,
            320,319,318,317,316,315,65,314,313,312,
            9,311,310,309,308,307,64,306,305,304,
            63,303,302,23,301,62,32,300,299,298,
            297,296,295,294,293,292,291,31,290,289,
            288,287,286,285,284,283,282,281,280,279,
            61,278,277,276,275,274,273,30,272,271,
            270,269,268,267,266,265,264,263,262,261,
            260,259,258,257,256,255,254,253,252,59,
            251,250,249,248,247,246,245,244,243,58,
            242,241,240,57,56,239,238,237,55,236,
            235,234,233,232,231,230,229,228,227,226,
            225,224,223,8,222,221,220,219,218,217,
            216,215,214,213,212,211,210,54,209,208,
            207,206,205,204,203,202,201,53,200,199,
            198,197,196,195,194,193,192,191,190,189,
            188,187,186,185,184,183,182,181,180,179,
            178,177,176,175,174,173,172,171,170,7,
            169,168,167,166,165,164,163,162,161,160,
            159,158,157,156,22,155,154,153,152,151,
            150,149,148,147,146,145,144,143,142,141,
            140,139,138,137,136,52,3,21,135,134,
            133,132,51,29,131,130,129,128,127,20,
            126,125,124,123,122,121,120,119,118,117,
            737,738,70,97,60,18,45,90,116,0,
            53,109,0,23,6,7,0,49,19,40,
            0,30,65,69,84,101,105,50,757,759,
            21,27,19,7,0,5,44,33,0,10,
            11,37,13,28,15,17,50,116,9,36,
            12,16,19,35,40,761,755,0,49,19,
            103,23,107,6,0,64,1,2,25,29,
            28,43,39,37,11,13,15,10,35,17,
            50,36,40,755,761,16,12,9,19,0,
            1,2,3,53,7,19,50,49,6,23,
            0,19,109,0,739,114,0,11,13,15,
            10,19,37,0,37,83,0,50,19,1,
            2,5,4,22,26,25,743,747,745,744,
            746,741,0,112,0,30,14,739,0,19,
            72,74,34,0,758,760,0,106,14,48,
            19,32,0,19,743,741,744,745,746,747,
            755,761,740,753,754,756,735,734,733,115,
            732,731,730,114,729,728,727,726,113,725,
            724,723,722,112,721,720,111,110,49,719,
            109,108,107,48,106,718,105,47,717,104,
            103,716,102,715,714,713,712,711,710,709,
            708,18,707,17,706,705,704,101,703,100,
            702,701,700,45,99,699,698,98,697,696,
            695,694,693,97,692,691,690,16,689,688,
            687,686,685,684,683,682,681,680,44,679,
            678,677,676,675,674,673,672,671,96,670,
            669,668,667,666,665,43,664,663,662,661,
            660,659,658,657,656,95,655,654,653,652,
            651,650,649,648,647,94,646,645,644,643,
            642,641,640,639,638,637,636,635,634,633,
            632,631,630,629,628,627,626,625,624,623,
            622,621,620,619,93,618,617,616,615,614,
            613,612,611,92,42,91,610,609,608,41,
            607,606,605,604,603,90,602,601,89,600,
            599,598,597,596,595,594,593,592,591,590,
            589,588,587,586,585,584,583,88,582,15,
            581,580,579,578,577,576,575,574,573,572,
            571,570,569,568,567,566,565,564,563,562,
            561,560,559,558,557,556,555,554,553,552,
            551,550,87,549,548,547,546,545,544,543,
            542,541,540,539,538,537,536,535,534,533,
            532,531,530,529,528,527,526,525,524,523,
            522,86,521,520,519,85,518,517,516,515,
            514,513,512,511,510,509,508,507,506,84,
            505,504,503,502,501,500,499,498,497,496,
            495,494,83,493,492,40,39,491,82,490,
            489,488,487,486,485,28,484,483,482,481,
            480,479,81,478,477,476,475,474,80,6,
            5,473,472,471,470,469,468,467,466,465,
            464,14,463,462,461,460,459,79,78,27,
            458,77,457,456,455,454,453,452,76,451,
            450,75,449,448,447,446,445,444,443,442,
            441,440,439,438,437,436,435,74,434,433,
            432,431,430,429,428,427,426,425,424,423,
            422,421,420,419,418,417,416,26,415,414,
            413,412,411,13,410,409,408,407,73,38,
            406,405,404,403,402,72,37,401,400,399,
            398,397,25,396,395,394,71,12,393,392,
            391,390,389,388,387,70,386,385,384,11,
            383,382,381,380,379,378,377,376,375,374,
            373,372,69,371,370,4,369,368,367,366,
            365,68,364,67,363,362,361,360,359,36,
            358,357,356,35,355,354,353,352,351,350,
            349,348,347,34,346,10,345,344,343,342,
            341,340,339,338,337,336,335,66,334,333,
            332,331,330,329,328,33,327,326,325,324,
            323,322,321,320,319,318,317,316,315,65,
            314,313,312,9,311,310,309,308,307,64,
            306,305,304,303,302,23,301,32,300,299,
            298,297,296,295,294,293,292,291,31,290,
            289,288,287,286,285,284,283,282,281,280,
            279,61,60,278,277,276,275,274,273,30,
            272,271,270,269,268,267,266,265,264,263,
            262,261,260,259,258,257,256,255,254,253,
            252,59,251,250,249,248,247,246,245,244,
            243,58,242,241,240,57,56,239,238,237,
            55,236,235,234,233,232,231,230,229,228,
            227,226,225,224,223,8,222,221,220,219,
            218,217,216,215,214,213,212,211,210,54,
            209,208,207,206,205,204,203,202,201,53,
            200,199,198,197,196,195,194,193,192,191,
            190,189,188,187,186,185,184,183,182,181,
            180,179,178,177,176,175,174,173,172,171,
            170,7,169,168,167,166,165,164,163,162,
            161,160,159,158,157,156,22,155,154,153,
            152,151,150,149,148,147,146,145,144,143,
            142,141,140,139,138,137,136,52,21,135,
            134,133,132,51,29,131,130,129,128,127,
            20,126,125,124,123,122,121,120,119,118,
            117,736,50,737,738,24,3,62,46,1,
            2,63,0,116,740,1,2,753,743,741,
            744,745,746,747,754,19,50,755,761,736,
            735,734,733,115,732,731,730,114,729,728,
            727,726,113,725,724,723,722,112,721,720,
            111,110,49,719,109,108,107,48,106,718,
            105,47,717,104,103,716,102,715,714,713,
            712,711,710,709,708,18,707,17,46,706,
            705,704,101,703,100,702,701,700,45,99,
            699,698,98,697,696,695,694,693,97,692,
            691,690,16,689,688,687,686,685,684,683,
            682,681,680,44,679,678,677,676,675,674,
            673,672,671,96,670,669,668,667,666,665,
            43,664,663,662,661,660,659,658,657,656,
            95,655,654,653,652,651,650,649,648,647,
            94,646,645,644,643,642,641,640,639,638,
            637,636,635,634,633,632,631,630,629,628,
            627,626,625,624,623,622,621,620,619,93,
            618,617,616,615,614,613,612,611,92,42,
            91,610,609,608,41,607,606,605,604,603,
            90,602,601,89,600,599,598,597,596,595,
            594,593,592,591,590,589,588,587,586,585,
            584,583,88,582,581,580,579,578,577,576,
            575,574,573,572,571,570,569,568,567,566,
            565,564,563,562,561,560,559,558,557,556,
            555,554,553,552,551,550,87,549,548,547,
            546,545,544,543,542,541,540,539,538,537,
            536,535,534,533,532,531,530,529,528,527,
            526,525,524,523,522,86,521,520,519,85,
            518,517,516,515,514,513,512,511,510,509,
            508,507,506,84,505,504,503,502,501,500,
            499,498,497,496,495,494,83,493,492,40,
            39,491,82,490,489,488,487,486,485,484,
            483,482,481,480,479,81,478,477,476,475,
            474,80,6,5,473,472,471,470,469,468,
            467,466,465,464,14,463,462,461,460,459,
            79,78,27,458,77,457,456,455,454,453,
            452,76,451,450,75,449,448,447,446,445,
            444,443,442,441,440,439,438,437,436,435,
            74,434,433,432,431,430,429,428,427,426,
            425,424,423,422,421,420,419,418,417,416,
            26,415,414,413,412,411,410,409,408,407,
            73,38,406,405,404,403,402,72,401,400,
            399,398,397,25,396,395,394,71,12,393,
            392,391,390,389,388,387,70,386,385,384,
            383,382,381,380,379,378,377,376,375,374,
            373,372,69,371,370,4,369,368,367,366,
            365,68,364,67,363,362,361,360,359,36,
            358,357,356,35,355,354,353,352,351,350,
            349,348,347,34,346,345,24,344,343,342,
            341,340,339,338,337,336,335,66,334,333,
            332,331,330,329,328,33,327,326,325,324,
            323,322,321,320,319,318,317,316,315,65,
            314,313,312,9,311,310,309,308,307,64,
            306,305,304,63,303,302,23,301,62,32,
            300,299,298,297,296,295,294,293,292,291,
            31,290,289,288,287,286,285,284,283,282,
            281,280,279,61,60,278,277,276,275,274,
            273,30,272,271,270,269,268,267,266,265,
            264,263,262,261,260,259,258,257,256,255,
            254,253,252,59,251,250,249,248,247,246,
            245,244,243,58,242,241,240,57,56,239,
            238,237,55,236,235,234,233,232,231,230,
            229,228,227,226,225,224,223,8,222,221,
            220,219,218,217,216,215,214,213,212,211,
            210,54,209,208,207,206,205,204,203,202,
            201,53,200,199,198,197,196,195,194,193,
            192,191,190,189,188,187,186,185,184,183,
            182,181,180,179,178,177,176,175,174,173,
            172,171,170,7,169,168,167,166,165,164,
            163,162,161,160,159,158,157,156,22,155,
            154,153,152,151,150,149,148,147,146,145,
            144,143,142,141,140,139,138,137,136,52,
            3,21,135,134,133,132,51,29,131,130,
            129,128,127,20,126,125,124,123,122,121,
            120,119,118,117,737,738,37,11,13,15,
            10,28,0,9,12,40,16,19,50,755,
            761,1,2,0,90,45,116,20,0,50,
            24,0,79,0,756,116,0,740,0,49,
            1,2,19,86,94,0,3,40,104,49,
            50,1,2,19,0,54,59,67,75,76,
            77,89,102,740,753,754,1,2,3,0,
            1,2,3,49,19,82,50,0,39,19,
            0,5,6,0,22,26,4,0,1,2,
            43,0,66,73,0,1,2,50,755,761,
            17,0,111,0,99,87,0,96,0,21,
            7,65,69,27,84,101,105,19,50,85,
            30,0,100,38,65,69,101,105,116,7,
            21,27,30,84,19,50,0,38,0,21,
            27,7,19,756,0,1,2,29,0,115,
            0,81,0,51,93,0,6,14,0,5,
            4,0,1,2,18,36,9,12,40,16,
            19,755,761,50,0,92,0,18,50,0,
            55,88,0,50,53,0,32,14,19,756,
            48,0,113,0,108,0
        };
    };
    public final static char asr[] = Asr.asr;
    public final int asr(int index) { return asr[index]; }

    public interface Nasb {
        public final static char nasb[] = {0,
            239,8,8,7,8,140,236,17,239,7,
            100,8,8,7,13,6,140,31,8,96,
            8,100,8,41,41,27,6,8,6,6,
            8,8,8,8,8,8,8,8,8,8,
            8,8,220,8,8,8,8,8,8,8,
            7,146,8,8,8,9,8,4,31,62,
            8,8,8,40,8,184,6,53,23,239,
            6,8,4,8,8,8,152,6,6,6,
            6,8,108,113,8,29,6,86,6,6,
            79,35,88,111,6,8,8,7,121,71,
            121,6,6,6,6,6,6,8,8,8,
            8,8,8,84,35,53,6,8,41,8,
            6,8,6,126,8,41,8,75,67,8,
            67,8,67,33,6,8,8,6,19,64,
            67,6,8,8,8,8,8,6,8,103,
            55,8,8,1,55,8,8,8,50,6,
            6,17,58,13,8,8,8,9,9,6,
            140,129,6,191,8,6,92,8,8,3,
            6,53,157,8,177,8,125,177,8,8,
            8,82,6,8,8,144,60,8,150,201,
            159,167,165,6,21,8,90,7,7,8,
            6,1,106,140,29,8,8,8,55,8,
            6,6,73,8,6,155,35,35,8,8,
            8,67,6,8,8,31,8,8,8,6,
            8,8,126,182,8,189,189,189,108,96,
            117,157,125,31,41,8,169,109,6,67,
            171,33,8,8,187,8,8,8,8,67,
            6,163,134,8,180,8,8,8,180,8,
            8,8,8,8,8,8,8,8,8,8,
            8,8,8,8,8,8,8,8,8,224,
            31,64,8,6,8,173,8,4,6,6,
            73,73,73,73,8,155,8,6,115,8,
            8,8,8,8,6,157,197,8,126,161,
            7,31,31,177,177,69,193,8,8,8,
            8,8,186,123,8,8,8,8,6,7,
            8,8,8,8,8,8,8,8,8,8,
            8,8,8,8,8,8,8,8,8,7,
            142,8,8,8,8,8,6,8,173,8,
            4,239,8,195,138,8,35,6,157,131,
            8,177,177,67,6,8,8,8,8,8,
            8,8,180,15,8,8,8,8,204,8,
            8,8,8,8,8,8,204,8,8,8,
            204,8,73,73,8,8,6,8,210,199,
            31,8,136,8,8,8,8,8,8,8,
            4,35,8,6,6,8,60,228,8,43,
            7,8,175,8,8,8,8,8,8,8,
            8,8,8,8,206,73,8,8,212,8,
            6,6,6,8,6,8,8,8,45,8,
            8,6,8,8,77,98,8,48,8,8,
            218,218,8,8,8,204,204,204,73,8,
            8,8,4,8,4,8,6,6,8,115,
            8,232,7,7,214,8,8,8,8,4,
            57,8,180,177,6,8,208,6,216,11,
            8
        };
    };
    public final static char nasb[] = Nasb.nasb;
    public final int nasb(int index) { return nasb[index]; }

    public interface Nasr {
        public final static char nasr[] = {0,
            40,56,72,33,32,5,1,0,100,0,
            169,0,128,0,227,0,137,0,223,0,
            67,0,188,5,1,0,174,0,156,0,
            57,0,147,0,56,40,5,1,0,145,
            31,0,231,0,4,226,0,213,0,117,
            119,0,99,0,97,0,159,4,0,148,
            0,37,0,151,150,0,58,0,200,0,
            186,0,3,0,163,0,232,0,117,118,
            0,192,0,176,0,193,0,165,0,211,
            0,5,1,143,0,136,0,233,0,35,
            125,0,5,1,42,40,0,149,103,0,
            195,0,146,0,74,0,44,2,5,0,
            141,0,220,0,44,71,1,0,124,0,
            104,209,0,207,0,33,32,5,1,44,
            0,167,0,205,0,2,5,182,0,194,
            0,35,175,0,116,0,92,0,222,0,
            225,0,224,0,53,0,196,0,198,0,
            204,0,135,0,230,0,35,54,0,95,
            0,178,0,166,0,157,105,0,102,0,
            180,0,199,0,202,0,179,0,203,0,
            105,219,0,63,0,168,0,177,0,208,
            0,197,0,214,0,210,0,154,0,5,
            1,164,0,5,1,72,0,5,1,217,
            0,5,1,155,0,31,189,0,32,33,
            0
        };
    };
    public final static char nasr[] = Nasr.nasr;
    public final int nasr(int index) { return nasr[index]; }

    public interface TerminalIndex {
        public final static char terminalIndex[] = {0,
            9,11,50,316,441,442,87,143,247,286,
            332,344,368,430,562,684,709,711,5,37,
            49,72,234,284,349,374,422,456,43,199,
            220,231,265,288,298,302,355,362,465,466,
            592,597,656,673,698,708,725,729,734,10,
            44,51,119,129,158,162,163,167,177,206,
            207,232,237,241,251,273,308,310,319,336,
            345,356,363,394,410,413,420,423,424,443,
            449,463,469,482,496,500,529,564,583,586,
            596,598,607,636,646,663,688,694,697,702,
            704,720,722,723,726,728,730,731,732,735,
            736,739,744,749,753,4,27,28,29,30,
            31,32,33,34,35,36,38,39,40,41,
            42,45,46,47,48,52,53,54,55,56,
            57,58,59,60,61,62,63,64,65,66,
            67,68,69,70,71,73,74,75,76,77,
            78,79,80,81,82,83,84,85,86,88,
            89,90,91,92,93,94,95,96,97,98,
            99,100,101,102,103,104,105,106,107,108,
            109,110,111,112,113,114,115,116,117,118,
            120,121,122,123,124,125,126,127,128,130,
            131,132,133,134,135,136,137,138,139,140,
            141,142,144,145,146,147,148,149,150,151,
            152,153,154,155,156,157,159,160,161,164,
            165,166,168,169,170,171,172,173,174,175,
            176,178,179,180,181,182,183,184,185,186,
            187,188,189,190,191,192,193,194,195,196,
            197,198,200,201,202,203,204,205,208,209,
            210,211,212,213,214,215,216,217,218,219,
            221,222,223,224,225,226,227,228,229,230,
            233,235,236,238,239,240,242,243,244,245,
            246,248,249,250,252,253,254,255,256,257,
            258,259,260,261,262,263,264,266,267,268,
            269,270,271,272,274,275,276,277,278,279,
            280,281,282,283,285,287,289,290,291,292,
            293,294,295,296,297,299,300,301,303,304,
            305,306,307,309,311,312,313,314,315,317,
            318,320,321,322,323,324,325,326,327,328,
            329,330,331,333,334,335,337,338,339,340,
            341,342,343,346,347,348,350,351,352,353,
            354,357,358,359,360,361,364,365,366,367,
            369,370,371,372,373,375,376,377,378,379,
            380,381,382,383,384,385,386,387,388,389,
            390,391,392,393,395,396,397,398,399,400,
            401,402,403,404,405,406,407,408,409,411,
            412,414,415,416,417,418,419,421,425,426,
            427,428,429,431,432,433,434,435,436,437,
            438,439,440,444,445,446,447,448,450,451,
            452,453,454,455,457,458,459,460,461,462,
            464,467,468,470,471,472,473,474,475,476,
            477,478,479,480,481,483,484,485,486,487,
            488,489,490,491,492,493,494,495,497,498,
            499,501,502,503,504,505,506,507,508,509,
            510,511,512,513,514,515,516,517,518,519,
            520,521,522,523,524,525,526,527,528,530,
            531,532,533,534,535,536,537,538,539,540,
            541,542,543,544,545,546,547,548,549,550,
            551,552,553,554,555,556,557,558,559,560,
            561,563,565,566,567,568,569,570,571,572,
            573,574,575,576,577,578,579,580,581,582,
            584,585,587,588,589,590,591,593,594,595,
            599,600,601,602,603,604,605,606,608,609,
            610,611,612,613,614,615,616,617,618,619,
            620,621,622,623,624,625,626,627,628,629,
            630,631,632,633,634,635,637,638,639,640,
            641,642,643,644,645,647,648,649,650,651,
            652,653,654,655,657,658,659,660,661,662,
            664,665,666,667,668,669,670,671,672,674,
            675,676,677,678,679,680,681,682,683,685,
            686,687,689,690,691,692,693,695,696,699,
            700,701,703,705,706,707,710,712,713,714,
            715,716,717,718,719,721,724,727,733,737,
            738,740,741,742,743,745,746,747,748,750,
            751,752,754,755,756,757,761,762,772,8,
            17,764,16,18,20,21,22,766,767,771,
            777,778,13,23,776,12,758,759,779,780,
            2,6,7,14,15,19,760,24,25,763,
            765,768,769,770,773,774,775,781,3
        };
    };
    public final static char terminalIndex[] = TerminalIndex.terminalIndex;
    public final int terminalIndex(int index) { return terminalIndex[index]; }

    public interface NonterminalIndex {
        public final static char nonterminalIndex[] = {0,
            785,831,787,803,0,806,0,0,0,817,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,815,1,
            807,828,0,819,0,816,837,0,0,841,
            0,794,0,814,0,0,0,0,0,0,
            0,0,867,788,791,792,836,0,790,832,
            844,789,0,0,0,854,869,0,847,0,
            855,0,798,802,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,818,
            823,0,846,0,0,875,786,811,0,813,
            829,0,864,868,878,883,0,0,0,783,
            0,0,0,0,0,793,0,797,799,800,
            801,0,0,804,0,812,0,0,0,0,
            821,824,0,826,0,0,0,0,833,835,
            842,845,850,851,853,859,860,0,0,0,
            865,866,0,0,872,874,877,881,887,0,
            0,782,784,795,796,805,808,809,810,820,
            822,825,827,0,0,0,0,0,0,0,
            830,834,838,839,840,843,848,849,852,856,
            857,858,0,0,0,0,0,0,861,0,
            862,0,863,0,0,0,0,0,0,0,
            0,0,0,870,0,0,871,873,876,879,
            880,0,882,884,885,886,888,0,0,889,
            890,891,892,0,0,0,0,0
        };
    };
    public final static char nonterminalIndex[] = NonterminalIndex.nonterminalIndex;
    public final int nonterminalIndex(int index) { return nonterminalIndex[index]; }

    public interface ScopePrefix {
        public final static char scopePrefix[] = {
            58,33,46,144,1,40,82,122,295,315,
            24,14,9,53,67,72,77,285,310,350,
            158,240,251,251,88,105,169,173,329,364,
            368,134,202,202,228,333,109,188,128,131,
            155,166,177,141,307,321,372,141,341,347,
            357,131,131,128,128,118,198,100,100,183,
            100,100,324,100,100,100,100,100,100,100,
            100,100,100,100
        };
    };
    public final static char scopePrefix[] = ScopePrefix.scopePrefix;
    public final int scopePrefix(int index) { return scopePrefix[index]; }

    public interface ScopeSuffix {
        public final static char scopeSuffix[] = {
            7,7,7,151,7,7,7,7,7,7,
            30,20,7,7,7,7,7,7,7,355,
            163,232,256,266,93,7,7,7,7,355,
            7,138,206,209,232,337,113,192,7,7,
            7,7,7,7,7,7,7,138,344,344,
            360,375,380,260,271,120,200,102,180,185,
            212,278,326,215,219,281,385,389,393,223,
            235,290,245,301
        };
    };
    public final static char scopeSuffix[] = ScopeSuffix.scopeSuffix;
    public final int scopeSuffix(int index) { return scopeSuffix[index]; }

    public interface ScopeLhs {
        public final static char scopeLhs[] = {
            22,25,23,69,28,24,17,145,45,13,
            26,71,27,52,21,19,20,45,130,8,
            68,46,45,45,18,199,65,65,43,8,
            56,70,178,178,46,9,14,38,144,40,
            69,93,3,37,131,10,56,70,119,118,
            8,41,41,45,45,69,32,155,51,50,
            48,45,72,48,47,45,41,41,41,47,
            46,45,46,45
        };
    };
    public final static char scopeLhs[] = ScopeLhs.scopeLhs;
    public final int scopeLhs(int index) { return scopeLhs[index]; }

    public interface ScopeLa {
        public final static char scopeLa[] = {
            19,19,19,19,19,19,19,19,19,19,
            6,53,19,19,19,19,19,19,19,63,
            28,29,19,19,3,19,19,19,19,63,
            19,19,18,18,29,3,3,24,19,19,
            19,19,19,19,19,19,19,19,43,43,
            46,19,19,50,50,3,90,3,741,741,
            25,4,50,25,26,5,741,741,741,5,
            22,4,5,5
        };
    };
    public final static char scopeLa[] = ScopeLa.scopeLa;
    public final int scopeLa(int index) { return scopeLa[index]; }

    public interface ScopeStateSet {
        public final static char scopeStateSet[] = {
            60,60,60,28,60,60,60,149,136,60,
            60,28,60,136,60,60,60,136,16,60,
            28,136,136,136,60,19,12,12,136,60,
            137,28,21,21,136,60,60,152,146,37,
            28,7,51,152,1,60,137,28,34,48,
            60,136,136,136,136,28,163,4,136,136,
            136,136,23,136,136,136,136,136,136,136,
            136,136,136,136
        };
    };
    public final static char scopeStateSet[] = ScopeStateSet.scopeStateSet;
    public final int scopeStateSet(int index) { return scopeStateSet[index]; }

    public interface ScopeRhs {
        public final static char scopeRhs[] = {0,
            990,845,972,116,736,0,5,0,837,869,
            116,735,0,988,1004,928,116,734,0,119,
            886,5,0,985,929,935,116,732,0,884,
            5,0,837,975,1002,79,116,731,0,1001,
            869,925,116,730,0,837,927,1000,928,116,
            729,0,929,935,116,728,0,837,979,977,
            984,926,79,116,727,0,837,845,116,726,
            0,837,869,116,724,0,837,997,116,725,
            0,837,916,845,116,721,0,845,974,116,
            733,0,50,802,0,0,0,5,0,809,
            0,50,785,0,996,116,112,0,969,116,
            723,0,50,857,0,5,0,850,0,832,
            0,823,116,3,915,810,0,815,116,0,
            851,116,0,823,116,657,0,5,832,0,
            823,116,0,908,116,780,784,116,657,0,
            5,5,832,0,848,116,0,848,37,871,
            848,0,456,798,0,921,116,0,880,116,
            88,0,880,116,55,0,811,116,0,786,
            1,0,819,0,786,841,0,962,907,90,
            0,284,839,0,0,0,0,812,0,814,
            0,880,7,35,0,711,564,0,711,158,
            0,349,442,0,349,441,442,0,374,1,
            0,0,441,374,1,0,0,809,22,809,
            0,43,1,0,72,1,43,1,0,809,
            22,5,809,0,441,72,1,43,1,0,
            809,50,815,116,0,5,316,787,0,10,
            1,5,316,787,0,5,441,316,787,0,
            10,1,5,441,316,787,0,316,787,0,
            441,316,787,0,815,116,4,809,0,316,
            4,816,5,0,815,116,4,5,809,0,
            441,316,4,816,5,0,950,116,0,949,
            116,92,356,0,908,907,116,780,784,0,
            809,116,0,815,0,10,1,0,823,116,
            318,0,899,116,183,0,50,801,5,0,
            809,46,0,656,1,0,852,46,0,896,
            944,809,182,0,237,0,809,182,0,796,
            0,237,0,896,943,182,0,841,116,5,
            0,841,116,0,5,17,607,787,0,5,
            17,44,787,0,786,37,787,0,786,607,
            787,0,786,44,787,0
        };
    };
    public final static char scopeRhs[] = ScopeRhs.scopeRhs;
    public final int scopeRhs(int index) { return scopeRhs[index]; }

    public interface ScopeState {
        public final static char scopeState[] = {0,
            1809,1505,0,4013,3268,0,2630,2154,2092,1147,
            0,2216,1809,1333,1505,1676,1147,0,1875,0,
            1714,0,3130,608,1941,535,0,866,4750,645,
            1200,4771,0,746,1068,0,903,829,1037,977,
            1802,608,535,1094,755,681,0,1014,2724,0,
            2027,2017,2016,2015,1896,1798,1656,1584,961,2216,
            1809,1333,4013,3371,1505,1742,3299,3951,2630,2154,
            2092,1676,3268,3231,2035,1597,1283,4510,3169,1147,
            1425,2567,4479,2511,4448,4417,4386,4355,2449,4324,
            3130,3914,3072,3878,3000,4293,4262,4231,4200,1978,
            3847,1941,4169,3811,4110,3780,4079,4048,3713,3682,
            2408,2968,2937,4571,4541,4630,4601,1844,1540,3615,
            2377,1901,3584,3517,2843,3486,3433,2786,2755,2340,
            2724,1475,1368,2308,2692,1094,903,829,1037,977,
            608,535,755,681,0,3433,2692,0,719,4669,
            0,1283,1425,4750,1183,1421,1200,1197,861,1180,
            972,0,1333,1742,3299,1597,1283,2256,2567,2449,
            608,1941,535,2786,639,2340,712,4698,0
        };
    };
    public final static char scopeState[] = ScopeState.scopeState;
    public final int scopeState(int index) { return scopeState[index]; }

    public interface InSymb {
        public final static char inSymb[] = {0,
            0,941,60,97,70,812,18,811,755,24,
            877,781,780,71,90,45,116,823,968,810,
            40,877,904,814,756,877,907,964,2,1,
            724,725,726,727,729,730,731,732,735,736,
            723,183,182,733,721,742,78,34,781,780,
            784,242,423,422,241,808,809,116,823,836,
            9,12,16,50,915,116,7,904,42,953,
            116,962,116,780,781,810,809,50,116,116,
            116,116,116,116,116,116,116,116,116,116,
            943,46,809,116,116,810,780,784,116,116,
            116,754,54,753,740,2,1,811,815,809,
            3,945,960,809,17,966,116,785,784,967,
            45,905,50,24,809,756,756,814,869,809,
            997,809,845,79,928,882,114,925,79,935,
            869,972,969,6,809,899,896,62,852,5,
            819,318,728,116,809,835,841,838,944,46,
            974,845,756,116,920,965,920,808,808,50,
            116,50,50,955,905,741,50,952,809,116,
            50,963,848,734,850,657,116,810,781,810,
            837,49,50,837,837,926,1000,809,875,116,
            869,1002,929,930,109,837,845,3,3,809,
            43,116,876,116,116,851,815,841,809,25,
            26,22,4,5,876,25,39,29,896,809,
            845,916,907,740,809,823,80,19,809,50,
            851,815,50,878,871,10,15,13,116,833,
            116,848,116,823,756,756,984,50,50,927,
            82,3,998,14,30,884,1001,94,86,975,
            50,985,832,931,809,7,990,104,970,295,
            335,270,271,476,193,700,188,189,254,701,
            355,157,161,781,780,853,900,809,841,116,
            823,935,19,50,5,809,809,116,26,22,
            4,20,93,51,809,5,838,43,3,837,
            908,815,809,741,50,848,957,35,37,928,
            784,823,823,19,810,977,50,837,107,6,
            23,103,50,3,837,1003,23,6,50,3,
            96,874,116,116,116,116,116,116,38,100,
            116,38,100,116,116,116,116,38,116,756,
            21,851,929,741,809,64,29,815,809,809,
            116,116,809,853,116,809,36,7,848,1004,
            780,19,19,979,50,112,28,28,28,28,
            28,28,780,115,742,742,742,742,742,742,
            81,116,742,81,116,742,742,742,742,81,
            742,946,93,51,19,809,29,815,981,105,
            823,815,116,951,88,55,809,356,880,813,
            116,28,988,883,116,837,980,116,14,1006,
            68,14,110,50,50,50,842,116,742,116,
            742,842,116,842,742,4,5,809,987,101,
            50,116,116,92,50,18,921,809,53,931,
            908,50,996,809,32,48,14,1010,781,780,
            48,1009,742,742,742,742,742,742,4,976,
            65,69,116,880,116,880,116,50,1005,783,
            19,50,3,756,106,842,842,842,949,116,
            50,338,853,19,50,950,874,50,956,30,
            84
        };
    };
    public final static char inSymb[] = InSymb.inSymb;
    public final int inSymb(int index) { return inSymb[index]; }

    public interface Name {
        public final static String name[] = {
            "",
            "expression",
            "END-OF-COMMANDS",
            "Valid token",
            "(",
            ")",
            "\"",
            "'",
            "*",
            "+",
            ",",
            "-",
            ".",
            "/",
            ":",
            ";",
            "<",
            "=",
            ">",
            "?",
            "<>",
            ">=",
            "<=",
            "||",
            "..",
            "->",
            "$empty",
            "ACCESS",
            "ACCTNG",
            "ACTION",
            "ACTIVATE",
            "ADD",
            "ADMIN",
            "ADMINISTRATION",
            "AFTER",
            "AGE",
            "ALIAS",
            "ALL",
            "ALLOCATE",
            "ALLOW",
            "ALTER",
            "ALTERIN",
            "ALWAYS",
            "AND",
            "ANY",
            "APPEND",
            "APPL_ID",
            "APPL_NAME",
            "APPLNAME",
            "ARRAY",
            "AS",
            "ASC",
            "ASCII",
            "ASENSITIVE",
            "ASSIGNMENT",
            "ASSOCIATE",
            "AST",
            "ASUTIME",
            "AT",
            "ATOMIC",
            "ATTRIBUTE",
            "ATTRIBUTES",
            "AUTHORIZATION",
            "AUTH_ID",
            "AUTHID",
            "AUTOMATIC",
            "AUTOSTART",
            "AVAILABLE",
            "B",
            "BEFORE",
            "BEGIN",
            "BERNOULLI",
            "BETWEEN",
            "BIGINT",
            "BINARY",
            "BIND",
            "BINDADD",
            "BIT",
            "BLOB",
            "BLOCKED",
            "BLOCKSIZE",
            "BOTH",
            "BUFFER",
            "BUFFERPOOL",
            "BUFFERPOOLS",
            "BUFFERSIZE",
            "BUILD",
            "BY",
            "BYPASS",
            "C",
            "CACHE",
            "CACHING",
            "CALL",
            "CALLED",
            "CALLER",
            "CAPTURE",
            "CARDINALITIES",
            "CARDINALITY",
            "CASCADE",
            "CASCADED",
            "CASE",
            "CAST",
            "CCSID",
            "CHANGE",
            "CHANGED",
            "CHANGES",
            "CHAR",
            "CHARACTER",
            "CHECK",
            "CHECKED",
            "CLIENT",
            "CLOB",
            "CLOSE",
            "CLR",
            "CLUSTER",
            "COBOL",
            "COLLECT",
            "COLLID",
            "COLUMN",
            "COLUMNS",
            "COMM",
            "COMMENT",
            "COMMIT",
            "COMMITTED",
            "COMPACT",
            "COMPARE",
            "COMPARISONS",
            "COMPRESS",
            "COMPRESSION",
            "CONCAT",
            "CONDITION",
            "CONN",
            "CONNECT",
            "CONNECTIONS",
            "CONNECTOPT",
            "CONNHEADER",
            "CONNMEMUSE",
            "CONSERVATIVE",
            "CONSTRAINT",
            "CONSTRAINTS",
            "CONSTRUCTOR",
            "CONTAINERS",
            "CONTAINS",
            "CONTENT",
            "CONTINUE",
            "CONTINUOUSLY",
            "CONTROL",
            "COPY",
            "COUNT",
            "COUNT_BIG",
            "CPU",
            "CREATE",
            "CREATE_EXTERNAL_ROUTINE",
            "CREATEIN",
            "CREATE_NOT_FENCED",
            "CREATE_NOT_FENCED_ROUTINE",
            "CREATETAB",
            "CS",
            "CUBE",
            "CURRENT",
            "CURRENT_DATE",
            "CURRENT_DEFAULT_TRANSFORM_GROU" +
            "P",
            "CURRENT_PATH",
            "CURRENT_ROLE",
            "CURRENT_TIME",
            "CURRENT_TIMESTAMP",
            "CURRENT_TRANSFORM_GROUP_FOR_TY" +
            "PE",
            "CURRENT_USER",
            "CURRVAL",
            "CURSOR",
            "CURSORS",
            "CYCLE",
            "DATA",
            "DATABASE",
            "DATALINK",
            "DATE",
            "DAY",
            "DAYS",
            "DB",
            "DBADM",
            "DBCLOB",
            "DBINFO",
            "DBMEMUSE",
            "DBPARTITIONNUM",
            "DBPARTITIONNUMS",
            "DB2DARI",
            "DB2GENRL",
            "DB2GENERAL",
            "DB2OPTIONS",
            "DB2SPL",
            "DB2SQL",
            "DB2_RETURN_STATUS",
            "DB2_TOKEN_STRING",
            "DEACTIVATE",
            "DEADLOCK",
            "DEADLOCKS",
            "DEC",
            "DECIMAL",
            "DECLARE",
            "DEFAULT",
            "DEFAULTS",
            "DEFINE",
            "DEFINITION",
            "DEGREE",
            "DEFER",
            "DEFERRED",
            "DELETE",
            "DESC",
            "DESCRIPTOR",
            "DETAILED",
            "DETAILS",
            "DETERMINED",
            "DETERMINISTIC",
            "DEVICE",
            "DIAGNOSTICS",
            "DIMENSIONS",
            "DIRTY",
            "DISABLE",
            "DISALLOW",
            "DISPATCH",
            "DISTINCT",
            "DISTRIBUTION",
            "DLCONN",
            "DLLOCK",
            "DO",
            "DOUBLE",
            "DROP",
            "DROPIN",
            "DROPPED",
            "DYNAMIC",
            "EACH",
            "ELEMENT",
            "ELSE",
            "ELSEIF",
            "EMPTY",
            "ENABLE",
            "ENCRYPTION",
            "END",
            "ENDING",
            "ENFORCED",
            "ERASE",
            "ESCAPE",
            "ESTIMATE",
            "EUR",
            "EVALUATE",
            "EVENT",
            "EXACT",
            "EXCEPT",
            "EXCEPTION",
            "EXCLUDE",
            "EXCLUDES",
            "EXCLUDING",
            "EXCLUSIVE",
            "EXECNODE",
            "EXECUTE",
            "EXISTS",
            "EXIT",
            "EXPAND",
            "EXPLAIN",
            "EXPRESSION",
            "EXTEND",
            "EXTENDED",
            "EXTENSION",
            "EXTENTSIZE",
            "EXTERNAL",
            "FALSE",
            "FEDERATED",
            "FEDERATED_TOOL",
            "FENCED",
            "FETCH",
            "FILE",
            "FILTER",
            "FINAL",
            "FIRST",
            "FLOAT",
            "FLUSH",
            "FOLLOWING",
            "FOR",
            "FORCE",
            "FOREIGN",
            "_FOREIGNKEY",
            "FOUND",
            "FREE",
            "FREEPAGE",
            "FROM",
            "FS",
            "FULL",
            "FUNCTION",
            "G",
            "GBPCACHE",
            "GENERAL",
            "GENERATE",
            "GENERATED",
            "GET",
            "GLOBAL",
            "GOTO",
            "GRANT",
            "GRAPHIC",
            "GROUP",
            "GROUPING",
            "HANDLER",
            "HASHING",
            "HAVING",
            "HIDDEN",
            "HIERARCHY",
            "HIGH",
            "HOLD",
            "HOUR",
            "HOURS",
            "HPJ",
            "ID",
            "IDENTITY",
            "IF",
            "IGNORE",
            "IMMEDIATE",
            "IMPLICIT_SCHEMA",
            "IN",
            "INCLUDE",
            "INCLUDES",
            "INCLUDING",
            "INCREMENT",
            "INCREMENTAL",
            "INDEX",
            "INDEXES",
            "INDICATOR",
            "INFIX",
            "INFO",
            "INHERIT",
            "INITIALLY",
            "INITIAL_INSTS",
            "INITIAL_IOS",
            "INLINE",
            "INNER",
            "INOUT",
            "INPUT",
            "INSENSITIVE",
            "INSERT",
            "INSTANTIABLE",
            "INSTEAD",
            "INSTS_PER_ARGBYTE",
            "INSTS_PER_INVOC",
            "INT",
            "INTEGER",
            "INTEGRITY",
            "INTERSECT",
            "INTO",
            "IO",
            "IOS_PER_ARGBYTE",
            "IOS_PER_INVOC",
            "IS",
            "ISO",
            "ITERATE",
            "ISOLATION",
            "JAVA",
            "JIS",
            "JOIN",
            "K",
            "KEEP",
            "KEY",
            "KEYS",
            "L",
            "LANGUAGE",
            "LARGE",
            "LAST",
            "LATERAL",
            "LC_CTYPE",
            "LEADING",
            "LEAVE",
            "LEFT",
            "LENGTH",
            "LEVEL",
            "LEVEL2",
            "LIBRARY",
            "LIBRARYADM",
            "LIKE",
            "LIMIT",
            "LINK",
            "LINKTYPE",
            "LOAD",
            "LOCAL",
            "LOCALE",
            "LOCALTIME",
            "LOCALTIMESTAMP",
            "LOCATOR",
            "LOCATORS",
            "LOCK",
            "LOCKS",
            "LOCKSIZE",
            "LOG",
            "LOGGED",
            "LONG",
            "LONGVAR",
            "LOOP",
            "LOW",
            "M",
            "MAIN_PROG",
            "MANAGED",
            "MANUALSTART",
            "MAPPING",
            "MATCHED",
            "MATERIALIZED",
            "MAXFILES",
            "MAXFILESIZE",
            "MAXVALUE",
            "MDC",
            "MERGE",
            "MESSAGE_TEXT",
            "METHOD",
            "METHODS",
            "MICROSECOND",
            "MICROSECONDS",
            "MINPCTUSED",
            "MINUTE",
            "MINUTES",
            "MINVALUE",
            "MIXED",
            "MODE",
            "MODIFIES",
            "MONITOR",
            "MONTH",
            "MONTHS",
            "MOVEMENT",
            "MULTISET",
            "N",
            "NAME",
            "NEW",
            "NEW_TABLE",
            "NEXT",
            "NEXTVAL",
            "NICKNAME",
            "NO",
            "NOCACHE",
            "NOCYCLE",
            "NODE",
            "NODES",
            "NODEGROUP",
            "NOMAXVALUE",
            "NOMINVALUE",
            "NONBLOCKED",
            "NONE",
            "NOORDER",
            "NOT",
            "NULL",
            "NULLS",
            "NUM",
            "NUMBLOCKPAGES",
            "NUMERIC",
            "NUM_FREQVALUES",
            "NUM_QUANTILES",
            "OBJECT",
            "OF",
            "OFF",
            "OLD",
            "OLD_TABLE",
            "OLE",
            "OLEDB",
            "ON",
            "ONCE",
            "ONLINE",
            "ONLY",
            "OPEN",
            "OPTIMIZATION",
            "OPTIMIZE",
            "OPTION",
            "OPTIONS",
            "OR",
            "ORDER",
            "ORGANIZE",
            "OUT",
            "OUTER",
            "OVER",
            "OVERFLOW",
            "OVERHEAD",
            "OVERRIDING",
            "P",
            "PACKAGE",
            "PAGE",
            "PAGESIZE",
            "PARALLEL",
            "PARAMETER",
            "PASSTHRU",
            "PASSWORD",
            "PATH",
            "PARTITION",
            "PARTITIONING",
            "PARTITIONINGS",
            "PATROLLER",
            "PCTDEACTIVATE",
            "PCTFREE",
            "PENDING",
            "PERCENT_ARGBYTES",
            "PERMISSION",
            "PIECESIZE",
            "PIPE",
            "PLAN",
            "PRECEDING",
            "PRECISION",
            "PREDICATES",
            "PREFETCHSIZE",
            "PREPARE",
            "PRESERVE",
            "PREVIOUS",
            "PREVVAL",
            "PRIMARY",
            "_PRIMARYKEY",
            "PRIQTY",
            "PRIVILEGES",
            "PROCEDURE",
            "PROFILE",
            "PROGRAM",
            "PROPAGATE",
            "PROTOCOL",
            "PRUNE",
            "PUBLIC",
            "QUERY",
            "QUERYNO",
            "QUERYTAG",
            "QUIESCE_CONNECT",
            "RANGE",
            "RATE",
            "RATIO",
            "READ",
            "READS",
            "REAL",
            "RECOMMEND",
            "RECONCILE",
            "RECOVERY",
            "RECREATE",
            "REDUCE",
            "REF",
            "REFERENCE",
            "REFERENCES",
            "REFERENCING",
            "REFRESH",
            "REGISTERS",
            "REGULAR",
            "RELEASE",
            "REMAIN",
            "REMOTE",
            "RENAME",
            "REOPT",
            "REPEATABLE",
            "REPEAT",
            "REPLACE",
            "REPLICATED",
            "REQUIRING",
            "RESET",
            "RESIDENT",
            "RESIGNAL",
            "RESIZE",
            "RESOLVE",
            "RESTART",
            "RESTORE",
            "RESTRICT",
            "RESULT",
            "RESULT_SET_LOCATOR",
            "RETAIN",
            "RETURN",
            "RETURNS",
            "RETURN_STATUS",
            "REVERSE",
            "REVOKE",
            "RIGHT",
            "ROLLBACK",
            "ROLLUP",
            "ROUTINE",
            "ROW",
            "ROW_COUNT",
            "ROWS",
            "RR",
            "RS",
            "RUN",
            "S",
            "SAMPLED",
            "SAVEPOINT",
            "SBCS",
            "SCANS",
            "SCHEMA",
            "SCOPE",
            "SCRATCHPAD",
            "SCROLL",
            "SEARCH",
            "SECOND",
            "SECONDS",
            "SECQTY",
            "SECURITYADM",
            "SELECT",
            "SELECTION",
            "SELECTIVE",
            "SELECTIVITY",
            "SELF",
            "SENSITIVE",
            "SEQUENCE",
            "SERIALIZABLE",
            "SERVER",
            "SESSION",
            "SESSION_USER",
            "SET",
            "SETS",
            "SETTING",
            "SHARE",
            "SHRLEVEL",
            "SIGNAL",
            "SIMPLE",
            "SIZE",
            "SMALLINT",
            "SNAPSHOT",
            "SOME",
            "SOURCE",
            "SPECIAL",
            "SPECIFIC",
            "SPECIFICATION",
            "SPLIT",
            "SQL",
            "SQLDATA",
            "SQLERROR",
            "SQLEXCEPTION",
            "SQLWARNING",
            "SQLID",
            "SQLMACRO",
            "SQLSTATE",
            "SSA",
            "STABILITY",
            "STAGING",
            "START",
            "STATE",
            "STATEMENT",
            "STATEMENTS",
            "STATIC",
            "STATISTICS",
            "STARTING",
            "STAY",
            "STMT",
            "STOGROUP",
            "STORAGE",
            "STORED",
            "STRIP",
            "STRIPE",
            "STYLE",
            "SUB",
            "SUBSECTION",
            "SUMMARY",
            "SWITCH",
            "SYMMETRIC",
            "SYNONYM",
            "SYSTEM",
            "SYSTEM_USER",
            "T",
            "TABLE",
            "TABLES",
            "TABLESAMPLE",
            "TABLESPACE",
            "TABLESPACES",
            "TARGET",
            "TEMPLATE",
            "TEMPORARY",
            "THEN",
            "THREADSAFE",
            "THROUGH",
            "TIME",
            "TIMEOUT",
            "TIMESTAMP",
            "TIMEZONE",
            "TO",
            "TOKEN",
            "TRAILING",
            "TRANSACTIONS",
            "TRANSFERRATE",
            "TRANSFORM",
            "TRANSFORMS",
            "TRANSLATE",
            "TREAT",
            "TRIGGER",
            "TRUE",
            "TRUNC",
            "TWOLEVEL",
            "TYPE",
            "TYPES",
            "UNBOUNDED",
            "UNCHECKED",
            "UNCOMMITTED",
            "UNDER",
            "UNDO",
            "UNICODE",
            "UNION",
            "UNIQUE",
            "UNLINK",
            "UNTIL",
            "UPDATE",
            "UR",
            "URL",
            "USA",
            "USE",
            "USAGE",
            "USER",
            "USERID",
            "USING",
            "VALUE",
            "VALUES",
            "VARCHAR",
            "VARGRAPHIC",
            "VARIANT",
            "VARYING",
            "VCAT",
            "VERSION",
            "VIEW",
            "VOLATILE",
            "WAIT",
            "WHEN",
            "WHERE",
            "WHILE",
            "WITH",
            "WITHOUT",
            "WORK",
            "WRAPPER",
            "WRITE",
            "WRKSTNNAME",
            "X",
            "XACT",
            "YEAR",
            "YEARS",
            "YES",
            "ABSENT",
            "ACCORDING",
            "BASE64",
            "DOCUMENT",
            "ENCODING",
            "HEX",
            "LOCATION",
            "NAMESPACE",
            "NIL",
            "ORDINALITY",
            "PASSING",
            "PI",
            "RETURNING",
            "URI",
            "WHITESPACE",
            "XML",
            "XMLAGG",
            "XMLATTRIBUTES",
            "XMLBINARY",
            "XMLCAST",
            "XMLCOMMENT",
            "XMLCONCAT",
            "XMLDECLARATION",
            "XMLDOCUMENT",
            "XMLELEMENT",
            "XMLEXISTS",
            "XMLFOREST",
            "XMLNAMESPACES",
            "XMLPARSE",
            "XMLPI",
            "XMLQUERY",
            "XMLSCHEMA",
            "XMLSERIALIZE",
            "XMLTABLE",
            "XMLTEXT",
            "XMLVALIDATE",
            "LEFT_BRACKET",
            "RIGHT_BRACKET",
            "VERTICAL_BAR",
            "REGULAR_IDENTIFIER",
            "DELIMITED_IDENTIFIER",
            "EMBEDDED_VARIABLE_NAME",
            "UNSIGNED_INTEGER",
            "SUFFIXED_UNSIGNED_INTEGER",
            "EXACT_NUMERIC_LITERAL",
            "APPROXIMATE_NUMERIC_LITERAL",
            "NATIONAL_CHAR_STRING_LITERAL",
            "NATIONAL_HEX_STRING_LITERAL",
            "BIT_STRING_LITERAL",
            "HEX_STRING_LITERAL",
            "CHAR_STRING_LITERAL",
            "COMMENT_STRING",
            "DELIMITED_TYPE_IDENTIFIER",
            "VERSION_IDENTIFIER",
            "STATEMENT_TERMINATOR",
            "HOSTVARIABLE",
            "PARAMETER_MARKER",
            "LEFT_BRACKET_TRIGRAPH",
            "RIGHT_BRACKET_TRIGRAPH",
            "EOLN",
            "<sql_dml_stmt_list>",
            "<sql_dml_stmt_xspan>",
            "<alias_name>",
            "<identifier>",
            "<relop>",
            "<subquery>",
            "<as_alias>",
            "<boolean_expression>",
            "<boolean_term>",
            "<boolean_factor>",
            "<boolean_primary>",
            "<boolean_values>",
            "<simplecomp>",
            "<case_search_when_list>",
            "<case_simple_when_list>",
            "<case_search_when>",
            "<condition>",
            "<case_simple_when>",
            "<cast_operand>",
            "<cast_target>",
            "<datatype>",
            "<column>",
            "<column_name>",
            "<column_name_list>",
            "<column_ref>",
            "<table>",
            "<left_bracket_or_trigraph>",
            "<right_bracket_or_trigraph>",
            "<default_option>",
            "<target_table>",
            "<target_column_list>",
            "<duration>",
            "<query_exp>",
            "<expression_term>",
            "<expression_commalist>",
            "<expression_factor>",
            "<string_value_expression>",
            "<grouping_exp>",
            "<grouping_sets_element_list>",
            "<grouping_sets_element>",
            "<grouping_sets_element_exp_lis" +
            "t>",
            "<grouping_sets_element_exp>",
            "<grouping_spec>",
            "<grouping_spec_list>",
            "<insert_row>",
            "<insert_row_commalist>",
            "<query_exp_root>",
            "<super_groups_element_list>",
            "<ordering_spec_commalist>",
            "<schema>",
            "<table_correlation>",
            "<ordering_spec>",
            "<path-resolved user-defined ty" +
            "pe name>",
            "<project>",
            "<query_combined_operator>",
            "<query_term>",
            "<selection>",
            "<table_ref_commalist>",
            "<values_row_commalist>",
            "<value_expr_row>",
            "<timestamp precision>",
            "<time precision>",
            "<super_groups_element_exp>",
            "<super_groups_element_exp_list" +
            ">",
            "<super_groups_element>",
            "<table_ref>",
            "<update_assignment_clause>",
            "<update_assignment_expression_" +
            "commalist>",
            "<update_assignment_expression>",
            "<values_row>",
            "<with_table_spec_list>",
            "<with_table_spec>",
            "<xml_value_expression>",
            "<xml_table>",
            "<xml_cast_operand>",
            "<xml_cast_target>",
            "<content_or_sequence>",
            "<document_or_content>",
            "<xml_QName>",
            "<xml_attributes>",
            "<xml_element_content_list>",
            "<xml_encoding_specification>",
            "<xml_namespaces_declaration>",
            "<xml_query_default_passing_mec" +
            "hanism>",
            "<xml_query_argument_list>",
            "<xml_returning_clause>",
            "<xml_passing_mechanism>",
            "<value_or_ref>",
            "<xml_valid_schema_location_uri" +
            ">",
            "<xml_attribute_list>",
            "<xml_attribute>",
            "<xml_concat_value_expression_l" +
            "ist>",
            "<xQuery_expression>",
            "<xml_element_content>",
            "<xml_namespace_list>",
            "<xml_namespace>",
            "<xml_namespace_uri>",
            "<xml_namespace_prefix>",
            "<xml_forest_element_list>",
            "<xml_forest_element>",
            "<xml_pi_target>",
            "<xml_query_argument>",
            "<xml_query_empty_handling_opti" +
            "on>",
            "<xml_table_row_pattern>",
            "<xml_table_column_definition_l" +
            "ist>",
            "<xml_table_column_definition>",
            "<xml_valid_according_to_what>",
            "<xml_valid_target_namespace_ur" +
            "i>",
            "<xml_valid_element_namespace_s" +
            "pecification>",
            "<xml_valid_element_name>",
            "<xml_valid_element_namespace_u" +
            "ri>"
        };
    };
    public final static String name[] = Name.name;
    public final String name(int index) { return name[index]; }

    public final static int
           ERROR_SYMBOL      = 779,
           SCOPE_UBOUND      = 73,
           SCOPE_SIZE        = 74,
           MAX_NAME_LENGTH   = 43;

    public final int getErrorSymbol() { return ERROR_SYMBOL; }
    public final int getScopeUbound() { return SCOPE_UBOUND; }
    public final int getScopeSize() { return SCOPE_SIZE; }
    public final int getMaxNameLength() { return MAX_NAME_LENGTH; }

    public final static int
           NUM_STATES        = 531,
           NT_OFFSET         = 779,
           LA_STATE_OFFSET   = 6090,
           MAX_LA            = 1,
           NUM_RULES         = 534,
           NUM_NONTERMINALS  = 238,
           NUM_SYMBOLS       = 1017,
           SEGMENT_SIZE      = 8192,
           START_STATE       = 4698,
           IDENTIFIER_SYMBOL = 737,
           EOFT_SYMBOL       = 761,
           EOLT_SYMBOL       = 778,
           ACCEPT_ACTION     = 4957,
           ERROR_ACTION      = 5556;

    public final static boolean BACKTRACK = true;

    public final int getNumStates() { return NUM_STATES; }
    public final int getNtOffset() { return NT_OFFSET; }
    public final int getLaStateOffset() { return LA_STATE_OFFSET; }
    public final int getMaxLa() { return MAX_LA; }
    public final int getNumRules() { return NUM_RULES; }
    public final int getNumNonterminals() { return NUM_NONTERMINALS; }
    public final int getNumSymbols() { return NUM_SYMBOLS; }
    public final int getSegmentSize() { return SEGMENT_SIZE; }
    public final int getStartState() { return START_STATE; }
    public final int getStartSymbol() { return lhs[0]; }
    public final int getIdentifierSymbol() { return IDENTIFIER_SYMBOL; }
    public final int getEoftSymbol() { return EOFT_SYMBOL; }
    public final int getEoltSymbol() { return EOLT_SYMBOL; }
    public final int getAcceptAction() { return ACCEPT_ACTION; }
    public final int getErrorAction() { return ERROR_ACTION; }
    public final boolean isValidForParser() { return isValidForParser; }
    public final boolean getBacktrack() { return BACKTRACK; }

    public final int originalState(int state) {
        return -baseCheck[state];
    }
    public final int asi(int state) {
        return asb[originalState(state)];
    }
    public final int nasi(int state) {
        return nasb[originalState(state)];
    }
    public final int inSymbol(int state) {
        return inSymb[originalState(state)];
    }

    public final int ntAction(int state, int sym) {
        return baseAction[state + sym];
    }

    public final int tAction(int state, int sym) {
        if (sym == 0)
            return ERROR_ACTION;
        int i = baseAction[state],
            k = i + sym;
        if (termCheck[k] == sym)
            return termAction[k];
        i = termAction[i];
        return (shiftCheck[shiftState[i] + sym] == sym
                                ? defaultShift[sym]
                                : defaultReduce[i]);
    }
    public final int lookAhead(int la_state, int sym) {
        int k = la_state + sym;
        if (termCheck[k] == sym)
            return termAction[k];
        int i = termAction[la_state];
        return (shiftCheck[shiftState[i] + sym] == sym
                                ? defaultShift[sym]
                                : defaultReduce[i]);
    }
}
